/*!
 * Original RenderStream implementation by Sasha Aickin (@aickin)
 * Licensed under the Apache License, Version 2.0
 * http://www.apache.org/licenses/LICENSE-2.0
 * Modified by Evan You (@yyx990803)
 *
 * d3-geo
 * BSD-3-Clause
 * Copyright 2010-2016 Mike Bostock
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.
 *
 * * Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 *
 * * Neither the name of the author nor the names of contributors may be used to
 *   endorse or promote products derived from this software without specific prior
 *   written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This license applies to GeographicLib, versions 1.12 and later.
 *
 * Copyright (c) 2008-2012, Charles Karney
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * core-js
 * MIT
 * Copyright (c) 2014-2019 Denis Pushkarev
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * axios
 * MIT
 * Copyright (c) 2014-present Matt Zabriskie
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */(function(){"use strict";var e={621:function(e,t){t.A=(e,t)=>{const n=e.__vccOpts||e;for(const[r,i]of t)n[r]=i;return n}}},t={};function n(r){var i=t[r];if(void 0!==i)return i.exports;var o=t[r]={exports:{}};return e[r](o,o.exports,n),o.exports}!function(){n.d=function(e,t){for(var r in t)n.o(t,r)&&!n.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})}}(),function(){n.g=function(){if("object"===typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"===typeof window)return window}}()}(),function(){n.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)}}(),function(){n.r=function(e){"undefined"!==typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})}}();var r={};
/**
* @vue/shared v3.4.30
* (c) 2018-present Yuxi (Evan) You and Vue contributors
* @license MIT
**/
/*! #__NO_SIDE_EFFECTS__ */
function i(e,t){const n=new Set(e.split(","));return t?e=>n.has(e.toLowerCase()):e=>n.has(e)}n.r(r),n.d(r,{hasBrowserEnv:function(){return Np},hasStandardBrowserEnv:function(){return Fp},hasStandardBrowserWebWorkerEnv:function(){return Dp},navigator:function(){return Pp},origin:function(){return jp}});const o={},s=[],a=()=>{},l=()=>!1,c=e=>111===e.charCodeAt(0)&&110===e.charCodeAt(1)&&(e.charCodeAt(2)>122||e.charCodeAt(2)<97),u=e=>e.startsWith("onUpdate:"),f=Object.assign,d=(e,t)=>{const n=e.indexOf(t);n>-1&&e.splice(n,1)},p=Object.prototype.hasOwnProperty,h=(e,t)=>p.call(e,t),m=Array.isArray,g=e=>"[object Map]"===x(e),y=e=>"[object Set]"===x(e),v=e=>"[object RegExp]"===x(e),b=e=>"function"===typeof e,w=e=>"string"===typeof e,_=e=>"symbol"===typeof e,L=e=>null!==e&&"object"===typeof e,C=e=>(L(e)||b(e))&&b(e.then)&&b(e.catch),S=Object.prototype.toString,x=e=>S.call(e),E=e=>x(e).slice(8,-1),k=e=>"[object Object]"===x(e),T=e=>w(e)&&"NaN"!==e&&"-"!==e[0]&&""+parseInt(e,10)===e,O=i(",key,ref,ref_for,ref_key,onVnodeBeforeMount,onVnodeMounted,onVnodeBeforeUpdate,onVnodeUpdated,onVnodeBeforeUnmount,onVnodeUnmounted"),M=e=>{const t=Object.create(null);return n=>{const r=t[n];return r||(t[n]=e(n))}},A=/-(\w)/g,R=M((e=>e.replace(A,((e,t)=>t?t.toUpperCase():"")))),N=/\B([A-Z])/g,P=M((e=>e.replace(N,"-$1").toLowerCase())),F=M((e=>e.charAt(0).toUpperCase()+e.slice(1))),D=M((e=>{const t=e?`on${F(e)}`:"";return t})),j=(e,t)=>!Object.is(e,t),I=(e,...t)=>{for(let n=0;n<e.length;n++)e[n](...t)},U=(e,t,n,r=!1)=>{Object.defineProperty(e,t,{configurable:!0,enumerable:!1,writable:r,value:n})},B=e=>{const t=parseFloat(e);return isNaN(t)?e:t},W=e=>{const t=w(e)?Number(e):NaN;return isNaN(t)?e:t};let q;const $=()=>q||(q="undefined"!==typeof globalThis?globalThis:"undefined"!==typeof self?self:"undefined"!==typeof window?window:"undefined"!==typeof n.g?n.g:{});function z(e){if(m(e)){const t={};for(let n=0;n<e.length;n++){const r=e[n],i=w(r)?J(r):z(r);if(i)for(const e in i)t[e]=i[e]}return t}if(w(e)||L(e))return e}const H=/;(?![^(]*\))/g,Z=/:([^]+)/,V=/\/\*[^]*?\*\//g;function J(e){const t={};return e.replace(V,"").split(H).forEach((e=>{if(e){const n=e.split(Z);n.length>1&&(t[n[0].trim()]=n[1].trim())}})),t}function K(e){let t="";if(w(e))t=e;else if(m(e))for(let n=0;n<e.length;n++){const r=K(e[n]);r&&(t+=r+" ")}else if(L(e))for(const n in e)e[n]&&(t+=n+" ");return t.trim()}const G="itemscope,allowfullscreen,formnovalidate,ismap,nomodule,novalidate,readonly",X=i(G);function Y(e){return!!e||""===e}const Q=e=>w(e)?e:null==e?"":m(e)||L(e)&&(e.toString===S||!b(e.toString))?JSON.stringify(e,ee,2):String(e),ee=(e,t)=>t&&t.__v_isRef?ee(e,t.value):g(t)?{[`Map(${t.size})`]:[...t.entries()].reduce(((e,[t,n],r)=>(e[te(t,r)+" =>"]=n,e)),{})}:y(t)?{[`Set(${t.size})`]:[...t.values()].map((e=>te(e)))}:_(t)?te(t):!L(t)||m(t)||k(t)?t:String(t),te=(e,t="")=>{var n;return _(e)?`Symbol(${null!=(n=e.description)?n:t})`:e};let ne,re;class ie{constructor(e=!1){this.detached=e,this._active=!0,this.effects=[],this.cleanups=[],this.parent=ne,!e&&ne&&(this.index=(ne.scopes||(ne.scopes=[])).push(this)-1)}get active(){return this._active}run(e){if(this._active){const t=ne;try{return ne=this,e()}finally{ne=t}}else 0}on(){ne=this}off(){ne=this.parent}stop(e){if(this._active){let t,n;for(t=0,n=this.effects.length;t<n;t++)this.effects[t].stop();for(t=0,n=this.cleanups.length;t<n;t++)this.cleanups[t]();if(this.scopes)for(t=0,n=this.scopes.length;t<n;t++)this.scopes[t].stop(!0);if(!this.detached&&this.parent&&!e){const e=this.parent.scopes.pop();e&&e!==this&&(this.parent.scopes[this.index]=e,e.index=this.index)}this.parent=void 0,this._active=!1}}}function oe(e,t=ne){t&&t.active&&t.effects.push(e)}function se(){return ne}class ae{constructor(e,t,n,r){this.fn=e,this.trigger=t,this.scheduler=n,this.active=!0,this.deps=[],this._dirtyLevel=5,this._trackId=0,this._runnings=0,this._shouldSchedule=!1,this._depsLength=0,oe(this,r)}get dirty(){if(2===this._dirtyLevel)return!1;if(3===this._dirtyLevel||4===this._dirtyLevel){this._dirtyLevel=1,me();for(let e=0;e<this._depsLength;e++){const t=this.deps[e];if(t.computed){if(2===t.computed.effect._dirtyLevel)return ge(),!0;if(le(t.computed),this._dirtyLevel>=5)break}}1===this._dirtyLevel&&(this._dirtyLevel=0),ge()}return this._dirtyLevel>=5}set dirty(e){this._dirtyLevel=e?5:0}run(){if(this._dirtyLevel=0,!this.active)return this.fn();let e=de,t=re;try{return de=!0,re=this,this._runnings++,ce(this),this.fn()}finally{ue(this),this._runnings--,re=t,de=e}}stop(){this.active&&(ce(this),ue(this),this.onStop&&this.onStop(),this.active=!1)}}function le(e){return e.value}function ce(e){e._trackId++,e._depsLength=0}function ue(e){if(e.deps.length>e._depsLength){for(let t=e._depsLength;t<e.deps.length;t++)fe(e.deps[t],e);e.deps.length=e._depsLength}}function fe(e,t){const n=e.get(t);void 0!==n&&t._trackId!==n&&(e.delete(t),0===e.size&&e.cleanup())}let de=!0,pe=0;const he=[];function me(){he.push(de),de=!1}function ge(){const e=he.pop();de=void 0===e||e}function ye(){pe++}function ve(){pe--;while(!pe&&we.length)we.shift()()}function be(e,t,n){if(t.get(e)!==e._trackId){t.set(e,e._trackId);const n=e.deps[e._depsLength];n!==t?(n&&fe(n,e),e.deps[e._depsLength++]=t):e._depsLength++}}const we=[];function _e(e,t,n){ye();for(const r of e.keys()){let n;!e.computed&&r.computed&&r._runnings>0&&(null!=n?n:n=e.get(r)===r._trackId)?r._dirtyLevel=2:(r._dirtyLevel<t&&(null!=n?n:n=e.get(r)===r._trackId)&&(r._shouldSchedule||(r._shouldSchedule=0===r._dirtyLevel),r.computed&&2===r._dirtyLevel&&(r._shouldSchedule=!0),r._dirtyLevel=t),r._shouldSchedule&&(null!=n?n:n=e.get(r)===r._trackId)&&(r.trigger(),r._runnings&&!r.allowRecurse||3===r._dirtyLevel||(r._shouldSchedule=!1,r.scheduler&&we.push(r.scheduler))))}ve()}const Le=(e,t)=>{const n=new Map;return n.cleanup=e,n.computed=t,n},Ce=new WeakMap,Se=Symbol(""),xe=Symbol("");function Ee(e,t,n){if(de&&re){let t=Ce.get(e);t||Ce.set(e,t=new Map);let r=t.get(n);r||t.set(n,r=Le((()=>t.delete(n)))),be(re,r,void 0)}}function ke(e,t,n,r,i,o){const s=Ce.get(e);if(!s)return;let a=[];if("clear"===t)a=[...s.values()];else if("length"===n&&m(e)){const e=Number(r);s.forEach(((t,n)=>{("length"===n||!_(n)&&n>=e)&&a.push(t)}))}else switch(void 0!==n&&a.push(s.get(n)),t){case"add":m(e)?T(n)&&a.push(s.get("length")):(a.push(s.get(Se)),g(e)&&a.push(s.get(xe)));break;case"delete":m(e)||(a.push(s.get(Se)),g(e)&&a.push(s.get(xe)));break;case"set":g(e)&&a.push(s.get(Se));break}ye();for(const l of a)l&&_e(l,5,void 0);ve()}const Te=i("__proto__,__v_isRef,__isVue"),Oe=new Set(Object.getOwnPropertyNames(Symbol).filter((e=>"arguments"!==e&&"caller"!==e)).map((e=>Symbol[e])).filter(_)),Me=Ae();function Ae(){const e={};return["includes","indexOf","lastIndexOf"].forEach((t=>{e[t]=function(...e){const n=wt(this);for(let t=0,i=this.length;t<i;t++)Ee(n,"get",t+"");const r=n[t](...e);return-1===r||!1===r?n[t](...e.map(wt)):r}})),["push","pop","shift","unshift","splice"].forEach((t=>{e[t]=function(...e){me(),ye();const n=wt(this)[t].apply(this,e);return ve(),ge(),n}})),e}function Re(e){_(e)||(e=String(e));const t=wt(this);return Ee(t,"has",e),t.hasOwnProperty(e)}class Ne{constructor(e=!1,t=!1){this._isReadonly=e,this._isShallow=t}get(e,t,n){const r=this._isReadonly,i=this._isShallow;if("__v_isReactive"===t)return!r;if("__v_isReadonly"===t)return r;if("__v_isShallow"===t)return i;if("__v_raw"===t)return n===(r?i?ct:lt:i?at:st).get(e)||Object.getPrototypeOf(e)===Object.getPrototypeOf(n)?e:void 0;const o=m(e);if(!r){if(o&&h(Me,t))return Reflect.get(Me,t,n);if("hasOwnProperty"===t)return Re}const s=Reflect.get(e,t,n);return(_(t)?Oe.has(t):Te(t))?s:(r||Ee(e,"get",t),i?s:Tt(s)?o&&T(t)?s:s.value:L(s)?r?ht(s):dt(s):s)}}class Pe extends Ne{constructor(e=!1){super(!1,e)}set(e,t,n,r){let i=e[t];if(!this._isShallow){const t=yt(i);if(vt(n)||yt(n)||(i=wt(i),n=wt(n)),!m(e)&&Tt(i)&&!Tt(n))return!t&&(i.value=n,!0)}const o=m(e)&&T(t)?Number(t)<e.length:h(e,t),s=Reflect.set(e,t,n,r);return e===wt(r)&&(o?j(n,i)&&ke(e,"set",t,n,i):ke(e,"add",t,n)),s}deleteProperty(e,t){const n=h(e,t),r=e[t],i=Reflect.deleteProperty(e,t);return i&&n&&ke(e,"delete",t,void 0,r),i}has(e,t){const n=Reflect.has(e,t);return _(t)&&Oe.has(t)||Ee(e,"has",t),n}ownKeys(e){return Ee(e,"iterate",m(e)?"length":Se),Reflect.ownKeys(e)}}class Fe extends Ne{constructor(e=!1){super(!0,e)}set(e,t){return!0}deleteProperty(e,t){return!0}}const De=new Pe,je=new Fe,Ie=new Pe(!0),Ue=e=>e,Be=e=>Reflect.getPrototypeOf(e);function We(e,t,n=!1,r=!1){e=e["__v_raw"];const i=wt(e),o=wt(t);n||(j(t,o)&&Ee(i,"get",t),Ee(i,"get",o));const{has:s}=Be(i),a=r?Ue:n?Ct:Lt;return s.call(i,t)?a(e.get(t)):s.call(i,o)?a(e.get(o)):void(e!==i&&e.get(t))}function qe(e,t=!1){const n=this["__v_raw"],r=wt(n),i=wt(e);return t||(j(e,i)&&Ee(r,"has",e),Ee(r,"has",i)),e===i?n.has(e):n.has(e)||n.has(i)}function $e(e,t=!1){return e=e["__v_raw"],!t&&Ee(wt(e),"iterate",Se),Reflect.get(e,"size",e)}function ze(e){e=wt(e);const t=wt(this),n=Be(t),r=n.has.call(t,e);return r||(t.add(e),ke(t,"add",e,e)),this}function He(e,t){t=wt(t);const n=wt(this),{has:r,get:i}=Be(n);let o=r.call(n,e);o||(e=wt(e),o=r.call(n,e));const s=i.call(n,e);return n.set(e,t),o?j(t,s)&&ke(n,"set",e,t,s):ke(n,"add",e,t),this}function Ze(e){const t=wt(this),{has:n,get:r}=Be(t);let i=n.call(t,e);i||(e=wt(e),i=n.call(t,e));const o=r?r.call(t,e):void 0,s=t.delete(e);return i&&ke(t,"delete",e,void 0,o),s}function Ve(){const e=wt(this),t=0!==e.size,n=void 0,r=e.clear();return t&&ke(e,"clear",void 0,void 0,n),r}function Je(e,t){return function(n,r){const i=this,o=i["__v_raw"],s=wt(o),a=t?Ue:e?Ct:Lt;return!e&&Ee(s,"iterate",Se),o.forEach(((e,t)=>n.call(r,a(e),a(t),i)))}}function Ke(e,t,n){return function(...r){const i=this["__v_raw"],o=wt(i),s=g(o),a="entries"===e||e===Symbol.iterator&&s,l="keys"===e&&s,c=i[e](...r),u=n?Ue:t?Ct:Lt;return!t&&Ee(o,"iterate",l?xe:Se),{next(){const{value:e,done:t}=c.next();return t?{value:e,done:t}:{value:a?[u(e[0]),u(e[1])]:u(e),done:t}},[Symbol.iterator](){return this}}}}function Ge(e){return function(...t){return"delete"!==e&&("clear"===e?void 0:this)}}function Xe(){const e={get(e){return We(this,e)},get size(){return $e(this)},has:qe,add:ze,set:He,delete:Ze,clear:Ve,forEach:Je(!1,!1)},t={get(e){return We(this,e,!1,!0)},get size(){return $e(this)},has:qe,add:ze,set:He,delete:Ze,clear:Ve,forEach:Je(!1,!0)},n={get(e){return We(this,e,!0)},get size(){return $e(this,!0)},has(e){return qe.call(this,e,!0)},add:Ge("add"),set:Ge("set"),delete:Ge("delete"),clear:Ge("clear"),forEach:Je(!0,!1)},r={get(e){return We(this,e,!0,!0)},get size(){return $e(this,!0)},has(e){return qe.call(this,e,!0)},add:Ge("add"),set:Ge("set"),delete:Ge("delete"),clear:Ge("clear"),forEach:Je(!0,!0)},i=["keys","values","entries",Symbol.iterator];return i.forEach((i=>{e[i]=Ke(i,!1,!1),n[i]=Ke(i,!0,!1),t[i]=Ke(i,!1,!0),r[i]=Ke(i,!0,!0)})),[e,n,t,r]}const[Ye,Qe,et,tt]=Xe();function nt(e,t){const n=t?e?tt:et:e?Qe:Ye;return(t,r,i)=>"__v_isReactive"===r?!e:"__v_isReadonly"===r?e:"__v_raw"===r?t:Reflect.get(h(n,r)&&r in t?n:t,r,i)}const rt={get:nt(!1,!1)},it={get:nt(!1,!0)},ot={get:nt(!0,!1)};const st=new WeakMap,at=new WeakMap,lt=new WeakMap,ct=new WeakMap;function ut(e){switch(e){case"Object":case"Array":return 1;case"Map":case"Set":case"WeakMap":case"WeakSet":return 2;default:return 0}}function ft(e){return e["__v_skip"]||!Object.isExtensible(e)?0:ut(E(e))}function dt(e){return yt(e)?e:mt(e,!1,De,rt,st)}function pt(e){return mt(e,!1,Ie,it,at)}function ht(e){return mt(e,!0,je,ot,lt)}function mt(e,t,n,r,i){if(!L(e))return e;if(e["__v_raw"]&&(!t||!e["__v_isReactive"]))return e;const o=i.get(e);if(o)return o;const s=ft(e);if(0===s)return e;const a=new Proxy(e,2===s?r:n);return i.set(e,a),a}function gt(e){return yt(e)?gt(e["__v_raw"]):!(!e||!e["__v_isReactive"])}function yt(e){return!(!e||!e["__v_isReadonly"])}function vt(e){return!(!e||!e["__v_isShallow"])}function bt(e){return!!e&&!!e["__v_raw"]}function wt(e){const t=e&&e["__v_raw"];return t?wt(t):e}function _t(e){return Object.isExtensible(e)&&U(e,"__v_skip",!0),e}const Lt=e=>L(e)?dt(e):e,Ct=e=>L(e)?ht(e):e;class St{constructor(e,t,n,r){this.getter=e,this._setter=t,this.dep=void 0,this.__v_isRef=!0,this["__v_isReadonly"]=!1,this.effect=new ae((()=>e(this._value)),(()=>kt(this,3===this.effect._dirtyLevel?3:4))),this.effect.computed=this,this.effect.active=this._cacheable=!r,this["__v_isReadonly"]=n}get value(){const e=wt(this),t=e.effect._dirtyLevel;return e._cacheable&&!e.effect.dirty||!j(e._value,e._value=e.effect.run())||3!==t&&kt(e,5),Et(e),e.effect._dirtyLevel>=2&&kt(e,3),e._value}set value(e){this._setter(e)}get _dirty(){return this.effect.dirty}set _dirty(e){this.effect.dirty=e}}function xt(e,t,n=!1){let r,i;const o=b(e);o?(r=e,i=a):(r=e.get,i=e.set);const s=new St(r,i,o||!i,n);return s}function Et(e){var t;de&&re&&(e=wt(e),be(re,null!=(t=e.dep)?t:e.dep=Le((()=>e.dep=void 0),e instanceof St?e:void 0),void 0))}function kt(e,t=5,n,r){e=wt(e);const i=e.dep;i&&_e(i,t,void 0)}function Tt(e){return!(!e||!0!==e.__v_isRef)}function Ot(e){return Tt(e)?e.value:e}const Mt={get:(e,t,n)=>Ot(Reflect.get(e,t,n)),set:(e,t,n,r)=>{const i=e[t];return Tt(i)&&!Tt(n)?(i.value=n,!0):Reflect.set(e,t,n,r)}};function At(e){return gt(e)?e:new Proxy(e,Mt)}function Rt(e,t,n,r){try{return r?e(...r):e()}catch(i){Pt(i,t,n)}}function Nt(e,t,n,r){if(b(e)){const i=Rt(e,t,n,r);return i&&C(i)&&i.catch((e=>{Pt(e,t,n)})),i}if(m(e)){const i=[];for(let o=0;o<e.length;o++)i.push(Nt(e[o],t,n,r));return i}}function Pt(e,t,n,r=!0){const i=t?t.vnode:null;if(t){let r=t.parent;const i=t.proxy,o=`https://vuejs.org/error-reference/#runtime-${n}`;while(r){const t=r.ec;if(t)for(let n=0;n<t.length;n++)if(!1===t[n](e,i,o))return;r=r.parent}const s=t.appContext.config.errorHandler;if(s)return me(),Rt(s,null,10,[e,i,o]),void ge()}Ft(e,n,i,r)}function Ft(e,t,n,r=!0){console.error(e)}let Dt=!1,jt=!1;const It=[];let Ut=0;const Bt=[];let Wt=null,qt=0;const $t=Promise.resolve();let zt=null;function Ht(e){const t=zt||$t;return e?t.then(this?e.bind(this):e):t}function Zt(e){let t=Ut+1,n=It.length;while(t<n){const r=t+n>>>1,i=It[r],o=Qt(i);o<e||o===e&&i.pre?t=r+1:n=r}return t}function Vt(e){It.length&&It.includes(e,Dt&&e.allowRecurse?Ut+1:Ut)||(null==e.id?It.push(e):It.splice(Zt(e.id),0,e),Jt())}function Jt(){Dt||jt||(jt=!0,zt=$t.then(tn))}function Kt(e){const t=It.indexOf(e);t>Ut&&It.splice(t,1)}function Gt(e){m(e)?Bt.push(...e):Wt&&Wt.includes(e,e.allowRecurse?qt+1:qt)||Bt.push(e),Jt()}function Xt(e,t,n=(Dt?Ut+1:0)){for(0;n<It.length;n++){const t=It[n];if(t&&t.pre){if(e&&t.id!==e.uid)continue;0,It.splice(n,1),n--,t()}}}function Yt(e){if(Bt.length){const e=[...new Set(Bt)].sort(((e,t)=>Qt(e)-Qt(t)));if(Bt.length=0,Wt)return void Wt.push(...e);for(Wt=e,qt=0;qt<Wt.length;qt++){const e=Wt[qt];0,!1!==e.active&&e()}Wt=null,qt=0}}const Qt=e=>null==e.id?1/0:e.id,en=(e,t)=>{const n=Qt(e)-Qt(t);if(0===n){if(e.pre&&!t.pre)return-1;if(t.pre&&!e.pre)return 1}return n};function tn(e){jt=!1,Dt=!0,It.sort(en);try{for(Ut=0;Ut<It.length;Ut++){const e=It[Ut];e&&!1!==e.active&&Rt(e,null,14)}}finally{Ut=0,It.length=0,Yt(e),Dt=!1,zt=null,(It.length||Bt.length)&&tn(e)}}function nn(e,t,...n){if(e.isUnmounted)return;const r=e.vnode.props||o;let i=n;const s=t.startsWith("update:"),a=s&&t.slice(7);if(a&&a in r){const e=`${"modelValue"===a?"model":a}Modifiers`,{number:t,trim:s}=r[e]||o;s&&(i=n.map((e=>w(e)?e.trim():e))),t&&(i=n.map(B))}let l;let c=r[l=D(t)]||r[l=D(R(t))];!c&&s&&(c=r[l=D(P(t))]),c&&Nt(c,e,6,i);const u=r[l+"Once"];if(u){if(e.emitted){if(e.emitted[l])return}else e.emitted={};e.emitted[l]=!0,Nt(u,e,6,i)}}function rn(e,t,n=!1){const r=t.emitsCache,i=r.get(e);if(void 0!==i)return i;const o=e.emits;let s={},a=!1;if(!b(e)){const r=e=>{const n=rn(e,t,!0);n&&(a=!0,f(s,n))};!n&&t.mixins.length&&t.mixins.forEach(r),e.extends&&r(e.extends),e.mixins&&e.mixins.forEach(r)}return o||a?(m(o)?o.forEach((e=>s[e]=null)):f(s,o),L(e)&&r.set(e,s),s):(L(e)&&r.set(e,null),null)}function on(e,t){return!(!e||!c(t))&&(t=t.slice(2).replace(/Once$/,""),h(e,t[0].toLowerCase()+t.slice(1))||h(e,P(t))||h(e,t))}let sn=null,an=null;function ln(e){const t=sn;return sn=e,an=e&&e.type.__scopeId||null,t}function cn(e,t=sn,n){if(!t)return e;if(e._n)return e;const r=(...n)=>{r._d&&ki(-1);const i=ln(t);let o;try{o=e(...n)}finally{ln(i),r._d&&ki(1)}return o};return r._n=!0,r._c=!0,r._d=!0,r}function un(e){const{type:t,vnode:n,proxy:r,withProxy:i,propsOptions:[o],slots:s,attrs:a,emit:l,render:c,renderCache:f,props:d,data:p,setupState:h,ctx:m,inheritAttrs:g}=e,y=ln(e);let v,b;try{if(4&n.shapeFlag){const e=i||r,t=e;v=qi(c.call(t,e,f,d,h,p,m)),b=a}else{const e=t;0,v=qi(e.length>1?e(d,{attrs:a,slots:s,emit:l}):e(d,null)),b=t.props?a:fn(a)}}catch(_){Li.length=0,Pt(_,e,1),v=Di(wi)}let w=v;if(b&&!1!==g){const e=Object.keys(b),{shapeFlag:t}=w;e.length&&7&t&&(o&&e.some(u)&&(b=dn(b,o)),w=Ui(w,b,!1,!0))}return n.dirs&&(w=Ui(w,null,!1,!0),w.dirs=w.dirs?w.dirs.concat(n.dirs):n.dirs),n.transition&&(w.transition=n.transition),v=w,ln(y),v}const fn=e=>{let t;for(const n in e)("class"===n||"style"===n||c(n))&&((t||(t={}))[n]=e[n]);return t},dn=(e,t)=>{const n={};for(const r in e)u(r)&&r.slice(9)in t||(n[r]=e[r]);return n};function pn(e,t,n){const{props:r,children:i,component:o}=e,{props:s,children:a,patchFlag:l}=t,c=o.emitsOptions;if(t.dirs||t.transition)return!0;if(!(n&&l>=0))return!(!i&&!a||a&&a.$stable)||r!==s&&(r?!s||hn(r,s,c):!!s);if(1024&l)return!0;if(16&l)return r?hn(r,s,c):!!s;if(8&l){const e=t.dynamicProps;for(let t=0;t<e.length;t++){const n=e[t];if(s[n]!==r[n]&&!on(c,n))return!0}}return!1}function hn(e,t,n){const r=Object.keys(t);if(r.length!==Object.keys(e).length)return!0;for(let i=0;i<r.length;i++){const o=r[i];if(t[o]!==e[o]&&!on(n,o))return!0}return!1}function mn({vnode:e,parent:t},n){while(t){const r=t.subTree;if(r.suspense&&r.suspense.activeBranch===e&&(r.el=e.el),r!==e)break;(e=t.vnode).el=n,t=t.parent}}const gn="components";function yn(e,t){return bn(gn,e,!0,t)||e}const vn=Symbol.for("v-ndc");function bn(e,t,n=!0,r=!1){const i=sn||Gi;if(i){const n=i.type;if(e===gn){const e=ho(n,!1);if(e&&(e===t||e===R(t)||e===F(R(t))))return n}const o=wn(i[e]||n[e],t)||wn(i.appContext[e],t);return!o&&r?n:o}}function wn(e,t){return e&&(e[t]||e[R(t)]||e[F(R(t))])}const _n=e=>e.__isSuspense;function Ln(e,t){t&&t.pendingBranch?m(e)?t.effects.push(...e):t.effects.push(e):Gt(e)}function Cn(e,t,n=Gi,r=!1){if(n){const i=n[e]||(n[e]=[]),o=t.__weh||(t.__weh=(...r)=>{me();const i=eo(n),o=Nt(t,n,e,r);return i(),ge(),o});return r?i.unshift(o):i.push(o),o}}const Sn=e=>(t,n=Gi)=>{oo&&"sp"!==e||Cn(e,((...e)=>t(...e)),n)},xn=Sn("bm"),En=Sn("m"),kn=Sn("bu"),Tn=Sn("u"),On=Sn("bum"),Mn=Sn("um"),An=Sn("sp"),Rn=Sn("rtg"),Nn=Sn("rtc");function Pn(e,t=Gi){Cn("ec",e,t)}function Fn(e,t,n,r){const i=e.dirs,o=t&&t.dirs;for(let s=0;s<i.length;s++){const a=i[s];o&&(a.oldValue=o[s].value);let l=a.dir[r];l&&(me(),Nt(l,n,8,[e.el,a,e,t]),ge())}}function Dn(e,t,n,r){let i;const o=n&&n[r];if(m(e)||w(e)){i=new Array(e.length);for(let n=0,r=e.length;n<r;n++)i[n]=t(e[n],n,void 0,o&&o[n])}else if("number"===typeof e){0,i=new Array(e);for(let n=0;n<e;n++)i[n]=t(n+1,n,void 0,o&&o[n])}else if(L(e))if(e[Symbol.iterator])i=Array.from(e,((e,n)=>t(e,n,void 0,o&&o[n])));else{const n=Object.keys(e);i=new Array(n.length);for(let r=0,s=n.length;r<s;r++){const s=n[r];i[r]=t(e[s],s,r,o&&o[r])}}else i=[];return n&&(n[r]=i),i}const jn=e=>!!e.type.__asyncLoader
/*! #__NO_SIDE_EFFECTS__ */;const In=e=>e?no(e)?po(e):In(e.parent):null,Un=f(Object.create(null),{$:e=>e,$el:e=>e.vnode.el,$data:e=>e.data,$props:e=>e.props,$attrs:e=>e.attrs,$slots:e=>e.slots,$refs:e=>e.refs,$parent:e=>In(e.parent),$root:e=>In(e.root),$emit:e=>e.emit,$options:e=>Jn(e),$forceUpdate:e=>e.f||(e.f=()=>{e.effect.dirty=!0,Vt(e.update)}),$nextTick:e=>e.n||(e.n=Ht.bind(e.proxy)),$watch:e=>Zr.bind(e)}),Bn=(e,t)=>e!==o&&!e.__isScriptSetup&&h(e,t),Wn={get({_:e},t){if("__v_skip"===t)return!0;const{ctx:n,setupState:r,data:i,props:s,accessCache:a,type:l,appContext:c}=e;let u;if("$"!==t[0]){const l=a[t];if(void 0!==l)switch(l){case 1:return r[t];case 2:return i[t];case 4:return n[t];case 3:return s[t]}else{if(Bn(r,t))return a[t]=1,r[t];if(i!==o&&h(i,t))return a[t]=2,i[t];if((u=e.propsOptions[0])&&h(u,t))return a[t]=3,s[t];if(n!==o&&h(n,t))return a[t]=4,n[t];$n&&(a[t]=0)}}const f=Un[t];let d,p;return f?("$attrs"===t&&Ee(e.attrs,"get",""),f(e)):(d=l.__cssModules)&&(d=d[t])?d:n!==o&&h(n,t)?(a[t]=4,n[t]):(p=c.config.globalProperties,h(p,t)?p[t]:void 0)},set({_:e},t,n){const{data:r,setupState:i,ctx:s}=e;return Bn(i,t)?(i[t]=n,!0):r!==o&&h(r,t)?(r[t]=n,!0):!h(e.props,t)&&(("$"!==t[0]||!(t.slice(1)in e))&&(s[t]=n,!0))},has({_:{data:e,setupState:t,accessCache:n,ctx:r,appContext:i,propsOptions:s}},a){let l;return!!n[a]||e!==o&&h(e,a)||Bn(t,a)||(l=s[0])&&h(l,a)||h(r,a)||h(Un,a)||h(i.config.globalProperties,a)},defineProperty(e,t,n){return null!=n.get?e._.accessCache[t]=0:h(n,"value")&&this.set(e,t,n.value,null),Reflect.defineProperty(e,t,n)}};function qn(e){return m(e)?e.reduce(((e,t)=>(e[t]=null,e)),{}):e}let $n=!0;function zn(e){const t=Jn(e),n=e.proxy,r=e.ctx;$n=!1,t.beforeCreate&&Zn(t.beforeCreate,e,"bc");const{data:i,computed:o,methods:s,watch:l,provide:c,inject:u,created:f,beforeMount:d,mounted:p,beforeUpdate:h,updated:g,activated:y,deactivated:v,beforeDestroy:w,beforeUnmount:_,destroyed:C,unmounted:S,render:x,renderTracked:E,renderTriggered:k,errorCaptured:T,serverPrefetch:O,expose:M,inheritAttrs:A,components:R,directives:N,filters:P}=t,F=null;if(u&&Hn(u,r,F),s)for(const a in s){const e=s[a];b(e)&&(r[a]=e.bind(n))}if(i){0;const t=i.call(n,n);0,L(t)&&(e.data=dt(t))}if($n=!0,o)for(const m in o){const e=o[m],t=b(e)?e.bind(n,n):b(e.get)?e.get.bind(n,n):a;0;const i=!b(e)&&b(e.set)?e.set.bind(n):a,s=go({get:t,set:i});Object.defineProperty(r,m,{enumerable:!0,configurable:!0,get:()=>s.value,set:e=>s.value=e})}if(l)for(const a in l)Vn(l[a],r,n,a);if(c){const e=b(c)?c.call(n):c;Reflect.ownKeys(e).forEach((t=>{lr(t,e[t])}))}function D(e,t){m(t)?t.forEach((t=>e(t.bind(n)))):t&&e(t.bind(n))}if(f&&Zn(f,e,"c"),D(xn,d),D(En,p),D(kn,h),D(Tn,g),D(Xr,y),D(Yr,v),D(Pn,T),D(Nn,E),D(Rn,k),D(On,_),D(Mn,S),D(An,O),m(M))if(M.length){const t=e.exposed||(e.exposed={});M.forEach((e=>{Object.defineProperty(t,e,{get:()=>n[e],set:t=>n[e]=t})}))}else e.exposed||(e.exposed={});x&&e.render===a&&(e.render=x),null!=A&&(e.inheritAttrs=A),R&&(e.components=R),N&&(e.directives=N)}function Hn(e,t,n=a){m(e)&&(e=Qn(e));for(const r in e){const n=e[r];let i;i=L(n)?"default"in n?cr(n.from||r,n.default,!0):cr(n.from||r):cr(n),Tt(i)?Object.defineProperty(t,r,{enumerable:!0,configurable:!0,get:()=>i.value,set:e=>i.value=e}):t[r]=i}}function Zn(e,t,n){Nt(m(e)?e.map((e=>e.bind(t.proxy))):e.bind(t.proxy),t,n)}function Vn(e,t,n,r){const i=r.includes(".")?Vr(n,r):()=>n[r];if(w(e)){const n=t[e];b(n)&&zr(i,n)}else if(b(e))zr(i,e.bind(n));else if(L(e))if(m(e))e.forEach((e=>Vn(e,t,n,r)));else{const r=b(e.handler)?e.handler.bind(n):t[e.handler];b(r)&&zr(i,r,e)}else 0}function Jn(e){const t=e.type,{mixins:n,extends:r}=t,{mixins:i,optionsCache:o,config:{optionMergeStrategies:s}}=e.appContext,a=o.get(t);let l;return a?l=a:i.length||n||r?(l={},i.length&&i.forEach((e=>Kn(l,e,s,!0))),Kn(l,t,s)):l=t,L(t)&&o.set(t,l),l}function Kn(e,t,n,r=!1){const{mixins:i,extends:o}=t;o&&Kn(e,o,n,!0),i&&i.forEach((t=>Kn(e,t,n,!0)));for(const s in t)if(r&&"expose"===s);else{const r=Gn[s]||n&&n[s];e[s]=r?r(e[s],t[s]):t[s]}return e}const Gn={data:Xn,props:nr,emits:nr,methods:tr,computed:tr,beforeCreate:er,created:er,beforeMount:er,mounted:er,beforeUpdate:er,updated:er,beforeDestroy:er,beforeUnmount:er,destroyed:er,unmounted:er,activated:er,deactivated:er,errorCaptured:er,serverPrefetch:er,components:tr,directives:tr,watch:rr,provide:Xn,inject:Yn};function Xn(e,t){return t?e?function(){return f(b(e)?e.call(this,this):e,b(t)?t.call(this,this):t)}:t:e}function Yn(e,t){return tr(Qn(e),Qn(t))}function Qn(e){if(m(e)){const t={};for(let n=0;n<e.length;n++)t[e[n]]=e[n];return t}return e}function er(e,t){return e?[...new Set([].concat(e,t))]:t}function tr(e,t){return e?f(Object.create(null),e,t):t}function nr(e,t){return e?m(e)&&m(t)?[...new Set([...e,...t])]:f(Object.create(null),qn(e),qn(null!=t?t:{})):t}function rr(e,t){if(!e)return t;if(!t)return e;const n=f(Object.create(null),e);for(const r in t)n[r]=er(e[r],t[r]);return n}function ir(){return{app:null,config:{isNativeTag:l,performance:!1,globalProperties:{},optionMergeStrategies:{},errorHandler:void 0,warnHandler:void 0,compilerOptions:{}},mixins:[],components:{},directives:{},provides:Object.create(null),optionsCache:new WeakMap,propsCache:new WeakMap,emitsCache:new WeakMap}}let or=0;function sr(e,t){return function(n,r=null){b(n)||(n=f({},n)),null==r||L(r)||(r=null);const i=ir(),o=new WeakSet;let s=!1;const a=i.app={_uid:or++,_component:n,_props:r,_container:null,_context:i,_instance:null,version:vo,get config(){return i.config},set config(e){0},use(e,...t){return o.has(e)||(e&&b(e.install)?(o.add(e),e.install(a,...t)):b(e)&&(o.add(e),e(a,...t))),a},mixin(e){return i.mixins.includes(e)||i.mixins.push(e),a},component(e,t){return t?(i.components[e]=t,a):i.components[e]},directive(e,t){return t?(i.directives[e]=t,a):i.directives[e]},mount(o,l,c){if(!s){0;const u=Di(n,r);return u.appContext=i,!0===c?c="svg":!1===c&&(c=void 0),l&&t?t(u,o):e(u,o,c),s=!0,a._container=o,o.__vue_app__=a,po(u.component)}},unmount(){s&&(e(null,a._container),delete a._container.__vue_app__)},provide(e,t){return i.provides[e]=t,a},runWithContext(e){const t=ar;ar=a;try{return e()}finally{ar=t}}};return a}}let ar=null;function lr(e,t){if(Gi){let n=Gi.provides;const r=Gi.parent&&Gi.parent.provides;r===n&&(n=Gi.provides=Object.create(r)),n[e]=t}else 0}function cr(e,t,n=!1){const r=Gi||sn;if(r||ar){const i=r?null==r.parent?r.vnode.appContext&&r.vnode.appContext.provides:r.parent.provides:ar._context.provides;if(i&&e in i)return i[e];if(arguments.length>1)return n&&b(t)?t.call(r&&r.proxy):t}else 0}const ur={},fr=()=>Object.create(ur),dr=e=>Object.getPrototypeOf(e)===ur;function pr(e,t,n,r=!1){const i={},o=fr();e.propsDefaults=Object.create(null),mr(e,t,i,o);for(const s in e.propsOptions[0])s in i||(i[s]=void 0);n?e.props=r?i:pt(i):e.type.props?e.props=i:e.props=o,e.attrs=o}function hr(e,t,n,r){const{props:i,attrs:o,vnode:{patchFlag:s}}=e,a=wt(i),[l]=e.propsOptions;let c=!1;if(!(r||s>0)||16&s){let r;mr(e,t,i,o)&&(c=!0);for(const o in a)t&&(h(t,o)||(r=P(o))!==o&&h(t,r))||(l?!n||void 0===n[o]&&void 0===n[r]||(i[o]=gr(l,a,o,void 0,e,!0)):delete i[o]);if(o!==a)for(const e in o)t&&h(t,e)||(delete o[e],c=!0)}else if(8&s){const n=e.vnode.dynamicProps;for(let r=0;r<n.length;r++){let s=n[r];if(on(e.emitsOptions,s))continue;const u=t[s];if(l)if(h(o,s))u!==o[s]&&(o[s]=u,c=!0);else{const t=R(s);i[t]=gr(l,a,t,u,e,!1)}else u!==o[s]&&(o[s]=u,c=!0)}}c&&ke(e.attrs,"set","")}function mr(e,t,n,r){const[i,s]=e.propsOptions;let a,l=!1;if(t)for(let o in t){if(O(o))continue;const c=t[o];let u;i&&h(i,u=R(o))?s&&s.includes(u)?(a||(a={}))[u]=c:n[u]=c:on(e.emitsOptions,o)||o in r&&c===r[o]||(r[o]=c,l=!0)}if(s){const t=wt(n),r=a||o;for(let o=0;o<s.length;o++){const a=s[o];n[a]=gr(i,t,a,r[a],e,!h(r,a))}}return l}function gr(e,t,n,r,i,o){const s=e[n];if(null!=s){const e=h(s,"default");if(e&&void 0===r){const e=s.default;if(s.type!==Function&&!s.skipFactory&&b(e)){const{propsDefaults:o}=i;if(n in o)r=o[n];else{const s=eo(i);r=o[n]=e.call(null,t),s()}}else r=e}s[0]&&(o&&!e?r=!1:!s[1]||""!==r&&r!==P(n)||(r=!0))}return r}function yr(e,t,n=!1){const r=t.propsCache,i=r.get(e);if(i)return i;const a=e.props,l={},c=[];let u=!1;if(!b(e)){const r=e=>{u=!0;const[n,r]=yr(e,t,!0);f(l,n),r&&c.push(...r)};!n&&t.mixins.length&&t.mixins.forEach(r),e.extends&&r(e.extends),e.mixins&&e.mixins.forEach(r)}if(!a&&!u)return L(e)&&r.set(e,s),s;if(m(a))for(let s=0;s<a.length;s++){0;const e=R(a[s]);vr(e)&&(l[e]=o)}else if(a){0;for(const e in a){const t=R(e);if(vr(t)){const n=a[e],r=l[t]=m(n)||b(n)?{type:n}:f({},n);if(r){const e=_r(Boolean,r.type),n=_r(String,r.type);r[0]=e>-1,r[1]=n<0||e<n,(e>-1||h(r,"default"))&&c.push(t)}}}}const d=[l,c];return L(e)&&r.set(e,d),d}function vr(e){return"$"!==e[0]&&!O(e)}function br(e){if(null===e)return"null";if("function"===typeof e)return e.name||"";if("object"===typeof e){const t=e.constructor&&e.constructor.name;return t||""}return""}function wr(e,t){return br(e)===br(t)}function _r(e,t){return m(t)?t.findIndex((t=>wr(t,e))):b(t)&&wr(t,e)?0:-1}const Lr=e=>"_"===e[0]||"$stable"===e,Cr=e=>m(e)?e.map(qi):[qi(e)],Sr=(e,t,n)=>{if(t._n)return t;const r=cn(((...e)=>Cr(t(...e))),n);return r._c=!1,r},xr=(e,t,n)=>{const r=e._ctx;for(const i in e){if(Lr(i))continue;const n=e[i];if(b(n))t[i]=Sr(i,n,r);else if(null!=n){0;const e=Cr(n);t[i]=()=>e}}},Er=(e,t)=>{const n=Cr(t);e.slots.default=()=>n},kr=(e,t)=>{const n=e.slots=fr();if(32&e.vnode.shapeFlag){const e=t._;e?(f(n,t),U(n,"_",e,!0)):xr(t,n)}else t&&Er(e,t)},Tr=(e,t,n)=>{const{vnode:r,slots:i}=e;let s=!0,a=o;if(32&r.shapeFlag){const e=t._;e?n&&1===e?s=!1:(f(i,t),n||1!==e||delete i._):(s=!t.$stable,xr(t,i)),a=t}else t&&(Er(e,t),a={default:1});if(s)for(const o in i)Lr(o)||null!=a[o]||delete i[o]};function Or(e,t,n,r,i=!1){if(m(e))return void e.forEach(((e,o)=>Or(e,t&&(m(t)?t[o]:t),n,r,i)));if(jn(r)&&!i)return;const s=4&r.shapeFlag?po(r.component):r.el,a=i?null:s,{i:l,r:c}=e;const u=t&&t.r,f=l.refs===o?l.refs={}:l.refs,p=l.setupState;if(null!=u&&u!==c&&(w(u)?(f[u]=null,h(p,u)&&(p[u]=null)):Tt(u)&&(u.value=null)),b(c))Rt(c,l,12,[a,f]);else{const t=w(c),r=Tt(c);if(t||r){const o=()=>{if(e.f){const n=t?h(p,c)?p[c]:f[c]:c.value;i?m(n)&&d(n,s):m(n)?n.includes(s)||n.push(s):t?(f[c]=[s],h(p,c)&&(p[c]=f[c])):(c.value=[s],e.k&&(f[e.k]=c.value))}else t?(f[c]=a,h(p,c)&&(p[c]=a)):r&&(c.value=a,e.k&&(f[e.k]=a))};a?(o.id=-1,Ar(o,n)):o()}else 0}}function Mr(){"boolean"!==typeof __VUE_PROD_HYDRATION_MISMATCH_DETAILS__&&($().__VUE_PROD_HYDRATION_MISMATCH_DETAILS__=!1)}const Ar=Ln;function Rr(e){return Nr(e)}function Nr(e,t){Mr();const n=$();n.__VUE__=!0;const{insert:r,remove:i,patchProp:l,createElement:c,createText:u,createComment:f,setText:d,setElementText:p,parentNode:h,nextSibling:m,setScopeId:g=a,insertStaticContent:y}=e,v=(e,t,n,r=null,i=null,o=null,s=void 0,a=null,l=!!t.dynamicChildren)=>{if(e===t)return;e&&!Ri(e,t)&&(r=K(e),z(e,i,o,!0),e=null),-2===t.patchFlag&&(l=!1,t.dynamicChildren=null);const{type:c,ref:u,shapeFlag:f}=t;switch(c){case bi:b(e,t,n,r);break;case wi:w(e,t,n,r);break;case _i:null==e&&_(t,n,r,s);break;case vi:R(e,t,n,r,i,o,s,a,l);break;default:1&f?S(e,t,n,r,i,o,s,a,l):6&f?N(e,t,n,r,i,o,s,a,l):(64&f||128&f)&&c.process(e,t,n,r,i,o,s,a,l,Y)}null!=u&&i&&Or(u,e&&e.ref,o,t||e,!t)},b=(e,t,n,i)=>{if(null==e)r(t.el=u(t.children),n,i);else{const n=t.el=e.el;t.children!==e.children&&d(n,t.children)}},w=(e,t,n,i)=>{null==e?r(t.el=f(t.children||""),n,i):t.el=e.el},_=(e,t,n,r)=>{[e.el,e.anchor]=y(e.children,t,n,r,e.el,e.anchor)},L=({el:e,anchor:t},n,i)=>{let o;while(e&&e!==t)o=m(e),r(e,n,i),e=o;r(t,n,i)},C=({el:e,anchor:t})=>{let n;while(e&&e!==t)n=m(e),i(e),e=n;i(t)},S=(e,t,n,r,i,o,s,a,l)=>{"svg"===t.type?s="svg":"math"===t.type&&(s="mathml"),null==e?x(t,n,r,i,o,s,a,l):T(e,t,i,o,s,a,l)},x=(e,t,n,i,o,s,a,u)=>{let f,d;const{props:h,shapeFlag:m,transition:g,dirs:y}=e;if(f=e.el=c(e.type,s,h&&h.is,h),8&m?p(f,e.children):16&m&&k(e.children,f,null,i,o,Pr(e,s),a,u),y&&Fn(e,null,i,"created"),E(f,e,e.scopeId,a,i),h){for(const t in h)"value"===t||O(t)||l(f,t,null,h[t],s,e.children,i,o,J);"value"in h&&l(f,"value",null,h.value,s),(d=h.onVnodeBeforeMount)&&Zi(d,i,e)}y&&Fn(e,null,i,"beforeMount");const v=Dr(o,g);v&&g.beforeEnter(f),r(f,t,n),((d=h&&h.onVnodeMounted)||v||y)&&Ar((()=>{d&&Zi(d,i,e),v&&g.enter(f),y&&Fn(e,null,i,"mounted")}),o)},E=(e,t,n,r,i)=>{if(n&&g(e,n),r)for(let o=0;o<r.length;o++)g(e,r[o]);if(i){let n=i.subTree;if(t===n){const t=i.vnode;E(e,t,t.scopeId,t.slotScopeIds,i.parent)}}},k=(e,t,n,r,i,o,s,a,l=0)=>{for(let c=l;c<e.length;c++){const l=e[c]=a?$i(e[c]):qi(e[c]);v(null,l,t,n,r,i,o,s,a)}},T=(e,t,n,r,i,s,a)=>{const c=t.el=e.el;let{patchFlag:u,dynamicChildren:f,dirs:d}=t;u|=16&e.patchFlag;const h=e.props||o,m=t.props||o;let g;if(n&&Fr(n,!1),(g=m.onVnodeBeforeUpdate)&&Zi(g,n,t,e),d&&Fn(t,e,n,"beforeUpdate"),n&&Fr(n,!0),f?M(e.dynamicChildren,f,c,n,r,Pr(t,i),s):a||U(e,t,c,null,n,r,Pr(t,i),s,!1),u>0){if(16&u)A(c,t,h,m,n,r,i);else if(2&u&&h.class!==m.class&&l(c,"class",null,m.class,i),4&u&&l(c,"style",h.style,m.style,i),8&u){const o=t.dynamicProps;for(let t=0;t<o.length;t++){const s=o[t],a=h[s],u=m[s];u===a&&"value"!==s||l(c,s,a,u,i,e.children,n,r,J)}}1&u&&e.children!==t.children&&p(c,t.children)}else a||null!=f||A(c,t,h,m,n,r,i);((g=m.onVnodeUpdated)||d)&&Ar((()=>{g&&Zi(g,n,t,e),d&&Fn(t,e,n,"updated")}),r)},M=(e,t,n,r,i,o,s)=>{for(let a=0;a<t.length;a++){const l=e[a],c=t[a],u=l.el&&(l.type===vi||!Ri(l,c)||70&l.shapeFlag)?h(l.el):n;v(l,c,u,null,r,i,o,s,!0)}},A=(e,t,n,r,i,s,a)=>{if(n!==r){if(n!==o)for(const o in n)O(o)||o in r||l(e,o,n[o],null,a,t.children,i,s,J);for(const o in r){if(O(o))continue;const c=r[o],u=n[o];c!==u&&"value"!==o&&l(e,o,u,c,a,t.children,i,s,J)}"value"in r&&l(e,"value",n.value,r.value,a)}},R=(e,t,n,i,o,s,a,l,c)=>{const f=t.el=e?e.el:u(""),d=t.anchor=e?e.anchor:u("");let{patchFlag:p,dynamicChildren:h,slotScopeIds:m}=t;m&&(l=l?l.concat(m):m),null==e?(r(f,n,i),r(d,n,i),k(t.children||[],n,d,o,s,a,l,c)):p>0&&64&p&&h&&e.dynamicChildren?(M(e.dynamicChildren,h,n,o,s,a,l),(null!=t.key||o&&t===o.subTree)&&jr(e,t,!0)):U(e,t,n,d,o,s,a,l,c)},N=(e,t,n,r,i,o,s,a,l)=>{t.slotScopeIds=a,null==e?512&t.shapeFlag?i.ctx.activate(t,n,r,s,l):P(t,n,r,i,o,s,l):F(e,t,l)},P=(e,t,n,r,i,o,s)=>{const a=e.component=Ki(e,r,i);if(Kr(e)&&(a.ctx.renderer=Y),so(a),a.asyncDep){if(i&&i.registerDep(a,D,s),!e.el){const e=a.subTree=Di(wi);w(null,e,t,n)}}else D(a,e,t,n,i,o,s)},F=(e,t,n)=>{const r=t.component=e.component;if(pn(e,t,n)){if(r.asyncDep&&!r.asyncResolved)return void j(r,t,n);r.next=t,Kt(r.update),r.effect.dirty=!0,r.update()}else t.el=e.el,r.vnode=t},D=(e,t,n,r,i,o,s)=>{const l=()=>{if(e.isMounted){let{next:t,bu:n,u:r,parent:a,vnode:c}=e;{const n=Ur(e);if(n)return t&&(t.el=c.el,j(e,t,s)),void n.asyncDep.then((()=>{e.isUnmounted||l()}))}let u,f=t;0,Fr(e,!1),t?(t.el=c.el,j(e,t,s)):t=c,n&&I(n),(u=t.props&&t.props.onVnodeBeforeUpdate)&&Zi(u,a,t,c),Fr(e,!0);const d=un(e);0;const p=e.subTree;e.subTree=d,v(p,d,h(p.el),K(p),e,i,o),t.el=d.el,null===f&&mn(e,d.el),r&&Ar(r,i),(u=t.props&&t.props.onVnodeUpdated)&&Ar((()=>Zi(u,a,t,c)),i)}else{let s;const{el:a,props:l}=t,{bm:c,m:u,parent:f}=e,d=jn(t);if(Fr(e,!1),c&&I(c),!d&&(s=l&&l.onVnodeBeforeMount)&&Zi(s,f,t),Fr(e,!0),a&&ee){const n=()=>{e.subTree=un(e),ee(a,e.subTree,e,i,null)};d?t.type.__asyncLoader().then((()=>!e.isUnmounted&&n())):n()}else{0;const s=e.subTree=un(e);0,v(null,s,n,r,e,i,o),t.el=s.el}if(u&&Ar(u,i),!d&&(s=l&&l.onVnodeMounted)){const e=t;Ar((()=>Zi(s,f,e)),i)}(256&t.shapeFlag||f&&jn(f.vnode)&&256&f.vnode.shapeFlag)&&e.a&&Ar(e.a,i),e.isMounted=!0,t=n=r=null}},c=e.effect=new ae(l,a,(()=>Vt(u)),e.scope),u=e.update=()=>{c.dirty&&c.run()};u.id=e.uid,Fr(e,!0),u()},j=(e,t,n)=>{t.component=e;const r=e.vnode.props;e.vnode=t,e.next=null,hr(e,t.props,r,n),Tr(e,t.children,n),me(),Xt(e),ge()},U=(e,t,n,r,i,o,s,a,l=!1)=>{const c=e&&e.children,u=e?e.shapeFlag:0,f=t.children,{patchFlag:d,shapeFlag:h}=t;if(d>0){if(128&d)return void W(c,f,n,r,i,o,s,a,l);if(256&d)return void B(c,f,n,r,i,o,s,a,l)}8&h?(16&u&&J(c,i,o),f!==c&&p(n,f)):16&u?16&h?W(c,f,n,r,i,o,s,a,l):J(c,i,o,!0):(8&u&&p(n,""),16&h&&k(f,n,r,i,o,s,a,l))},B=(e,t,n,r,i,o,a,l,c)=>{e=e||s,t=t||s;const u=e.length,f=t.length,d=Math.min(u,f);let p;for(p=0;p<d;p++){const r=t[p]=c?$i(t[p]):qi(t[p]);v(e[p],r,n,null,i,o,a,l,c)}u>f?J(e,i,o,!0,!1,d):k(t,n,r,i,o,a,l,c,d)},W=(e,t,n,r,i,o,a,l,c)=>{let u=0;const f=t.length;let d=e.length-1,p=f-1;while(u<=d&&u<=p){const r=e[u],s=t[u]=c?$i(t[u]):qi(t[u]);if(!Ri(r,s))break;v(r,s,n,null,i,o,a,l,c),u++}while(u<=d&&u<=p){const r=e[d],s=t[p]=c?$i(t[p]):qi(t[p]);if(!Ri(r,s))break;v(r,s,n,null,i,o,a,l,c),d--,p--}if(u>d){if(u<=p){const e=p+1,s=e<f?t[e].el:r;while(u<=p)v(null,t[u]=c?$i(t[u]):qi(t[u]),n,s,i,o,a,l,c),u++}}else if(u>p)while(u<=d)z(e[u],i,o,!0),u++;else{const h=u,m=u,g=new Map;for(u=m;u<=p;u++){const e=t[u]=c?$i(t[u]):qi(t[u]);null!=e.key&&g.set(e.key,u)}let y,b=0;const w=p-m+1;let _=!1,L=0;const C=new Array(w);for(u=0;u<w;u++)C[u]=0;for(u=h;u<=d;u++){const r=e[u];if(b>=w){z(r,i,o,!0);continue}let s;if(null!=r.key)s=g.get(r.key);else for(y=m;y<=p;y++)if(0===C[y-m]&&Ri(r,t[y])){s=y;break}void 0===s?z(r,i,o,!0):(C[s-m]=u+1,s>=L?L=s:_=!0,v(r,t[s],n,null,i,o,a,l,c),b++)}const S=_?Ir(C):s;for(y=S.length-1,u=w-1;u>=0;u--){const e=m+u,s=t[e],d=e+1<f?t[e+1].el:r;0===C[u]?v(null,s,n,d,i,o,a,l,c):_&&(y<0||u!==S[y]?q(s,n,d,2):y--)}}},q=(e,t,n,i,o=null)=>{const{el:s,type:a,transition:l,children:c,shapeFlag:u}=e;if(6&u)return void q(e.component.subTree,t,n,i);if(128&u)return void e.suspense.move(t,n,i);if(64&u)return void a.move(e,t,n,Y);if(a===vi){r(s,t,n);for(let e=0;e<c.length;e++)q(c[e],t,n,i);return void r(e.anchor,t,n)}if(a===_i)return void L(e,t,n);const f=2!==i&&1&u&&l;if(f)if(0===i)l.beforeEnter(s),r(s,t,n),Ar((()=>l.enter(s)),o);else{const{leave:e,delayLeave:i,afterLeave:o}=l,a=()=>r(s,t,n),c=()=>{e(s,(()=>{a(),o&&o()}))};i?i(s,a,c):c()}else r(s,t,n)},z=(e,t,n,r=!1,i=!1)=>{const{type:o,props:s,ref:a,children:l,dynamicChildren:c,shapeFlag:u,patchFlag:f,dirs:d,memoIndex:p}=e;if(-2===f&&(i=!1),null!=a&&Or(a,null,n,e,!0),null!=p&&(t.renderCache[p]=void 0),256&u)return void t.ctx.deactivate(e);const h=1&u&&d,m=!jn(e);let g;if(m&&(g=s&&s.onVnodeBeforeUnmount)&&Zi(g,t,e),6&u)V(e.component,n,r);else{if(128&u)return void e.suspense.unmount(n,r);h&&Fn(e,null,t,"beforeUnmount"),64&u?e.type.remove(e,t,n,Y,r):c&&(o!==vi||f>0&&64&f)?J(c,t,n,!1,!0):(o===vi&&384&f||!i&&16&u)&&J(l,t,n),r&&H(e)}(m&&(g=s&&s.onVnodeUnmounted)||h)&&Ar((()=>{g&&Zi(g,t,e),h&&Fn(e,null,t,"unmounted")}),n)},H=e=>{const{type:t,el:n,anchor:r,transition:o}=e;if(t===vi)return void Z(n,r);if(t===_i)return void C(e);const s=()=>{i(n),o&&!o.persisted&&o.afterLeave&&o.afterLeave()};if(1&e.shapeFlag&&o&&!o.persisted){const{leave:t,delayLeave:r}=o,i=()=>t(n,s);r?r(e.el,s,i):i()}else s()},Z=(e,t)=>{let n;while(e!==t)n=m(e),i(e),e=n;i(t)},V=(e,t,n)=>{const{bum:r,scope:i,update:o,subTree:s,um:a,m:l,a:c}=e;Br(l),Br(c),r&&I(r),i.stop(),o&&(o.active=!1,z(s,e,t,n)),a&&Ar(a,t),Ar((()=>{e.isUnmounted=!0}),t),t&&t.pendingBranch&&!t.isUnmounted&&e.asyncDep&&!e.asyncResolved&&e.suspenseId===t.pendingId&&(t.deps--,0===t.deps&&t.resolve())},J=(e,t,n,r=!1,i=!1,o=0)=>{for(let s=o;s<e.length;s++)z(e[s],t,n,r,i)},K=e=>6&e.shapeFlag?K(e.component.subTree):128&e.shapeFlag?e.suspense.next():m(e.anchor||e.el);let G=!1;const X=(e,t,n)=>{null==e?t._vnode&&z(t._vnode,null,null,!0):v(t._vnode||null,e,t,null,null,null,n),G||(G=!0,Xt(),Yt(),G=!1),t._vnode=e},Y={p:v,um:z,m:q,r:H,mt:P,mc:k,pc:U,pbc:M,n:K,o:e};let Q,ee;return t&&([Q,ee]=t(Y)),{render:X,hydrate:Q,createApp:sr(X,Q)}}function Pr({type:e,props:t},n){return"svg"===n&&"foreignObject"===e||"mathml"===n&&"annotation-xml"===e&&t&&t.encoding&&t.encoding.includes("html")?void 0:n}function Fr({effect:e,update:t},n){e.allowRecurse=t.allowRecurse=n}function Dr(e,t){return(!e||e&&!e.pendingBranch)&&t&&!t.persisted}function jr(e,t,n=!1){const r=e.children,i=t.children;if(m(r)&&m(i))for(let o=0;o<r.length;o++){const e=r[o];let t=i[o];1&t.shapeFlag&&!t.dynamicChildren&&((t.patchFlag<=0||32===t.patchFlag)&&(t=i[o]=$i(i[o]),t.el=e.el),n||-2===t.patchFlag||jr(e,t)),t.type===bi&&(t.el=e.el)}}function Ir(e){const t=e.slice(),n=[0];let r,i,o,s,a;const l=e.length;for(r=0;r<l;r++){const l=e[r];if(0!==l){if(i=n[n.length-1],e[i]<l){t[r]=i,n.push(r);continue}o=0,s=n.length-1;while(o<s)a=o+s>>1,e[n[a]]<l?o=a+1:s=a;l<e[n[o]]&&(o>0&&(t[r]=n[o-1]),n[o]=r)}}o=n.length,s=n[o-1];while(o-- >0)n[o]=s,s=t[s];return n}function Ur(e){const t=e.subTree.component;if(t)return t.asyncDep&&!t.asyncResolved?t:Ur(t)}function Br(e){if(e)for(let t=0;t<e.length;t++)e[t].active=!1}const Wr=Symbol.for("v-scx"),qr=()=>{{const e=cr(Wr);return e}};const $r={};function zr(e,t,n){return Hr(e,t,n)}function Hr(e,t,{immediate:n,deep:r,flush:i,once:s,onTrack:l,onTrigger:c}=o){if(t&&s){const e=t;t=(...t)=>{e(...t),E()}}const u=Gi,f=e=>!0===r?e:Jr(e,!1===r?1:void 0);let p,h,g=!1,y=!1;if(Tt(e)?(p=()=>e.value,g=vt(e)):gt(e)?(p=()=>f(e),g=!0):m(e)?(y=!0,g=e.some((e=>gt(e)||vt(e))),p=()=>e.map((e=>Tt(e)?e.value:gt(e)?f(e):b(e)?Rt(e,u,2):void 0))):p=b(e)?t?()=>Rt(e,u,2):()=>(h&&h(),Nt(e,u,3,[w])):a,t&&r){const e=p;p=()=>Jr(e())}let v,w=e=>{h=S.onStop=()=>{Rt(e,u,4),h=S.onStop=void 0}};if(oo){if(w=a,t?n&&Nt(t,u,3,[p(),y?[]:void 0,w]):p(),"sync"!==i)return a;{const e=qr();v=e.__watcherHandles||(e.__watcherHandles=[])}}let _=y?new Array(e.length).fill($r):$r;const L=()=>{if(S.active&&S.dirty)if(t){const e=S.run();(r||g||(y?e.some(((e,t)=>j(e,_[t]))):j(e,_)))&&(h&&h(),Nt(t,u,3,[e,_===$r?void 0:y&&_[0]===$r?[]:_,w]),_=e)}else S.run()};let C;L.allowRecurse=!!t,"sync"===i?C=L:"post"===i?C=()=>Ar(L,u&&u.suspense):(L.pre=!0,u&&(L.id=u.uid),C=()=>Vt(L));const S=new ae(p,a,C),x=se(),E=()=>{S.stop(),x&&d(x.effects,S)};return t?n?L():_=S.run():"post"===i?Ar(S.run.bind(S),u&&u.suspense):S.run(),v&&v.push(E),E}function Zr(e,t,n){const r=this.proxy,i=w(e)?e.includes(".")?Vr(r,e):()=>r[e]:e.bind(r,r);let o;b(t)?o=t:(o=t.handler,n=t);const s=eo(this),a=Hr(i,o.bind(r),n);return s(),a}function Vr(e,t){const n=t.split(".");return()=>{let t=e;for(let e=0;e<n.length&&t;e++)t=t[n[e]];return t}}function Jr(e,t=1/0,n){if(t<=0||!L(e)||e["__v_skip"])return e;if(n=n||new Set,n.has(e))return e;if(n.add(e),t--,Tt(e))Jr(e.value,t,n);else if(m(e))for(let r=0;r<e.length;r++)Jr(e[r],t,n);else if(y(e)||g(e))e.forEach((e=>{Jr(e,t,n)}));else if(k(e)){for(const r in e)Jr(e[r],t,n);for(const r of Object.getOwnPropertySymbols(e))Object.prototype.propertyIsEnumerable.call(e,r)&&Jr(e[r],t,n)}return e}const Kr=e=>e.type.__isKeepAlive;RegExp,RegExp;function Gr(e,t){return m(e)?e.some((e=>Gr(e,t))):w(e)?e.split(",").includes(t):!!v(e)&&e.test(t)}function Xr(e,t){Qr(e,"a",t)}function Yr(e,t){Qr(e,"da",t)}function Qr(e,t,n=Gi){const r=e.__wdc||(e.__wdc=()=>{let t=n;while(t){if(t.isDeactivated)return;t=t.parent}return e()});if(Cn(t,r,n),n){let e=n.parent;while(e&&e.parent)Kr(e.parent.vnode)&&ei(r,t,n,e),e=e.parent}}function ei(e,t,n,r){const i=Cn(t,e,r,!0);Mn((()=>{d(r[t],i)}),n)}function ti(e){e.shapeFlag&=-257,e.shapeFlag&=-513}function ni(e){return 128&e.shapeFlag?e.ssContent:e}const ri=Symbol("_leaveCb"),ii=Symbol("_enterCb");function oi(){const e={isMounted:!1,isLeaving:!1,isUnmounting:!1,leavingVNodes:new Map};return En((()=>{e.isMounted=!0})),On((()=>{e.isUnmounting=!0})),e}const si=[Function,Array],ai={mode:String,appear:Boolean,persisted:Boolean,onBeforeEnter:si,onEnter:si,onAfterEnter:si,onEnterCancelled:si,onBeforeLeave:si,onLeave:si,onAfterLeave:si,onLeaveCancelled:si,onBeforeAppear:si,onAppear:si,onAfterAppear:si,onAppearCancelled:si},li=e=>{const t=e.subTree;return t.component?li(t.component):t},ci={name:"BaseTransition",props:ai,setup(e,{slots:t}){const n=Xi(),r=oi();return()=>{const i=t.default&&gi(t.default(),!0);if(!i||!i.length)return;let o=i[0];if(i.length>1){let e=!1;for(const t of i)if(t.type!==wi){0,o=t,e=!0;break}}const s=wt(e),{mode:a}=s;if(r.isLeaving)return pi(o);const l=hi(o);if(!l)return pi(o);let c=di(l,s,r,n,(e=>c=e));mi(l,c);const u=n.subTree,f=u&&hi(u);if(f&&f.type!==wi&&!Ri(l,f)&&li(n).type!==wi){const e=di(f,s,r,n);if(mi(f,e),"out-in"===a&&l.type!==wi)return r.isLeaving=!0,e.afterLeave=()=>{r.isLeaving=!1,!1!==n.update.active&&(n.effect.dirty=!0,n.update())},pi(o);"in-out"===a&&l.type!==wi&&(e.delayLeave=(e,t,n)=>{const i=fi(r,f);i[String(f.key)]=f,e[ri]=()=>{t(),e[ri]=void 0,delete c.delayedLeave},c.delayedLeave=n})}return o}}},ui=ci;function fi(e,t){const{leavingVNodes:n}=e;let r=n.get(t.type);return r||(r=Object.create(null),n.set(t.type,r)),r}function di(e,t,n,r,i){const{appear:o,mode:s,persisted:a=!1,onBeforeEnter:l,onEnter:c,onAfterEnter:u,onEnterCancelled:f,onBeforeLeave:d,onLeave:p,onAfterLeave:h,onLeaveCancelled:g,onBeforeAppear:y,onAppear:v,onAfterAppear:b,onAppearCancelled:w}=t,_=String(e.key),L=fi(n,e),C=(e,t)=>{e&&Nt(e,r,9,t)},S=(e,t)=>{const n=t[1];C(e,t),m(e)?e.every((e=>e.length<=1))&&n():e.length<=1&&n()},x={mode:s,persisted:a,beforeEnter(t){let r=l;if(!n.isMounted){if(!o)return;r=y||l}t[ri]&&t[ri](!0);const i=L[_];i&&Ri(e,i)&&i.el[ri]&&i.el[ri](),C(r,[t])},enter(e){let t=c,r=u,i=f;if(!n.isMounted){if(!o)return;t=v||c,r=b||u,i=w||f}let s=!1;const a=e[ii]=t=>{s||(s=!0,C(t?i:r,[e]),x.delayedLeave&&x.delayedLeave(),e[ii]=void 0)};t?S(t,[e,a]):a()},leave(t,r){const i=String(e.key);if(t[ii]&&t[ii](!0),n.isUnmounting)return r();C(d,[t]);let o=!1;const s=t[ri]=n=>{o||(o=!0,r(),C(n?g:h,[t]),t[ri]=void 0,L[i]===e&&delete L[i])};L[i]=e,p?S(p,[t,s]):s()},clone(e){const o=di(e,t,n,r,i);return i&&i(o),o}};return x}function pi(e){if(Kr(e))return e=Ui(e),e.children=null,e}function hi(e){if(!Kr(e))return e;const{shapeFlag:t,children:n}=e;if(n){if(16&t)return n[0];if(32&t&&b(n.default))return n.default()}}function mi(e,t){6&e.shapeFlag&&e.component?mi(e.component.subTree,t):128&e.shapeFlag?(e.ssContent.transition=t.clone(e.ssContent),e.ssFallback.transition=t.clone(e.ssFallback)):e.transition=t}function gi(e,t=!1,n){let r=[],i=0;for(let o=0;o<e.length;o++){let s=e[o];const a=null==n?s.key:String(n)+String(null!=s.key?s.key:o);s.type===vi?(128&s.patchFlag&&i++,r=r.concat(gi(s.children,t,a))):(t||s.type!==wi)&&r.push(null!=a?Ui(s,{key:a}):s)}if(i>1)for(let o=0;o<r.length;o++)r[o].patchFlag=-2;return r}const yi=e=>e.__isTeleport;const vi=Symbol.for("v-fgt"),bi=Symbol.for("v-txt"),wi=Symbol.for("v-cmt"),_i=Symbol.for("v-stc"),Li=[];let Ci=null;function Si(e=!1){Li.push(Ci=e?null:[])}function xi(){Li.pop(),Ci=Li[Li.length-1]||null}let Ei=1;function ki(e){Ei+=e}function Ti(e){return e.dynamicChildren=Ei>0?Ci||s:null,xi(),Ei>0&&Ci&&Ci.push(e),e}function Oi(e,t,n,r,i,o){return Ti(Fi(e,t,n,r,i,o,!0))}function Mi(e,t,n,r,i){return Ti(Di(e,t,n,r,i,!0))}function Ai(e){return!!e&&!0===e.__v_isVNode}function Ri(e,t){return e.type===t.type&&e.key===t.key}const Ni=({key:e})=>null!=e?e:null,Pi=({ref:e,ref_key:t,ref_for:n})=>("number"===typeof e&&(e=""+e),null!=e?w(e)||Tt(e)||b(e)?{i:sn,r:e,k:t,f:!!n}:e:null);function Fi(e,t=null,n=null,r=0,i=null,o=(e===vi?0:1),s=!1,a=!1){const l={__v_isVNode:!0,__v_skip:!0,type:e,props:t,key:t&&Ni(t),ref:t&&Pi(t),scopeId:an,slotScopeIds:null,children:n,component:null,suspense:null,ssContent:null,ssFallback:null,dirs:null,transition:null,el:null,anchor:null,target:null,targetAnchor:null,staticCount:0,shapeFlag:o,patchFlag:r,dynamicProps:i,dynamicChildren:null,appContext:null,ctx:sn};return a?(zi(l,n),128&o&&e.normalize(l)):n&&(l.shapeFlag|=w(n)?8:16),Ei>0&&!s&&Ci&&(l.patchFlag>0||6&o)&&32!==l.patchFlag&&Ci.push(l),l}const Di=ji;function ji(e,t=null,n=null,r=0,i=null,o=!1){if(e&&e!==vn||(e=wi),Ai(e)){const r=Ui(e,t,!0);return n&&zi(r,n),Ei>0&&!o&&Ci&&(6&r.shapeFlag?Ci[Ci.indexOf(e)]=r:Ci.push(r)),r.patchFlag=-2,r}if(mo(e)&&(e=e.__vccOpts),t){t=Ii(t);let{class:e,style:n}=t;e&&!w(e)&&(t.class=K(e)),L(n)&&(bt(n)&&!m(n)&&(n=f({},n)),t.style=z(n))}const s=w(e)?1:_n(e)?128:yi(e)?64:L(e)?4:b(e)?2:0;return Fi(e,t,n,r,i,s,o,!0)}function Ii(e){return e?bt(e)||dr(e)?f({},e):e:null}function Ui(e,t,n=!1,r=!1){const{props:i,ref:o,patchFlag:s,children:a,transition:l}=e,c=t?Hi(i||{},t):i,u={__v_isVNode:!0,__v_skip:!0,type:e.type,props:c,key:c&&Ni(c),ref:t&&t.ref?n&&o?m(o)?o.concat(Pi(t)):[o,Pi(t)]:Pi(t):o,scopeId:e.scopeId,slotScopeIds:e.slotScopeIds,children:a,target:e.target,targetAnchor:e.targetAnchor,staticCount:e.staticCount,shapeFlag:e.shapeFlag,patchFlag:t&&e.type!==vi?-1===s?16:16|s:s,dynamicProps:e.dynamicProps,dynamicChildren:e.dynamicChildren,appContext:e.appContext,dirs:e.dirs,transition:l,component:e.component,suspense:e.suspense,ssContent:e.ssContent&&Ui(e.ssContent),ssFallback:e.ssFallback&&Ui(e.ssFallback),el:e.el,anchor:e.anchor,ctx:e.ctx,ce:e.ce};return l&&r&&mi(u,l.clone(u)),u}function Bi(e=" ",t=0){return Di(bi,null,e,t)}function Wi(e="",t=!1){return t?(Si(),Mi(wi,null,e)):Di(wi,null,e)}function qi(e){return null==e||"boolean"===typeof e?Di(wi):m(e)?Di(vi,null,e.slice()):"object"===typeof e?$i(e):Di(bi,null,String(e))}function $i(e){return null===e.el&&-1!==e.patchFlag||e.memo?e:Ui(e)}function zi(e,t){let n=0;const{shapeFlag:r}=e;if(null==t)t=null;else if(m(t))n=16;else if("object"===typeof t){if(65&r){const n=t.default;return void(n&&(n._c&&(n._d=!1),zi(e,n()),n._c&&(n._d=!0)))}{n=32;const r=t._;r||dr(t)?3===r&&sn&&(1===sn.slots._?t._=1:(t._=2,e.patchFlag|=1024)):t._ctx=sn}}else b(t)?(t={default:t,_ctx:sn},n=32):(t=String(t),64&r?(n=16,t=[Bi(t)]):n=8);e.children=t,e.shapeFlag|=n}function Hi(...e){const t={};for(let n=0;n<e.length;n++){const r=e[n];for(const e in r)if("class"===e)t.class!==r.class&&(t.class=K([t.class,r.class]));else if("style"===e)t.style=z([t.style,r.style]);else if(c(e)){const n=t[e],i=r[e];!i||n===i||m(n)&&n.includes(i)||(t[e]=n?[].concat(n,i):i)}else""!==e&&(t[e]=r[e])}return t}function Zi(e,t,n,r=null){Nt(e,t,7,[n,r])}const Vi=ir();let Ji=0;function Ki(e,t,n){const r=e.type,i=(t?t.appContext:e.appContext)||Vi,s={uid:Ji++,vnode:e,type:r,parent:t,appContext:i,root:null,next:null,subTree:null,effect:null,update:null,scope:new ie(!0),render:null,proxy:null,exposed:null,exposeProxy:null,withProxy:null,provides:t?t.provides:Object.create(i.provides),accessCache:null,renderCache:[],components:null,directives:null,propsOptions:yr(r,i),emitsOptions:rn(r,i),emit:null,emitted:null,propsDefaults:o,inheritAttrs:r.inheritAttrs,ctx:o,data:o,props:o,attrs:o,slots:o,refs:o,setupState:o,setupContext:null,attrsProxy:null,slotsProxy:null,suspense:n,suspenseId:n?n.pendingId:0,asyncDep:null,asyncResolved:!1,isMounted:!1,isUnmounted:!1,isDeactivated:!1,bc:null,c:null,bm:null,m:null,bu:null,u:null,um:null,bum:null,da:null,a:null,rtg:null,rtc:null,ec:null,sp:null};return s.ctx={_:s},s.root=t?t.root:s,s.emit=nn.bind(null,s),e.ce&&e.ce(s),s}let Gi=null;const Xi=()=>Gi||sn;let Yi,Qi;{const e=$(),t=(t,n)=>{let r;return(r=e[t])||(r=e[t]=[]),r.push(n),e=>{r.length>1?r.forEach((t=>t(e))):r[0](e)}};Yi=t("__VUE_INSTANCE_SETTERS__",(e=>Gi=e)),Qi=t("__VUE_SSR_SETTERS__",(e=>oo=e))}const eo=e=>{const t=Gi;return Yi(e),e.scope.on(),()=>{e.scope.off(),Yi(t)}},to=()=>{Gi&&Gi.scope.off(),Yi(null)};function no(e){return 4&e.vnode.shapeFlag}let ro,io,oo=!1;function so(e,t=!1){t&&Qi(t);const{props:n,children:r}=e.vnode,i=no(e);pr(e,n,i,t),kr(e,r);const o=i?ao(e,t):void 0;return t&&Qi(!1),o}function ao(e,t){const n=e.type;e.accessCache=Object.create(null),e.proxy=new Proxy(e.ctx,Wn);const{setup:r}=n;if(r){const n=e.setupContext=r.length>1?fo(e):null,i=eo(e);me();const o=Rt(r,e,0,[e.props,n]);if(ge(),i(),C(o)){if(o.then(to,to),t)return o.then((n=>{lo(e,n,t)})).catch((t=>{Pt(t,e,0)}));e.asyncDep=o}else lo(e,o,t)}else co(e,t)}function lo(e,t,n){b(t)?e.type.__ssrInlineRender?e.ssrRender=t:e.render=t:L(t)&&(e.setupState=At(t)),co(e,n)}function co(e,t,n){const r=e.type;if(!e.render){if(!t&&ro&&!r.render){const t=r.template||Jn(e).template;if(t){0;const{isCustomElement:n,compilerOptions:i}=e.appContext.config,{delimiters:o,compilerOptions:s}=r,a=f(f({isCustomElement:n,delimiters:o},i),s);r.render=ro(t,a)}}e.render=r.render||a,io&&io(e)}{const t=eo(e);me();try{zn(e)}finally{ge(),t()}}}const uo={get(e,t){return Ee(e,"get",""),e[t]}};function fo(e){const t=t=>{e.exposed=t||{}};return{attrs:new Proxy(e.attrs,uo),slots:e.slots,emit:e.emit,expose:t}}function po(e){return e.exposed?e.exposeProxy||(e.exposeProxy=new Proxy(At(_t(e.exposed)),{get(t,n){return n in t?t[n]:n in Un?Un[n](e):void 0},has(e,t){return t in e||t in Un}})):e.proxy}function ho(e,t=!0){return b(e)?e.displayName||e.name:e.name||t&&e.__name}function mo(e){return b(e)&&"__vccOpts"in e}const go=(e,t)=>{const n=xt(e,t,oo);return n};function yo(e,t,n){const r=arguments.length;return 2===r?L(t)&&!m(t)?Ai(t)?Di(e,null,[t]):Di(e,t):Di(e,null,t):(r>3?n=Array.prototype.slice.call(arguments,2):3===r&&Ai(n)&&(n=[n]),Di(e,t,n))}const vo="3.4.30",bo="http://www.w3.org/2000/svg",wo="http://www.w3.org/1998/Math/MathML",_o="undefined"!==typeof document?document:null,Lo=_o&&_o.createElement("template"),Co={insert:(e,t,n)=>{t.insertBefore(e,n||null)},remove:e=>{const t=e.parentNode;t&&t.removeChild(e)},createElement:(e,t,n,r)=>{const i="svg"===t?_o.createElementNS(bo,e):"mathml"===t?_o.createElementNS(wo,e):n?_o.createElement(e,{is:n}):_o.createElement(e);return"select"===e&&r&&null!=r.multiple&&i.setAttribute("multiple",r.multiple),i},createText:e=>_o.createTextNode(e),createComment:e=>_o.createComment(e),setText:(e,t)=>{e.nodeValue=t},setElementText:(e,t)=>{e.textContent=t},parentNode:e=>e.parentNode,nextSibling:e=>e.nextSibling,querySelector:e=>_o.querySelector(e),setScopeId(e,t){e.setAttribute(t,"")},insertStaticContent(e,t,n,r,i,o){const s=n?n.previousSibling:t.lastChild;if(i&&(i===o||i.nextSibling)){while(1)if(t.insertBefore(i.cloneNode(!0),n),i===o||!(i=i.nextSibling))break}else{Lo.innerHTML="svg"===r?`<svg>${e}</svg>`:"mathml"===r?`<math>${e}</math>`:e;const i=Lo.content;if("svg"===r||"mathml"===r){const e=i.firstChild;while(e.firstChild)i.appendChild(e.firstChild);i.removeChild(e)}t.insertBefore(i,n)}return[s?s.nextSibling:t.firstChild,n?n.previousSibling:t.lastChild]}},So="transition",xo="animation",Eo=Symbol("_vtc"),ko=(e,{slots:t})=>yo(ui,Ro(e),t);ko.displayName="Transition";const To={name:String,type:String,css:{type:Boolean,default:!0},duration:[String,Number,Object],enterFromClass:String,enterActiveClass:String,enterToClass:String,appearFromClass:String,appearActiveClass:String,appearToClass:String,leaveFromClass:String,leaveActiveClass:String,leaveToClass:String},Oo=ko.props=f({},ai,To),Mo=(e,t=[])=>{m(e)?e.forEach((e=>e(...t))):e&&e(...t)},Ao=e=>!!e&&(m(e)?e.some((e=>e.length>1)):e.length>1);function Ro(e){const t={};for(const f in e)f in To||(t[f]=e[f]);if(!1===e.css)return t;const{name:n="v",type:r,duration:i,enterFromClass:o=`${n}-enter-from`,enterActiveClass:s=`${n}-enter-active`,enterToClass:a=`${n}-enter-to`,appearFromClass:l=o,appearActiveClass:c=s,appearToClass:u=a,leaveFromClass:d=`${n}-leave-from`,leaveActiveClass:p=`${n}-leave-active`,leaveToClass:h=`${n}-leave-to`}=e,m=No(i),g=m&&m[0],y=m&&m[1],{onBeforeEnter:v,onEnter:b,onEnterCancelled:w,onLeave:_,onLeaveCancelled:L,onBeforeAppear:C=v,onAppear:S=b,onAppearCancelled:x=w}=t,E=(e,t,n)=>{Do(e,t?u:a),Do(e,t?c:s),n&&n()},k=(e,t)=>{e._isLeaving=!1,Do(e,d),Do(e,h),Do(e,p),t&&t()},T=e=>(t,n)=>{const i=e?S:b,s=()=>E(t,e,n);Mo(i,[t,s]),jo((()=>{Do(t,e?l:o),Fo(t,e?u:a),Ao(i)||Uo(t,r,g,s)}))};return f(t,{onBeforeEnter(e){Mo(v,[e]),Fo(e,o),Fo(e,s)},onBeforeAppear(e){Mo(C,[e]),Fo(e,l),Fo(e,c)},onEnter:T(!1),onAppear:T(!0),onLeave(e,t){e._isLeaving=!0;const n=()=>k(e,t);Fo(e,d),Fo(e,p),$o(),jo((()=>{e._isLeaving&&(Do(e,d),Fo(e,h),Ao(_)||Uo(e,r,y,n))})),Mo(_,[e,n])},onEnterCancelled(e){E(e,!1),Mo(w,[e])},onAppearCancelled(e){E(e,!0),Mo(x,[e])},onLeaveCancelled(e){k(e),Mo(L,[e])}})}function No(e){if(null==e)return null;if(L(e))return[Po(e.enter),Po(e.leave)];{const t=Po(e);return[t,t]}}function Po(e){const t=W(e);return t}function Fo(e,t){t.split(/\s+/).forEach((t=>t&&e.classList.add(t))),(e[Eo]||(e[Eo]=new Set)).add(t)}function Do(e,t){t.split(/\s+/).forEach((t=>t&&e.classList.remove(t)));const n=e[Eo];n&&(n.delete(t),n.size||(e[Eo]=void 0))}function jo(e){requestAnimationFrame((()=>{requestAnimationFrame(e)}))}let Io=0;function Uo(e,t,n,r){const i=e._endId=++Io,o=()=>{i===e._endId&&r()};if(n)return setTimeout(o,n);const{type:s,timeout:a,propCount:l}=Bo(e,t);if(!s)return r();const c=s+"end";let u=0;const f=()=>{e.removeEventListener(c,d),o()},d=t=>{t.target===e&&++u>=l&&f()};setTimeout((()=>{u<l&&f()}),a+1),e.addEventListener(c,d)}function Bo(e,t){const n=window.getComputedStyle(e),r=e=>(n[e]||"").split(", "),i=r(`${So}Delay`),o=r(`${So}Duration`),s=Wo(i,o),a=r(`${xo}Delay`),l=r(`${xo}Duration`),c=Wo(a,l);let u=null,f=0,d=0;t===So?s>0&&(u=So,f=s,d=o.length):t===xo?c>0&&(u=xo,f=c,d=l.length):(f=Math.max(s,c),u=f>0?s>c?So:xo:null,d=u?u===So?o.length:l.length:0);const p=u===So&&/\b(transform|all)(,|$)/.test(r(`${So}Property`).toString());return{type:u,timeout:f,propCount:d,hasTransform:p}}function Wo(e,t){while(e.length<t.length)e=e.concat(e);return Math.max(...t.map(((t,n)=>qo(t)+qo(e[n]))))}function qo(e){return"auto"===e?0:1e3*Number(e.slice(0,-1).replace(",","."))}function $o(){return document.body.offsetHeight}function zo(e,t,n){const r=e[Eo];r&&(t=(t?[t,...r]:[...r]).join(" ")),null==t?e.removeAttribute("class"):n?e.setAttribute("class",t):e.className=t}const Ho=Symbol("_vod"),Zo=Symbol("_vsh");const Vo=Symbol("");const Jo=/(^|;)\s*display\s*:/;function Ko(e,t,n){const r=e.style,i=w(n);let o=!1;if(n&&!i){if(t)if(w(t))for(const e of t.split(";")){const t=e.slice(0,e.indexOf(":")).trim();null==n[t]&&Xo(r,t,"")}else for(const e in t)null==n[e]&&Xo(r,e,"");for(const e in n)"display"===e&&(o=!0),Xo(r,e,n[e])}else if(i){if(t!==n){const e=r[Vo];e&&(n+=";"+e),r.cssText=n,o=Jo.test(n)}}else t&&e.removeAttribute("style");Ho in e&&(e[Ho]=o?r.display:"",e[Zo]&&(r.display="none"))}const Go=/\s*!important$/;function Xo(e,t,n){if(m(n))n.forEach((n=>Xo(e,t,n)));else if(null==n&&(n=""),t.startsWith("--"))e.setProperty(t,n);else{const r=es(e,t);Go.test(n)?e.setProperty(P(r),n.replace(Go,""),"important"):e[r]=n}}const Yo=["Webkit","Moz","ms"],Qo={};function es(e,t){const n=Qo[t];if(n)return n;let r=R(t);if("filter"!==r&&r in e)return Qo[t]=r;r=F(r);for(let i=0;i<Yo.length;i++){const n=Yo[i]+r;if(n in e)return Qo[t]=n}return t}const ts="http://www.w3.org/1999/xlink";function ns(e,t,n,r,i,o=X(t)){r&&t.startsWith("xlink:")?null==n?e.removeAttributeNS(ts,t.slice(6,t.length)):e.setAttributeNS(ts,t,n):null==n||o&&!Y(n)?e.removeAttribute(t):e.setAttribute(t,o?"":_(n)?String(n):n)}function rs(e,t,n,r,i,o,s){if("innerHTML"===t||"textContent"===t)return r&&s(r,i,o),void(e[t]=null==n?"":n);const a=e.tagName;if("value"===t&&"PROGRESS"!==a&&!a.includes("-")){const r="OPTION"===a?e.getAttribute("value")||"":e.value,i=null==n?"":String(n);return r===i&&"_value"in e||(e.value=i),null==n&&e.removeAttribute(t),void(e._value=n)}let l=!1;if(""===n||null==n){const r=typeof e[t];"boolean"===r?n=Y(n):null==n&&"string"===r?(n="",l=!0):"number"===r&&(n=0,l=!0)}try{e[t]=n}catch(c){0}l&&e.removeAttribute(t)}function is(e,t,n,r){e.addEventListener(t,n,r)}function os(e,t,n,r){e.removeEventListener(t,n,r)}const ss=Symbol("_vei");function as(e,t,n,r,i=null){const o=e[ss]||(e[ss]={}),s=o[t];if(r&&s)s.value=r;else{const[n,a]=cs(t);if(r){const s=o[t]=ps(r,i);is(e,n,s,a)}else s&&(os(e,n,s,a),o[t]=void 0)}}const ls=/(?:Once|Passive|Capture)$/;function cs(e){let t;if(ls.test(e)){let n;t={};while(n=e.match(ls))e=e.slice(0,e.length-n[0].length),t[n[0].toLowerCase()]=!0}const n=":"===e[2]?e.slice(3):P(e.slice(2));return[n,t]}let us=0;const fs=Promise.resolve(),ds=()=>us||(fs.then((()=>us=0)),us=Date.now());function ps(e,t){const n=e=>{if(e._vts){if(e._vts<=n.attached)return}else e._vts=Date.now();Nt(hs(e,n.value),t,5,[e])};return n.value=e,n.attached=ds(),n}function hs(e,t){if(m(t)){const n=e.stopImmediatePropagation;return e.stopImmediatePropagation=()=>{n.call(e),e._stopped=!0},t.map((e=>t=>!t._stopped&&e&&e(t)))}return t}const ms=e=>111===e.charCodeAt(0)&&110===e.charCodeAt(1)&&e.charCodeAt(2)>96&&e.charCodeAt(2)<123,gs=(e,t,n,r,i,o,s,a,l)=>{const f="svg"===i;"class"===t?zo(e,r,f):"style"===t?Ko(e,n,r):c(t)?u(t)||as(e,t,n,r,s):("."===t[0]?(t=t.slice(1),1):"^"===t[0]?(t=t.slice(1),0):ys(e,t,r,f))?(rs(e,t,r,o,s,a,l),e.tagName.includes("-")||"value"!==t&&"checked"!==t&&"selected"!==t||ns(e,t,r,f,s,"value"!==t)):("true-value"===t?e._trueValue=r:"false-value"===t&&(e._falseValue=r),ns(e,t,r,f))};function ys(e,t,n,r){if(r)return"innerHTML"===t||"textContent"===t||!!(t in e&&ms(t)&&b(n));if("spellcheck"===t||"draggable"===t||"translate"===t)return!1;if("form"===t)return!1;if("list"===t&&"INPUT"===e.tagName)return!1;if("type"===t&&"TEXTAREA"===e.tagName)return!1;if("width"===t||"height"===t){const t=e.tagName;if("IMG"===t||"VIDEO"===t||"CANVAS"===t||"SOURCE"===t)return!1}return(!ms(t)||!w(n))&&t in e}
/*! #__NO_SIDE_EFFECTS__ */
/*! #__NO_SIDE_EFFECTS__ */
"undefined"!==typeof HTMLElement&&HTMLElement;const vs=new WeakMap,bs=new WeakMap,ws=Symbol("_moveCb"),_s=Symbol("_enterCb"),Ls={name:"TransitionGroup",props:f({},Oo,{tag:String,moveClass:String}),setup(e,{slots:t}){const n=Xi(),r=oi();let i,o;return Tn((()=>{if(!i.length)return;const t=e.moveClass||`${e.name||"v"}-move`;if(!Es(i[0].el,n.vnode.el,t))return;i.forEach(Cs),i.forEach(Ss);const r=i.filter(xs);$o(),r.forEach((e=>{const n=e.el,r=n.style;Fo(n,t),r.transform=r.webkitTransform=r.transitionDuration="";const i=n[ws]=e=>{e&&e.target!==n||e&&!/transform$/.test(e.propertyName)||(n.removeEventListener("transitionend",i),n[ws]=null,Do(n,t))};n.addEventListener("transitionend",i)}))})),()=>{const s=wt(e),a=Ro(s);let l=s.tag||vi;if(i=[],o)for(let e=0;e<o.length;e++){const t=o[e];t.el&&t.el instanceof Element&&(i.push(t),mi(t,di(t,a,r,n)),vs.set(t,t.el.getBoundingClientRect()))}o=t.default?gi(t.default()):[];for(let e=0;e<o.length;e++){const t=o[e];null!=t.key&&mi(t,di(t,a,r,n))}return Di(l,null,o)}}};Ls.props;function Cs(e){const t=e.el;t[ws]&&t[ws](),t[_s]&&t[_s]()}function Ss(e){bs.set(e,e.el.getBoundingClientRect())}function xs(e){const t=vs.get(e),n=bs.get(e),r=t.left-n.left,i=t.top-n.top;if(r||i){const t=e.el.style;return t.transform=t.webkitTransform=`translate(${r}px,${i}px)`,t.transitionDuration="0s",e}}function Es(e,t,n){const r=e.cloneNode(),i=e[Eo];i&&i.forEach((e=>{e.split(/\s+/).forEach((e=>e&&r.classList.remove(e)))})),n.split(/\s+/).forEach((e=>e&&r.classList.add(e))),r.style.display="none";const o=1===t.nodeType?t:t.parentNode;o.appendChild(r);const{hasTransform:s}=Bo(r);return o.removeChild(r),s}Symbol("_assign");const ks=f({patchProp:gs},Co);let Ts;function Os(){return Ts||(Ts=Rr(ks))}const Ms=(...e)=>{const t=Os().createApp(...e);const{mount:n}=t;return t.mount=e=>{const r=Rs(e);if(!r)return;const i=t._component;b(i)||i.render||i.template||(i.template=r.innerHTML),r.innerHTML="";const o=n(r,!1,As(r));return r instanceof Element&&(r.removeAttribute("v-cloak"),r.setAttribute("data-v-app","")),o},t};function As(e){return e instanceof SVGElement?"svg":"function"===typeof MathMLElement&&e instanceof MathMLElement?"mathml":void 0}function Rs(e){if(w(e)){const t=document.querySelector(e);return t}return e}const Ns={key:0},Ps={key:0},Fs=Fi("img",{src:"//s.yimg.jp/images/weather/smp/v2/img/earthquake/img_kyoshin_bnr.png",width:"100%",alt:"リアルタイム震度（強震モニタ）"},null,-1),Ds=[Fs],js=["width","height","viewBox"];function Is(e,t,n,r,i,o){const s=yn("MapJp"),a=yn("ObservationPoint"),l=yn("PSWave"),c=yn("HypoInfo"),u=yn("TitlePanel"),f=yn("InfoMessage");return Si(),Oi("div",null,[e.isModule&&!e.showModule?(Si(),Oi("div",Ns,[e.isReplaceBanner&&e.isInitialized?(Si(),Oi("div",Ps,Ds)):Wi("",!0)])):(Si(),Oi("div",{key:1,id:"kyoshin",class:K({kyoshin_wide_mode:e.isWide})},[(Si(),Oi("svg",{id:"kyoshin_svg",xmlns:"http://www.w3.org/2000/svg","xmlns:xlink":"http://www.w3.org/1999/xlink",width:e.width,height:e.height,style:z("max-width:"+e.width+"px;max-height:"+e.height+"px;"),x:"0",y:"0",viewBox:"0 0 "+e.width+" "+e.height},[Di(s,{width:e.width,height:e.height,isWide:e.isWide,isModule:e.isModule},null,8,["width","height","isWide","isModule"]),Di(a,{sitelist:e.sitelist,realTimeData:e.realTimeData,projection:e.projection},null,8,["sitelist","realTimeData","projection"]),Di(l,{path:e.path,psWaveData:e.psWaveData,projection:e.projection},null,8,["path","psWaveData","projection"]),!e.isModule&&e.isWide?(Si(),Mi(c,{key:0,width:e.width,height:e.height,hypoInfoData:e.hypoInfoData,isWide:e.isWide},null,8,["width","height","hypoInfoData","isWide"])):Wi("",!0),Di(u,{time:e.time},null,8,["time"]),Di(f,{message:e.message,messageSub:e.messageSub,width:e.width,height:e.height},null,8,["message","messageSub","width","height"])],12,js)),e.isModule||e.isWide?Wi("",!0):(Si(),Mi(c,{key:0,width:e.width,height:e.height,time:e.time,hypoInfoData:e.hypoInfoData,isWide:e.isWide},null,8,["width","height","time","hypoInfoData","isWide"]))],2))])}const Us={id:"kyoshin_panel"},Bs={class:"panelLayer"},Ws={transform:"translate(16,16)"},qs=Fi("g",{id:"kyoshin_title"},[Fi("g",null,[Fi("path",{d:"M3.93952624,0 C1.77278681,0 0,1.74375 0,3.875 L0,27.125 C0,29.25625 1.77278681,31 3.93952624,31 L363.060474,31 C365.227213,31 367,29.25625 367,27.125 L367,3.875 C367,1.74375 365.227213,0 363.060474,0 L3.93952624,0 Z",fill:"#08448E"}),Fi("path",{d:"M150,2 L362,2 C363.656854,2 365,3.34314575 365,5 L365,26 C365,27.6568542 363.656854,29 362,29 L150,29 L150,2 Z",fill:"#FFFFFF"})]),Fi("g",{transform:"translate(7, 1)",fill:"#FFFFFF","fill-rule":"nonzero"},[Fi("path",{d:"M4.28,7.356 L6.368,7.356 C6.332,7.734 6.296,8.184 6.296,8.688 L6.296,14.718 C6.296,15.186 6.332,15.816 6.368,16.176 L4.262,16.176 C4.28,15.87 4.352,15.24 4.352,14.718 L4.352,8.688 C4.352,8.364 4.316,7.734 4.28,7.356 Z M12.578,7.212 L14.684,7.212 C14.648,7.68 14.612,8.22 14.612,8.868 L14.612,12.072 C14.612,16.194 13.964,17.724 12.632,19.236 C11.462,20.604 9.644,21.414 8.33,21.864 L6.836,20.298 C8.546,19.866 10.094,19.182 11.192,17.94 C12.452,16.518 12.686,15.114 12.686,11.964 L12.686,8.868 C12.686,8.22 12.632,7.68 12.578,7.212 Z M24.132,11.226 L26.184,11.226 C26.184,15.924 25.914,19.38 21.18,21.81 L19.524,20.46 C20.046,20.28 20.676,19.992 21.252,19.578 C23.826,17.922 24.24,15.654 24.24,12.666 C24.24,12.18 24.222,11.748 24.132,11.226 Z M32.322,7.77 L33.456,8.832 C33.294,9.03 33.006,9.372 32.862,9.588 C32.088,10.902 30.378,13.188 28.452,14.556 L26.958,13.35 C28.524,12.432 30.108,10.65 30.63,9.624 L20.748,9.624 C20.046,9.624 19.416,9.678 18.642,9.732 L18.642,7.734 C19.308,7.824 20.046,7.896 20.748,7.896 L30.81,7.896 C31.224,7.896 32.034,7.842 32.322,7.77 Z M35.02,21.594 L33.31,20.442 C34.858,19.344 35.884,17.724 36.406,16.068 C36.928,14.466 36.928,10.956 36.928,8.886 C36.928,8.274 36.892,7.842 36.784,7.428 L38.872,7.428 C38.854,7.572 38.782,8.238 38.782,8.868 C38.782,10.92 38.71,14.754 38.224,16.554 C37.684,18.534 36.55,20.298 35.02,21.594 Z M42.778,21.594 L41.59,20.604 C41.662,20.298 41.716,19.884 41.716,19.47 L41.716,8.814 C41.716,8.076 41.608,7.482 41.608,7.374 L43.696,7.374 C43.678,7.482 43.606,8.076 43.606,8.814 L43.606,18.768 C45.172,18.066 47.206,16.536 48.502,14.628 L49.582,16.176 C48.052,18.21 45.532,20.1 43.462,21.144 C43.156,21.288 42.976,21.45 42.778,21.594 Z M64.374,8.58 L65.832,9.48 C65.67,9.786 65.454,10.236 65.328,10.596 C64.878,12.09 63.996,13.998 62.772,15.762 C63.438,16.194 64.05,16.59 64.5,16.914 L63.24,18.57 C62.808,18.21 62.214,17.778 61.53,17.31 C59.928,19.128 57.732,20.802 54.672,21.972 L53.034,20.532 C56.202,19.578 58.398,17.94 59.964,16.266 C58.632,15.402 57.246,14.556 56.274,14.016 L57.462,12.666 C58.47,13.188 59.856,13.98 61.17,14.772 C62.16,13.35 62.97,11.658 63.294,10.398 L57.57,10.398 C56.382,12.036 54.762,13.764 52.836,15.078 L51.288,13.908 C54.42,11.982 56.202,9.372 57.048,7.77 C57.282,7.41 57.606,6.672 57.732,6.15 L59.784,6.798 C59.442,7.338 59.046,8.022 58.866,8.382 L58.65,8.778 L63.024,8.778 C63.528,8.778 64.032,8.706 64.374,8.58 Z M76.81,11.982 L76.81,19.542 C76.81,20.28 76.846,21.27 76.936,21.666 L74.704,21.666 C74.758,21.27 74.812,20.28 74.812,19.542 L74.812,13.134 C72.922,14.142 70.528,15.15 68.296,15.78 L67.27,14.034 C70.348,13.332 73.39,12 75.388,10.758 C77.206,9.624 79.078,8.022 80.086,6.726 L81.616,8.112 C80.32,9.408 78.628,10.812 76.81,11.982 Z M97.816,20.838 L95.908,21.702 C95.674,21.072 95.35,20.28 94.972,19.452 C92.11,19.794 86.35,20.424 84.01,20.64 C83.56,20.694 82.966,20.784 82.426,20.856 L82.102,18.768 C82.66,18.768 83.362,18.768 83.902,18.732 C84.118,18.714 84.37,18.714 84.64,18.696 C85.648,16.122 87.358,10.758 87.862,8.922 C88.114,8.058 88.186,7.572 88.258,7.05 L90.508,7.518 C90.31,8.004 90.076,8.544 89.824,9.336 C89.284,11.046 87.646,16.14 86.746,18.516 C89.194,18.3 92.236,17.958 94.162,17.706 C93.478,16.338 92.74,15.024 92.11,14.196 L93.856,13.44 C95.116,15.33 97.042,18.912 97.816,20.838 Z M102.186,9.66 L102.186,11.694 L100.692,11.694 L100.692,8.616 L107.496,8.616 L107.496,7.788 L101.79,7.788 L101.79,6.546 L114.894,6.546 L114.894,7.788 L109.116,7.788 L109.116,8.616 L116.046,8.616 L116.046,11.694 L114.498,11.694 L114.498,9.66 L109.116,9.66 L109.116,13.332 L107.496,13.332 L107.496,9.66 L102.186,9.66 Z M109.872,12.972 L109.872,12.054 L114.174,12.054 L114.174,12.972 L109.872,12.972 Z M109.872,10.416 L113.742,10.416 L113.742,11.334 L109.872,11.334 L109.872,10.416 Z M102.564,12.972 L102.564,12.054 L106.758,12.054 L106.758,12.972 L102.564,12.972 Z M102.942,10.416 L106.74,10.416 L106.74,11.334 L102.942,11.334 L102.942,10.416 Z M114.066,18.426 L110.052,18.426 C110.466,18.966 111.024,19.416 111.672,19.794 C112.482,19.398 113.472,18.84 114.066,18.426 Z M106.596,18.426 L106.596,20.622 C107.712,20.496 108.9,20.37 110.07,20.226 C109.458,19.722 108.936,19.128 108.54,18.426 L106.596,18.426 Z M114.192,18.426 L115.362,19.02 C114.57,19.524 113.634,19.992 112.824,20.316 C113.922,20.748 115.236,21.018 116.73,21.144 C116.406,21.414 116.046,22.026 115.866,22.422 C113.562,22.134 111.69,21.486 110.322,20.442 L110.376,21.432 C107.892,21.774 105.282,22.098 103.392,22.314 L103.104,21 C103.626,20.946 104.22,20.892 104.886,20.82 L104.886,18.426 L103.068,18.426 C102.798,19.794 102.222,21.198 101.106,22.26 C100.872,21.972 100.278,21.414 99.936,21.234 C101.556,19.704 101.754,17.652 101.754,16.068 L101.754,13.692 L115.758,13.692 L115.758,14.826 L103.284,14.826 L103.284,16.086 C103.284,16.464 103.266,16.86 103.23,17.274 L116.55,17.274 L116.55,18.426 L114.192,18.426 Z M114.714,16.536 L104.112,16.536 L104.112,15.528 L114.714,15.528 L114.714,16.536 Z M121.14,9.084 L121.14,12.666 C121.14,15.492 120.888,19.668 119.322,22.404 C119.016,22.134 118.314,21.648 117.954,21.486 C119.412,18.93 119.538,15.276 119.538,12.666 L119.538,7.59 L126.018,7.59 L126.018,5.898 L127.764,5.898 L127.764,7.59 L134.316,7.59 L134.316,9.084 L121.14,9.084 Z M129.798,12.252 L125.91,12.252 L125.91,13.836 L129.798,13.836 L129.798,12.252 Z M131.436,15.132 L124.326,15.132 L124.326,12.252 L121.662,12.252 L121.662,10.884 L124.326,10.884 L124.326,9.516 L125.91,9.516 L125.91,10.884 L129.798,10.884 L129.798,9.516 L131.436,9.516 L131.436,10.884 L134.19,10.884 L134.19,12.252 L131.436,12.252 L131.436,15.132 Z M130.68,17.418 L125.406,17.418 C126.054,18.192 126.936,18.84 128.016,19.362 C129.078,18.84 129.996,18.21 130.68,17.418 Z M132.084,16.014 L133.11,16.572 C132.354,18.066 131.184,19.2 129.762,20.064 C131.202,20.532 132.858,20.838 134.64,21.018 C134.298,21.36 133.866,22.026 133.668,22.458 C131.544,22.188 129.618,21.702 127.962,20.964 C126.144,21.72 124.038,22.17 121.842,22.44 C121.716,22.026 121.41,21.378 121.14,21.036 C122.958,20.856 124.722,20.55 126.288,20.046 C125.298,19.398 124.47,18.624 123.804,17.724 L124.614,17.418 L121.86,17.418 L121.86,16.068 L131.778,16.068 L132.084,16.014 Z"})])],-1),$s={transform:"translate(30,0)"},zs={"font-weight":"500","font-size":"18",x:"149",y:"22.5","text-anchor":"end"},Hs=Fi("g",{transform:"translate(150,8)"},[Fi("g",{stroke:"none","stroke-width":"1",fill:"none","fill-rule":"evenodd"},[Fi("path",{d:"M13.224,13.0332288 C13.224,14.1140839 12.969,14.6239873 12.279,14.9247253 C11.5595,15.2399747 10.509,15.269498 8.964,15.269498 C8.79822181,14.6136546 8.54600999,13.9827941 8.214,13.3935139 C9.264,13.4535614 10.524,13.4385495 10.8545,13.4385495 C11.214,13.4385495 11.334,13.3184545 11.334,13.0032051 L11.334,10.826483 L4.9145,10.826483 C4.58217654,12.5596539 3.69179194,14.136197 2.3795,15.315034 C1.97967792,14.8246529 1.51567236,14.3904078 1,14.0240127 C3.265,12.0874806 3.475,9.22021219 3.475,6.93840697 L3.475,2 L13.225,2 L13.224,13.0332288 Z M11.334,9.10011718 L11.334,7.26866825 L5.3195,7.26866825 C5.3045,7.83961995 5.2745,8.46961837 5.214,9.10011718 L11.334,9.10011718 Z M5.3195,3.74087728 L5.3195,5.57232621 L11.336,5.57232621 L11.336,3.74087728 L5.3195,3.74087728 Z",fill:"#08448E","fill-rule":"nonzero"})])],-1),Zs={"font-weight":"500","font-size":"18",x:"189",y:"22.5","text-anchor":"end"},Vs=Fi("g",{transform:"translate(189,8)"},[Fi("g",{stroke:"none","stroke-width":"1",fill:"none","fill-rule":"evenodd"},[Fi("path",{d:"M13.425,2 L13.425,14.9102138 L11.505,14.9102138 L11.505,13.964966 L4.845,13.964966 L4.845,14.9407379 L3,14.9407379 L3,2.0005004 L13.425,2 Z M4.845,3.80142518 L4.845,7.02847823 L11.505,7.02847823 L11.505,3.80142518 L4.845,3.80142518 Z M11.505,12.16254 L11.505,8.79987965 L4.845,8.79987965 L4.845,12.16254 L11.505,12.16254 Z",fill:"#08448E","fill-rule":"nonzero"})])],-1),Js={"font-weight":"500","font-size":"18",x:"231",y:"22.5","text-anchor":"end"},Ks=Fi("g",{transform:"translate(232,8)"},[Fi("g",{stroke:"none","stroke-width":"1",fill:"none","fill-rule":"evenodd"},[Fi("path",{d:"M6.6945,12.1238005 L3.65,12.1238005 L3.65,13.4448456 L2,13.4448456 L2,1.91622486 L6.6945,1.91622486 L6.6945,12.1238005 Z M3.65,3.50698337 L3.65,6.14957403 L5.0285,6.14957403 L5.0285,3.50698337 L3.65,3.50698337 Z M5.03,10.5325416 L5.03,7.71030879 L3.65,7.71030879 L3.65,10.5325416 L5.03,10.5325416 Z M13.97,7.01976247 L13.97,8.31078385 L15.4095,8.31078385 L15.4095,9.85700713 L13.97,9.85700713 L13.97,13.1295962 C13.97,13.9852732 13.805,14.4351291 13.22,14.7053428 C12.4118959,14.9649491 11.5615047,15.066873 10.715,15.0055804 C10.6088806,14.4200064 10.4166251,13.8534068 10.1445,13.3242502 C10.8645,13.354274 11.705,13.354274 11.93,13.354274 C12.1695,13.354274 12.2445,13.2942264 12.2445,13.0840602 L12.2445,9.85650673 L6.9785,9.85650673 L6.9785,8.31028345 L12.2435,8.31028345 L12.2435,7.01926207 L6.95,7.01926207 L6.95,5.45852732 L10.34,5.45852732 L10.34,4.13698179 L7.46,4.13698179 L7.46,2.57624703 L10.34,2.57624703 L10.34,1 L12.095,1 L12.095,2.57624703 L15.095,2.57624703 L15.095,4.13698179 L12.095,4.13698179 L12.095,5.45852732 L15.515,5.45852732 L15.515,7.01926207 L13.97,7.01976247 Z M9.005,10.0371496 C9.72813955,10.7634969 10.3396269,11.5931744 10.8195,12.4990974 L9.2895,13.3847981 C8.84453072,12.4658207 8.26870056,11.6163086 7.58,10.8628029 L9.005,10.0371496 Z",fill:"#08448E","fill-rule":"nonzero"})])],-1),Gs={"font-weight":"500","font-size":"18",x:"272",y:"22.5","text-anchor":"end"},Xs=Fi("g",{transform:"translate(272,8)"},[Fi("g",{stroke:"none","stroke-width":"1",fill:"none","fill-rule":"evenodd"},[Fi("path",{d:"M11.0945,1 C12.2024188,3.06505277 13.7182868,4.88311709 15.55,6.34372763 C14.9777021,6.81147144 14.4683039,7.35138002 14.0345,7.94999842 C13.7195,7.66477276 13.4045,7.33451148 13.0745,6.98923832 L13.0745,7.09432146 C12.9095,11.6279082 12.7295,13.3993096 12.205,14.0298084 C11.8772509,14.456167 11.3771095,14.7146863 10.84,14.7353666 C10.0871832,14.8069661 9.33006436,14.8220201 8.575,14.7804022 C8.51554713,14.1440128 8.3157458,13.5287527 7.99,12.978977 C8.815,13.0390245 9.5945,13.0540364 9.9695,13.0540364 C10.1916446,13.0847335 10.4149691,13.006508 10.5695,12.8438702 C10.8695,12.5286207 11.0345,11.1925637 11.1695,8.05508155 L8.2145,8.05508155 C7.8395,10.9373618 6.8645,13.5043927 2.98,14.9605447 C2.68171538,14.3465399 2.28077774,13.788066 1.7945,13.3092383 C5.1845,12.2138717 5.9645,10.2473159 6.2645,8.05508155 L3.73,8.05508155 L3.73,7.0042502 C3.35611612,7.39240323 2.95510307,7.75343352 2.53,8.08460491 C2.06847594,7.55515488 1.55600596,7.0724483 1,6.64346477 C2.99220303,5.24588806 4.53077796,3.29391755 5.425,1.02952336 L7.3445,1.58496279 C6.60686078,3.30640401 5.60493901,4.90190111 4.375,6.31370388 L12.475,6.31370388 C11.2653304,4.89650593 10.214242,3.35109376 9.3405,1.7050578 L11.0945,1 Z",fill:"#08448E","fill-rule":"nonzero"})])],-1),Ys={"font-weight":"500","font-size":"18",x:"312",y:"22.5","text-anchor":"end"},Qs=Fi("g",{transform:"translate(312,8)"},[Fi("g",{stroke:"none","stroke-width":"1",fill:"none","fill-rule":"evenodd"},[Fi("path",{d:"M15.655,7.985 L14.005,8.555 C13.84,7.37 13.27,5.555 12.595,4.22 L14.125,3.71 C14.845,5.045 15.445,6.8 15.655,7.985 Z M12.22,1.31 L12.22,9.005 C12.22,9.83 12.07,10.31 11.56,10.61 C11.065,10.895 10.42,10.955 9.475,10.955 C9.415,10.445 9.16,9.68 8.92,9.2 C9.445,9.215 10,9.215 10.195,9.215 C10.36,9.215 10.435,9.155 10.435,8.99 L10.435,1.31 L12.22,1.31 Z M8.2,3.875 L9.91,4.16 C9.58,6.02 8.98,7.88 8.215,9.035 C7.87,8.795 7.12,8.39 6.685,8.195 C7.465,7.175 7.96,5.525 8.2,3.875 Z M7.45,9.56 L6.43,10.955 C6.25,10.565 5.89,9.98 5.53,9.44 L5.53,15.29 L3.805,15.29 L3.805,9.905 C3.325,11.06 2.755,12.125 2.17,12.875 C2.005,12.365 1.63,11.63 1.345,11.18 C2.185,10.205 3.01,8.615 3.565,7.16 L1.66,7.16 L1.66,5.495 L3.805,5.495 L3.805,3.755 C3.175,3.875 2.56,3.98 1.975,4.055 C1.885,3.65 1.675,3.05 1.48,2.69 C3.13,2.405 4.975,1.97 6.13,1.445 L7.315,2.81 C6.775,3.02 6.175,3.215 5.53,3.38 L5.53,5.495 L7.135,5.495 L7.135,7.16 L5.53,7.16 L5.53,7.595 C5.935,7.925 7.165,9.23 7.45,9.56 Z M13.18,8.705 L14.92,9.125 C13.84,12.71 11.635,14.36 7.765,15.305 C7.6,14.765 7.18,14.075 6.805,13.64 C10.255,13.04 12.25,11.705 13.18,8.705 Z",fill:"#08448E","fill-rule":"nonzero"})])],-1);function ea(e,t,n,r,i,o){return Si(),Oi("g",Us,[Fi("g",Bs,[Fi("g",Ws,[qs,Fi("g",$s,[Fi("text",zs,Q(e.month),1),Hs,Fi("text",Zs,Q(e.day),1),Vs,Fi("text",Js,Q(e.hour),1),Ks,Fi("text",Gs,Q(e.minute),1),Xs,Fi("text",Ys,Q(e.second),1),Qs])])])])}var ta={name:"TitlePanel",props:{time:{type:String,default:""}},data:function(){return{month:"",day:"",hour:"",minute:"",second:""}},methods:{setDate:function(e){const t=new Date(e);if("Invalid Date"===t.toString())throw new Error("Invalid Date");t.setHours(t.getHours()+9),this.month=String(t.getUTCMonth()+1),this.day=String(t.getUTCDate()),this.hour=String(t.getUTCHours()),this.minute=("0"+t.getUTCMinutes()).slice(-2),this.second=("0"+t.getUTCSeconds()).slice(-2)}},watch:{time:function(e){this.setDate(e)}}},na=n(621);const ra=(0,na.A)(ta,[["render",ea]]);var ia=ra;const oa={id:"kyoshin_site"},sa=["cx","cy"];function aa(e,t,n,r,i,o){return Si(),Oi("g",oa,[(Si(!0),Oi(vi,null,Dn(e.sites,(e=>(Si(),Oi("circle",{key:e.index,class:K("kyoshin_si-"+e.seismicIntensity),cx:e.cx,cy:e.cy,height:"1",width:"1",r:"1",fill:"none"},null,10,sa)))),128))])}var la={name:"ObservationPoint",props:{sitelist:{type:Array,default:()=>[]},realTimeData:{type:Object,default:()=>({})},projection:{type:Function}},data:function(){return{sites:[]}},methods:{setSite:function(e=[]){let t=[];for(let n=0;n<e.length;n++){const r=this.projection([e[n][1],e[n][0]]),i={siteidx:n,seismicIntensity:"none",cx:r[0],cy:r[1]};t.push(i)}this.sites=t},convertSeismicIntensityByString:function(e){let t=String(e).charCodeAt();return Number(t)-100},sortBySeismicIntensity:function(e){const t=(e,t)=>e.seismicIntensity>t.seismicIntensity?1:-1;return e.sort(t)}},watch:{sitelist:{handler:function(e){this.setSite(e)},deep:!0,immediate:!0},realTimeData:function(e){if(!e||!e.hasOwnProperty("intensity"))throw new Error("Invalid realTime data type");let t=Array.from(this.sites),n=e.intensity.split("");for(let i=0;i<n.length;i++){let e=n[i];e=this.convertSeismicIntensityByString(e);try{const n=t.find((e=>e["siteidx"]===i));n["seismicIntensity"]=e}catch(r){}}t=this.sortBySeismicIntensity(t),this.sites=t},deep:!0}};const ca=(0,na.A)(la,[["render",aa]]);var ua=ca;const fa={key:0,id:"kyoshin_pswave"},da=["transform"],pa=Fi("path",{d:"M0,0 L12,12",id:"Path"},null,-1),ha=Fi("path",{d:"M0,12 L12,0",id:"Path"},null,-1),ma=[pa,ha],ga=["transform"],ya=Fi("path",{d:"M0,0 L12,12",id:"Path"},null,-1),va=Fi("path",{d:"M0,12 L12,0",id:"Path"},null,-1),ba=[ya,va],wa={class:"kyoshin_pwave"},_a=["d"],La={class:"kyoshin_swave"},Ca=["d"];function Sa(e,t,n,r,i,o){return e.display?(Si(),Oi("g",fa,[(Si(!0),Oi(vi,null,Dn(e.PSWaveItems,(e=>(Si(),Oi("g",{key:e.index},[Fi("g",{class:"kyoshin_epicenter-outline",transform:e.transform},ma,8,da),Fi("g",{class:"kyoshin_epicenter",transform:e.transform},ba,8,ga),Fi("g",wa,[Fi("path",{d:e.pWave},null,8,_a)]),Fi("g",La,[Fi("path",{d:e.sWave},null,8,Ca)])])))),128))])):Wi("",!0)}function xa(){return new Ea}function Ea(){this.reset()}Ea.prototype={constructor:Ea,reset:function(){this.s=this.t=0},add:function(e){Ta(ka,e,this.t),Ta(this,ka.s,this.s),this.s?this.t+=ka.t:this.s=ka.t},valueOf:function(){return this.s}};var ka=new Ea;function Ta(e,t,n){var r=e.s=t+n,i=r-t,o=r-i;e.t=t-o+(n-i)}var Oa=1e-6,Ma=1e-12,Aa=Math.PI,Ra=Aa/2,Na=Aa/4,Pa=2*Aa,Fa=180/Aa,Da=Aa/180,ja=Math.abs,Ia=Math.atan,Ua=Math.atan2,Ba=Math.cos,Wa=(Math.ceil,Math.exp),qa=(Math.floor,Math.log),$a=(Math.pow,Math.sin),za=Math.sign||function(e){return e>0?1:e<0?-1:0},Ha=Math.sqrt,Za=Math.tan;function Va(e){return e>1?0:e<-1?Aa:Math.acos(e)}function Ja(e){return e>1?Ra:e<-1?-Ra:Math.asin(e)}function Ka(){}function Ga(e,t){e&&Ya.hasOwnProperty(e.type)&&Ya[e.type](e,t)}var Xa={Feature:function(e,t){Ga(e.geometry,t)},FeatureCollection:function(e,t){var n=e.features,r=-1,i=n.length;while(++r<i)Ga(n[r].geometry,t)}},Ya={Sphere:function(e,t){t.sphere()},Point:function(e,t){e=e.coordinates,t.point(e[0],e[1],e[2])},MultiPoint:function(e,t){var n=e.coordinates,r=-1,i=n.length;while(++r<i)e=n[r],t.point(e[0],e[1],e[2])},LineString:function(e,t){Qa(e.coordinates,t,0)},MultiLineString:function(e,t){var n=e.coordinates,r=-1,i=n.length;while(++r<i)Qa(n[r],t,0)},Polygon:function(e,t){el(e.coordinates,t)},MultiPolygon:function(e,t){var n=e.coordinates,r=-1,i=n.length;while(++r<i)el(n[r],t)},GeometryCollection:function(e,t){var n=e.geometries,r=-1,i=n.length;while(++r<i)Ga(n[r],t)}};function Qa(e,t,n){var r,i=-1,o=e.length-n;t.lineStart();while(++i<o)r=e[i],t.point(r[0],r[1],r[2]);t.lineEnd()}function el(e,t){var n=-1,r=e.length;t.polygonStart();while(++n<r)Qa(e[n],t,1);t.polygonEnd()}function tl(e,t){e&&Xa.hasOwnProperty(e.type)?Xa[e.type](e,t):Ga(e,t)}xa(),xa();function nl(e){return[Ua(e[1],e[0]),Ja(e[2])]}function rl(e){var t=e[0],n=e[1],r=Ba(n);return[r*Ba(t),r*$a(t),$a(n)]}function il(e,t){return e[0]*t[0]+e[1]*t[1]+e[2]*t[2]}function ol(e,t){return[e[1]*t[2]-e[2]*t[1],e[2]*t[0]-e[0]*t[2],e[0]*t[1]-e[1]*t[0]]}function sl(e,t){e[0]+=t[0],e[1]+=t[1],e[2]+=t[2]}function al(e,t){return[e[0]*t,e[1]*t,e[2]*t]}function ll(e){var t=Ha(e[0]*e[0]+e[1]*e[1]+e[2]*e[2]);e[0]/=t,e[1]/=t,e[2]/=t}xa();function cl(e){return function(){return e}}function ul(e,t){function n(n,r){return n=e(n,r),t(n[0],n[1])}return e.invert&&t.invert&&(n.invert=function(n,r){return n=t.invert(n,r),n&&e.invert(n[0],n[1])}),n}function fl(e,t){return[ja(e)>Aa?e+Math.round(-e/Pa)*Pa:e,t]}function dl(e,t,n){return(e%=Pa)?t||n?ul(hl(e),ml(t,n)):hl(e):t||n?ml(t,n):fl}function pl(e){return function(t,n){return t+=e,[t>Aa?t-Pa:t<-Aa?t+Pa:t,n]}}function hl(e){var t=pl(e);return t.invert=pl(-e),t}function ml(e,t){var n=Ba(e),r=$a(e),i=Ba(t),o=$a(t);function s(e,t){var s=Ba(t),a=Ba(e)*s,l=$a(e)*s,c=$a(t),u=c*n+a*r;return[Ua(l*i-u*o,a*n-c*r),Ja(u*i+l*o)]}return s.invert=function(e,t){var s=Ba(t),a=Ba(e)*s,l=$a(e)*s,c=$a(t),u=c*i-l*o;return[Ua(l*i+c*o,a*n+u*r),Ja(u*n-a*r)]},s}function gl(e){function t(t){return t=e(t[0]*Da,t[1]*Da),t[0]*=Fa,t[1]*=Fa,t}return e=dl(e[0]*Da,e[1]*Da,e.length>2?e[2]*Da:0),t.invert=function(t){return t=e.invert(t[0]*Da,t[1]*Da),t[0]*=Fa,t[1]*=Fa,t},t}function yl(e,t,n,r,i,o){if(n){var s=Ba(t),a=$a(t),l=r*n;null==i?(i=t+r*Pa,o=t-l/2):(i=vl(s,i),o=vl(s,o),(r>0?i<o:i>o)&&(i+=r*Pa));for(var c,u=i;r>0?u>o:u<o;u-=l)c=nl([s,-a*Ba(u),-a*$a(u)]),e.point(c[0],c[1])}}function vl(e,t){t=rl(t),t[0]-=e,ll(t);var n=Va(-t[1]);return((-t[2]<0?-n:n)+Pa-Oa)%Pa}function bl(){var e,t,n=cl([0,0]),r=cl(90),i=cl(6),o={point:s};function s(n,r){e.push(n=t(n,r)),n[0]*=Fa,n[1]*=Fa}function a(){var s=n.apply(this,arguments),a=r.apply(this,arguments)*Da,l=i.apply(this,arguments)*Da;return e=[],t=dl(-s[0]*Da,-s[1]*Da,0).invert,yl(o,a,l,1),s={type:"Polygon",coordinates:[e]},e=t=null,s}return a.center=function(e){return arguments.length?(n="function"===typeof e?e:cl([+e[0],+e[1]]),a):n},a.radius=function(e){return arguments.length?(r="function"===typeof e?e:cl(+e),a):r},a.precision=function(e){return arguments.length?(i="function"===typeof e?e:cl(+e),a):i},a}function wl(){var e,t=[];return{point:function(t,n){e.push([t,n])},lineStart:function(){t.push(e=[])},lineEnd:Ka,rejoin:function(){t.length>1&&t.push(t.pop().concat(t.shift()))},result:function(){var n=t;return t=[],e=null,n}}}function _l(e,t){return ja(e[0]-t[0])<Oa&&ja(e[1]-t[1])<Oa}function Ll(e,t,n,r){this.x=e,this.z=t,this.o=n,this.e=r,this.v=!1,this.n=this.p=null}function Cl(e,t,n,r,i){var o,s,a=[],l=[];if(e.forEach((function(e){if(!((t=e.length-1)<=0)){var t,n,r=e[0],s=e[t];if(_l(r,s)){for(i.lineStart(),o=0;o<t;++o)i.point((r=e[o])[0],r[1]);i.lineEnd()}else a.push(n=new Ll(r,e,null,!0)),l.push(n.o=new Ll(r,null,n,!1)),a.push(n=new Ll(s,e,null,!1)),l.push(n.o=new Ll(s,null,n,!0))}})),a.length){for(l.sort(t),Sl(a),Sl(l),o=0,s=l.length;o<s;++o)l[o].e=n=!n;var c,u,f=a[0];while(1){var d=f,p=!0;while(d.v)if((d=d.n)===f)return;c=d.z,i.lineStart();do{if(d.v=d.o.v=!0,d.e){if(p)for(o=0,s=c.length;o<s;++o)i.point((u=c[o])[0],u[1]);else r(d.x,d.n.x,1,i);d=d.n}else{if(p)for(c=d.p.z,o=c.length-1;o>=0;--o)i.point((u=c[o])[0],u[1]);else r(d.x,d.p.x,-1,i);d=d.p}d=d.o,c=d.z,p=!p}while(!d.v);i.lineEnd()}}}function Sl(e){if(t=e.length){var t,n,r=0,i=e[0];while(++r<t)i.n=n=e[r],n.p=i,i=n;i.n=n=e[0],n.p=i}}fl.invert=fl;var xl=xa();function El(e){return ja(e[0])<=Aa?e[0]:za(e[0])*((ja(e[0])+Aa)%Pa-Aa)}function kl(e,t){var n=El(t),r=t[1],i=$a(r),o=[$a(n),-Ba(n),0],s=0,a=0;xl.reset(),1===i?r=Ra+Oa:-1===i&&(r=-Ra-Oa);for(var l=0,c=e.length;l<c;++l)if(f=(u=e[l]).length)for(var u,f,d=u[f-1],p=El(d),h=d[1]/2+Na,m=$a(h),g=Ba(h),y=0;y<f;++y,p=b,m=_,g=L,d=v){var v=u[y],b=El(v),w=v[1]/2+Na,_=$a(w),L=Ba(w),C=b-p,S=C>=0?1:-1,x=S*C,E=x>Aa,k=m*_;if(xl.add(Ua(k*S*$a(x),g*L+k*Ba(x))),s+=E?C+S*Pa:C,E^p>=n^b>=n){var T=ol(rl(d),rl(v));ll(T);var O=ol(o,T);ll(O);var M=(E^C>=0?-1:1)*Ja(O[2]);(r>M||r===M&&(T[0]||T[1]))&&(a+=E^C>=0?1:-1)}}return(s<-Oa||s<Oa&&xl<-Oa)^1&a}function Tl(e,t){return e<t?-1:e>t?1:e>=t?0:NaN}function Ol(e){return 1===e.length&&(e=Ml(e)),{left:function(t,n,r,i){null==r&&(r=0),null==i&&(i=t.length);while(r<i){var o=r+i>>>1;e(t[o],n)<0?r=o+1:i=o}return r},right:function(t,n,r,i){null==r&&(r=0),null==i&&(i=t.length);while(r<i){var o=r+i>>>1;e(t[o],n)>0?i=o:r=o+1}return r}}}function Ml(e){return function(t,n){return Tl(e(t),n)}}var Al=Ol(Tl),Rl=(Al.right,Al.left,Array.prototype);Rl.slice,Rl.map,Math.sqrt(50),Math.sqrt(10),Math.sqrt(2);function Nl(e){var t,n,r,i=e.length,o=-1,s=0;while(++o<i)s+=e[o].length;n=new Array(s);while(--i>=0){r=e[i],t=r.length;while(--t>=0)n[--s]=r[t]}return n}function Pl(e,t,n,r){return function(i){var o,s,a,l=t(i),c=wl(),u=t(c),f=!1,d={point:p,lineStart:m,lineEnd:g,polygonStart:function(){d.point=y,d.lineStart=v,d.lineEnd=b,s=[],o=[]},polygonEnd:function(){d.point=p,d.lineStart=m,d.lineEnd=g,s=Nl(s);var e=kl(o,r);s.length?(f||(i.polygonStart(),f=!0),Cl(s,Dl,e,n,i)):e&&(f||(i.polygonStart(),f=!0),i.lineStart(),n(null,null,1,i),i.lineEnd()),f&&(i.polygonEnd(),f=!1),s=o=null},sphere:function(){i.polygonStart(),i.lineStart(),n(null,null,1,i),i.lineEnd(),i.polygonEnd()}};function p(t,n){e(t,n)&&i.point(t,n)}function h(e,t){l.point(e,t)}function m(){d.point=h,l.lineStart()}function g(){d.point=p,l.lineEnd()}function y(e,t){a.push([e,t]),u.point(e,t)}function v(){u.lineStart(),a=[]}function b(){y(a[0][0],a[0][1]),u.lineEnd();var e,t,n,r,l=u.clean(),d=c.result(),p=d.length;if(a.pop(),o.push(a),a=null,p)if(1&l){if(n=d[0],(t=n.length-1)>0){for(f||(i.polygonStart(),f=!0),i.lineStart(),e=0;e<t;++e)i.point((r=n[e])[0],r[1]);i.lineEnd()}}else p>1&&2&l&&d.push(d.pop().concat(d.shift())),s.push(d.filter(Fl))}return d}}function Fl(e){return e.length>1}function Dl(e,t){return((e=e.x)[0]<0?e[1]-Ra-Oa:Ra-e[1])-((t=t.x)[0]<0?t[1]-Ra-Oa:Ra-t[1])}var jl=Pl((function(){return!0}),Il,Bl,[-Aa,-Ra]);function Il(e){var t,n=NaN,r=NaN,i=NaN;return{lineStart:function(){e.lineStart(),t=1},point:function(o,s){var a=o>0?Aa:-Aa,l=ja(o-n);ja(l-Aa)<Oa?(e.point(n,r=(r+s)/2>0?Ra:-Ra),e.point(i,r),e.lineEnd(),e.lineStart(),e.point(a,r),e.point(o,r),t=0):i!==a&&l>=Aa&&(ja(n-i)<Oa&&(n-=i*Oa),ja(o-a)<Oa&&(o-=a*Oa),r=Ul(n,r,o,s),e.point(i,r),e.lineEnd(),e.lineStart(),e.point(a,r),t=0),e.point(n=o,r=s),i=a},lineEnd:function(){e.lineEnd(),n=r=NaN},clean:function(){return 2-t}}}function Ul(e,t,n,r){var i,o,s=$a(e-n);return ja(s)>Oa?Ia(($a(t)*(o=Ba(r))*$a(n)-$a(r)*(i=Ba(t))*$a(e))/(i*o*s)):(t+r)/2}function Bl(e,t,n,r){var i;if(null==e)i=n*Ra,r.point(-Aa,i),r.point(0,i),r.point(Aa,i),r.point(Aa,0),r.point(Aa,-i),r.point(0,-i),r.point(-Aa,-i),r.point(-Aa,0),r.point(-Aa,i);else if(ja(e[0]-t[0])>Oa){var o=e[0]<t[0]?Aa:-Aa;i=n*o/2,r.point(-o,i),r.point(0,i),r.point(o,i)}else r.point(t[0],t[1])}function Wl(e){var t=Ba(e),n=6*Da,r=t>0,i=ja(t)>Oa;function o(t,r,i,o){yl(o,e,n,i,t,r)}function s(e,n){return Ba(e)*Ba(n)>t}function a(e){var t,n,o,a,u;return{lineStart:function(){a=o=!1,u=1},point:function(f,d){var p,h=[f,d],m=s(f,d),g=r?m?0:c(f,d):m?c(f+(f<0?Aa:-Aa),d):0;if(!t&&(a=o=m)&&e.lineStart(),m!==o&&(p=l(t,h),(!p||_l(t,p)||_l(h,p))&&(h[0]+=Oa,h[1]+=Oa,m=s(h[0],h[1]))),m!==o)u=0,m?(e.lineStart(),p=l(h,t),e.point(p[0],p[1])):(p=l(t,h),e.point(p[0],p[1]),e.lineEnd()),t=p;else if(i&&t&&r^m){var y;g&n||!(y=l(h,t,!0))||(u=0,r?(e.lineStart(),e.point(y[0][0],y[0][1]),e.point(y[1][0],y[1][1]),e.lineEnd()):(e.point(y[1][0],y[1][1]),e.lineEnd(),e.lineStart(),e.point(y[0][0],y[0][1])))}!m||t&&_l(t,h)||e.point(h[0],h[1]),t=h,o=m,n=g},lineEnd:function(){o&&e.lineEnd(),t=null},clean:function(){return u|(a&&o)<<1}}}function l(e,n,r){var i=rl(e),o=rl(n),s=[1,0,0],a=ol(i,o),l=il(a,a),c=a[0],u=l-c*c;if(!u)return!r&&e;var f=t*l/u,d=-t*c/u,p=ol(s,a),h=al(s,f),m=al(a,d);sl(h,m);var g=p,y=il(h,g),v=il(g,g),b=y*y-v*(il(h,h)-1);if(!(b<0)){var w=Ha(b),_=al(g,(-y-w)/v);if(sl(_,h),_=nl(_),!r)return _;var L,C=e[0],S=n[0],x=e[1],E=n[1];S<C&&(L=C,C=S,S=L);var k=S-C,T=ja(k-Aa)<Oa,O=T||k<Oa;if(!T&&E<x&&(L=x,x=E,E=L),O?T?x+E>0^_[1]<(ja(_[0]-C)<Oa?x:E):x<=_[1]&&_[1]<=E:k>Aa^(C<=_[0]&&_[0]<=S)){var M=al(g,(-y+w)/v);return sl(M,h),[_,nl(M)]}}}function c(t,n){var i=r?e:Aa-e,o=0;return t<-i?o|=1:t>i&&(o|=2),n<-i?o|=4:n>i&&(o|=8),o}return Pl(s,a,o,r?[0,-e]:[-Aa,e-Aa])}function ql(e,t,n,r,i,o){var s,a=e[0],l=e[1],c=t[0],u=t[1],f=0,d=1,p=c-a,h=u-l;if(s=n-a,p||!(s>0)){if(s/=p,p<0){if(s<f)return;s<d&&(d=s)}else if(p>0){if(s>d)return;s>f&&(f=s)}if(s=i-a,p||!(s<0)){if(s/=p,p<0){if(s>d)return;s>f&&(f=s)}else if(p>0){if(s<f)return;s<d&&(d=s)}if(s=r-l,h||!(s>0)){if(s/=h,h<0){if(s<f)return;s<d&&(d=s)}else if(h>0){if(s>d)return;s>f&&(f=s)}if(s=o-l,h||!(s<0)){if(s/=h,h<0){if(s>d)return;s>f&&(f=s)}else if(h>0){if(s<f)return;s<d&&(d=s)}return f>0&&(e[0]=a+f*p,e[1]=l+f*h),d<1&&(t[0]=a+d*p,t[1]=l+d*h),!0}}}}}var $l=1e9,zl=-$l;function Hl(e,t,n,r){function i(i,o){return e<=i&&i<=n&&t<=o&&o<=r}function o(i,o,a,c){var u=0,f=0;if(null==i||(u=s(i,a))!==(f=s(o,a))||l(i,o)<0^a>0)do{c.point(0===u||3===u?e:n,u>1?r:t)}while((u=(u+a+4)%4)!==f);else c.point(o[0],o[1])}function s(r,i){return ja(r[0]-e)<Oa?i>0?0:3:ja(r[0]-n)<Oa?i>0?2:1:ja(r[1]-t)<Oa?i>0?1:0:i>0?3:2}function a(e,t){return l(e.x,t.x)}function l(e,t){var n=s(e,1),r=s(t,1);return n!==r?n-r:0===n?t[1]-e[1]:1===n?e[0]-t[0]:2===n?e[1]-t[1]:t[0]-e[0]}return function(s){var l,c,u,f,d,p,h,m,g,y,v,b=s,w=wl(),_={point:L,lineStart:E,lineEnd:k,polygonStart:S,polygonEnd:x};function L(e,t){i(e,t)&&b.point(e,t)}function C(){for(var t=0,n=0,i=c.length;n<i;++n)for(var o,s,a=c[n],l=1,u=a.length,f=a[0],d=f[0],p=f[1];l<u;++l)o=d,s=p,f=a[l],d=f[0],p=f[1],s<=r?p>r&&(d-o)*(r-s)>(p-s)*(e-o)&&++t:p<=r&&(d-o)*(r-s)<(p-s)*(e-o)&&--t;return t}function S(){b=w,l=[],c=[],v=!0}function x(){var e=C(),t=v&&e,n=(l=Nl(l)).length;(t||n)&&(s.polygonStart(),t&&(s.lineStart(),o(null,null,1,s),s.lineEnd()),n&&Cl(l,a,e,o,s),s.polygonEnd()),b=s,l=c=u=null}function E(){_.point=T,c&&c.push(u=[]),y=!0,g=!1,h=m=NaN}function k(){l&&(T(f,d),p&&g&&w.rejoin(),l.push(w.result())),_.point=L,g&&b.lineEnd()}function T(o,s){var a=i(o,s);if(c&&u.push([o,s]),y)f=o,d=s,p=a,y=!1,a&&(b.lineStart(),b.point(o,s));else if(a&&g)b.point(o,s);else{var l=[h=Math.max(zl,Math.min($l,h)),m=Math.max(zl,Math.min($l,m))],w=[o=Math.max(zl,Math.min($l,o)),s=Math.max(zl,Math.min($l,s))];ql(l,w,e,t,n,r)?(g||(b.lineStart(),b.point(l[0],l[1])),b.point(w[0],w[1]),a||b.lineEnd(),v=!1):a&&(b.lineStart(),b.point(o,s),v=!1)}h=o,m=s,g=a}return _}}xa();function Zl(e){return e}var Vl,Jl,Kl,Gl,Xl=xa(),Yl=xa(),Ql={point:Ka,lineStart:Ka,lineEnd:Ka,polygonStart:function(){Ql.lineStart=ec,Ql.lineEnd=rc},polygonEnd:function(){Ql.lineStart=Ql.lineEnd=Ql.point=Ka,Xl.add(ja(Yl)),Yl.reset()},result:function(){var e=Xl/2;return Xl.reset(),e}};function ec(){Ql.point=tc}function tc(e,t){Ql.point=nc,Vl=Kl=e,Jl=Gl=t}function nc(e,t){Yl.add(Gl*e-Kl*t),Kl=e,Gl=t}function rc(){nc(Vl,Jl)}var ic=Ql,oc=1/0,sc=oc,ac=-oc,lc=ac,cc={point:uc,lineStart:Ka,lineEnd:Ka,polygonStart:Ka,polygonEnd:Ka,result:function(){var e=[[oc,sc],[ac,lc]];return ac=lc=-(sc=oc=1/0),e}};function uc(e,t){e<oc&&(oc=e),e>ac&&(ac=e),t<sc&&(sc=t),t>lc&&(lc=t)}var fc,dc,pc,hc,mc=cc,gc=0,yc=0,vc=0,bc=0,wc=0,_c=0,Lc=0,Cc=0,Sc=0,xc={point:Ec,lineStart:kc,lineEnd:Mc,polygonStart:function(){xc.lineStart=Ac,xc.lineEnd=Rc},polygonEnd:function(){xc.point=Ec,xc.lineStart=kc,xc.lineEnd=Mc},result:function(){var e=Sc?[Lc/Sc,Cc/Sc]:_c?[bc/_c,wc/_c]:vc?[gc/vc,yc/vc]:[NaN,NaN];return gc=yc=vc=bc=wc=_c=Lc=Cc=Sc=0,e}};function Ec(e,t){gc+=e,yc+=t,++vc}function kc(){xc.point=Tc}function Tc(e,t){xc.point=Oc,Ec(pc=e,hc=t)}function Oc(e,t){var n=e-pc,r=t-hc,i=Ha(n*n+r*r);bc+=i*(pc+e)/2,wc+=i*(hc+t)/2,_c+=i,Ec(pc=e,hc=t)}function Mc(){xc.point=Ec}function Ac(){xc.point=Nc}function Rc(){Pc(fc,dc)}function Nc(e,t){xc.point=Pc,Ec(fc=pc=e,dc=hc=t)}function Pc(e,t){var n=e-pc,r=t-hc,i=Ha(n*n+r*r);bc+=i*(pc+e)/2,wc+=i*(hc+t)/2,_c+=i,i=hc*e-pc*t,Lc+=i*(pc+e),Cc+=i*(hc+t),Sc+=3*i,Ec(pc=e,hc=t)}var Fc=xc;function Dc(e){this._context=e}Dc.prototype={_radius:4.5,pointRadius:function(e){return this._radius=e,this},polygonStart:function(){this._line=0},polygonEnd:function(){this._line=NaN},lineStart:function(){this._point=0},lineEnd:function(){0===this._line&&this._context.closePath(),this._point=NaN},point:function(e,t){switch(this._point){case 0:this._context.moveTo(e,t),this._point=1;break;case 1:this._context.lineTo(e,t);break;default:this._context.moveTo(e+this._radius,t),this._context.arc(e,t,this._radius,0,Pa);break}},result:Ka};var jc,Ic,Uc,Bc,Wc,qc=xa(),$c={point:Ka,lineStart:function(){$c.point=zc},lineEnd:function(){jc&&Hc(Ic,Uc),$c.point=Ka},polygonStart:function(){jc=!0},polygonEnd:function(){jc=null},result:function(){var e=+qc;return qc.reset(),e}};function zc(e,t){$c.point=Hc,Ic=Bc=e,Uc=Wc=t}function Hc(e,t){Bc-=e,Wc-=t,qc.add(Ha(Bc*Bc+Wc*Wc)),Bc=e,Wc=t}var Zc=$c;function Vc(){this._string=[]}function Jc(e){return"m0,"+e+"a"+e+","+e+" 0 1,1 0,"+-2*e+"a"+e+","+e+" 0 1,1 0,"+2*e+"z"}function Kc(e,t){var n,r,i=4.5;function o(e){return e&&("function"===typeof i&&r.pointRadius(+i.apply(this,arguments)),tl(e,n(r))),r.result()}return o.area=function(e){return tl(e,n(ic)),ic.result()},o.measure=function(e){return tl(e,n(Zc)),Zc.result()},o.bounds=function(e){return tl(e,n(mc)),mc.result()},o.centroid=function(e){return tl(e,n(Fc)),Fc.result()},o.projection=function(t){return arguments.length?(n=null==t?(e=null,Zl):(e=t).stream,o):e},o.context=function(e){return arguments.length?(r=null==e?(t=null,new Vc):new Dc(t=e),"function"!==typeof i&&r.pointRadius(i),o):t},o.pointRadius=function(e){return arguments.length?(i="function"===typeof e?e:(r.pointRadius(+e),+e),o):i},o.projection(e).context(t)}function Gc(e){return function(t){var n=new Xc;for(var r in e)n[r]=e[r];return n.stream=t,n}}function Xc(){}function Yc(e,t,n){var r=e.clipExtent&&e.clipExtent();return e.scale(150).translate([0,0]),null!=r&&e.clipExtent(null),tl(n,e.stream(mc)),t(mc.result()),null!=r&&e.clipExtent(r),e}function Qc(e,t,n){return Yc(e,(function(n){var r=t[1][0]-t[0][0],i=t[1][1]-t[0][1],o=Math.min(r/(n[1][0]-n[0][0]),i/(n[1][1]-n[0][1])),s=+t[0][0]+(r-o*(n[1][0]+n[0][0]))/2,a=+t[0][1]+(i-o*(n[1][1]+n[0][1]))/2;e.scale(150*o).translate([s,a])}),n)}function eu(e,t,n){return Qc(e,[[0,0],t],n)}function tu(e,t,n){return Yc(e,(function(n){var r=+t,i=r/(n[1][0]-n[0][0]),o=(r-i*(n[1][0]+n[0][0]))/2,s=-i*n[0][1];e.scale(150*i).translate([o,s])}),n)}function nu(e,t,n){return Yc(e,(function(n){var r=+t,i=r/(n[1][1]-n[0][1]),o=-i*n[0][0],s=(r-i*(n[1][1]+n[0][1]))/2;e.scale(150*i).translate([o,s])}),n)}Vc.prototype={_radius:4.5,_circle:Jc(4.5),pointRadius:function(e){return(e=+e)!==this._radius&&(this._radius=e,this._circle=null),this},polygonStart:function(){this._line=0},polygonEnd:function(){this._line=NaN},lineStart:function(){this._point=0},lineEnd:function(){0===this._line&&this._string.push("Z"),this._point=NaN},point:function(e,t){switch(this._point){case 0:this._string.push("M",e,",",t),this._point=1;break;case 1:this._string.push("L",e,",",t);break;default:null==this._circle&&(this._circle=Jc(this._radius)),this._string.push("M",e,",",t,this._circle);break}},result:function(){if(this._string.length){var e=this._string.join("");return this._string=[],e}return null}},Xc.prototype={constructor:Xc,point:function(e,t){this.stream.point(e,t)},sphere:function(){this.stream.sphere()},lineStart:function(){this.stream.lineStart()},lineEnd:function(){this.stream.lineEnd()},polygonStart:function(){this.stream.polygonStart()},polygonEnd:function(){this.stream.polygonEnd()}};var ru=16,iu=Ba(30*Da);function ou(e,t){return+t?au(e,t):su(e)}function su(e){return Gc({point:function(t,n){t=e(t,n),this.stream.point(t[0],t[1])}})}function au(e,t){function n(r,i,o,s,a,l,c,u,f,d,p,h,m,g){var y=c-r,v=u-i,b=y*y+v*v;if(b>4*t&&m--){var w=s+d,_=a+p,L=l+h,C=Ha(w*w+_*_+L*L),S=Ja(L/=C),x=ja(ja(L)-1)<Oa||ja(o-f)<Oa?(o+f)/2:Ua(_,w),E=e(x,S),k=E[0],T=E[1],O=k-r,M=T-i,A=v*O-y*M;(A*A/b>t||ja((y*O+v*M)/b-.5)>.3||s*d+a*p+l*h<iu)&&(n(r,i,o,s,a,l,k,T,x,w/=C,_/=C,L,m,g),g.point(k,T),n(k,T,x,w,_,L,c,u,f,d,p,h,m,g))}}return function(t){var r,i,o,s,a,l,c,u,f,d,p,h,m={point:g,lineStart:y,lineEnd:b,polygonStart:function(){t.polygonStart(),m.lineStart=w},polygonEnd:function(){t.polygonEnd(),m.lineStart=y}};function g(n,r){n=e(n,r),t.point(n[0],n[1])}function y(){u=NaN,m.point=v,t.lineStart()}function v(r,i){var o=rl([r,i]),s=e(r,i);n(u,f,c,d,p,h,u=s[0],f=s[1],c=r,d=o[0],p=o[1],h=o[2],ru,t),t.point(u,f)}function b(){m.point=g,t.lineEnd()}function w(){y(),m.point=_,m.lineEnd=L}function _(e,t){v(r=e,t),i=u,o=f,s=d,a=p,l=h,m.point=v}function L(){n(u,f,c,d,p,h,i,o,r,s,a,l,ru,t),m.lineEnd=b,b()}return m}}var lu=Gc({point:function(e,t){this.stream.point(e*Da,t*Da)}});function cu(e){return Gc({point:function(t,n){var r=e(t,n);return this.stream.point(r[0],r[1])}})}function uu(e,t,n){function r(r,i){return[t+e*r,n-e*i]}return r.invert=function(r,i){return[(r-t)/e,(n-i)/e]},r}function fu(e,t,n,r){var i=Ba(r),o=$a(r),s=i*e,a=o*e,l=i/e,c=o/e,u=(o*n-i*t)/e,f=(o*t+i*n)/e;function d(e,r){return[s*e-a*r+t,n-a*e-s*r]}return d.invert=function(e,t){return[l*e-c*t+u,f-c*e-l*t]},d}function du(e){return pu((function(){return e}))()}function pu(e){var t,n,r,i,o,s,a,l,c,u,f=150,d=480,p=250,h=0,m=0,g=0,y=0,v=0,b=0,w=null,_=jl,L=null,C=Zl,S=.5;function x(e){return l(e[0]*Da,e[1]*Da)}function E(e){return e=l.invert(e[0],e[1]),e&&[e[0]*Fa,e[1]*Fa]}function k(){var e=fu(f,0,0,b).apply(null,t(h,m)),r=(b?fu:uu)(f,d-e[0],p-e[1],b);return n=dl(g,y,v),a=ul(t,r),l=ul(n,a),s=ou(a,S),T()}function T(){return c=u=null,x}return x.stream=function(e){return c&&u===e?c:c=lu(cu(n)(_(s(C(u=e)))))},x.preclip=function(e){return arguments.length?(_=e,w=void 0,T()):_},x.postclip=function(e){return arguments.length?(C=e,L=r=i=o=null,T()):C},x.clipAngle=function(e){return arguments.length?(_=+e?Wl(w=e*Da):(w=null,jl),T()):w*Fa},x.clipExtent=function(e){return arguments.length?(C=null==e?(L=r=i=o=null,Zl):Hl(L=+e[0][0],r=+e[0][1],i=+e[1][0],o=+e[1][1]),T()):null==L?null:[[L,r],[i,o]]},x.scale=function(e){return arguments.length?(f=+e,k()):f},x.translate=function(e){return arguments.length?(d=+e[0],p=+e[1],k()):[d,p]},x.center=function(e){return arguments.length?(h=e[0]%360*Da,m=e[1]%360*Da,k()):[h*Fa,m*Fa]},x.rotate=function(e){return arguments.length?(g=e[0]%360*Da,y=e[1]%360*Da,v=e.length>2?e[2]%360*Da:0,k()):[g*Fa,y*Fa,v*Fa]},x.angle=function(e){return arguments.length?(b=e%360*Da,k()):b*Fa},x.precision=function(e){return arguments.length?(s=ou(a,S=e*e),T()):Ha(S)},x.fitExtent=function(e,t){return Qc(x,e,t)},x.fitSize=function(e,t){return eu(x,e,t)},x.fitWidth=function(e,t){return tu(x,e,t)},x.fitHeight=function(e,t){return nu(x,e,t)},function(){return t=e.apply(this,arguments),x.invert=t.invert&&E,k()}}function hu(e){return function(t,n){var r=Ba(t),i=Ba(n),o=e(r*i);return[o*i*$a(t),o*$a(n)]}}function mu(e){return function(t,n){var r=Ha(t*t+n*n),i=e(r),o=$a(i),s=Ba(i);return[Ua(t*o,r*s),Ja(r&&n*o/r)]}}var gu=hu((function(e){return Ha(2/(1+e))}));gu.invert=mu((function(e){return 2*Ja(e/2)}));var yu=hu((function(e){return(e=Va(e))&&e/$a(e)}));function vu(e,t){return[e,qa(Za((Ra+t)/2))]}function bu(){return wu(vu).scale(961/Pa)}function wu(e){var t,n,r,i=du(e),o=i.center,s=i.scale,a=i.translate,l=i.clipExtent,c=null;function u(){var o=Aa*s(),a=i(gl(i.rotate()).invert([0,0]));return l(null==c?[[a[0]-o,a[1]-o],[a[0]+o,a[1]+o]]:e===vu?[[Math.max(a[0]-o,c),t],[Math.min(a[0]+o,n),r]]:[[c,Math.max(a[1]-o,t)],[n,Math.min(a[1]+o,r)]])}return i.scale=function(e){return arguments.length?(s(e),u()):s()},i.translate=function(e){return arguments.length?(a(e),u()):a()},i.center=function(e){return arguments.length?(o(e),u()):o()},i.clipExtent=function(e){return arguments.length?(null==e?c=t=n=r=null:(c=+e[0][0],t=+e[0][1],n=+e[1][0],r=+e[1][1]),u()):null==c?null:[[c,t],[n,r]]},u()}function _u(e,t){return[e,t]}yu.invert=mu((function(e){return e})),vu.invert=function(e,t){return[e,2*Ia(Wa(t))-Ra]},_u.invert=_u;var Lu=1.340264,Cu=-.081106,Su=893e-6,xu=.003796,Eu=Ha(3)/2,ku=12;function Tu(e,t){var n=Ja(Eu*$a(t)),r=n*n,i=r*r*r;return[e*Ba(n)/(Eu*(Lu+3*Cu*r+i*(7*Su+9*xu*r))),n*(Lu+Cu*r+i*(Su+xu*r))]}function Ou(e,t){var n=Ba(t),r=Ba(e)*n;return[n*$a(e)/r,$a(t)/r]}function Mu(e,t){var n=t*t,r=n*n;return[e*(.8707-.131979*n+r*(r*(.003971*n-.001529*r)-.013791)),t*(1.007226+n*(.015085+r*(.028874*n-.044475-.005916*r)))]}function Au(e,t){return[Ba(t)*$a(e),$a(t)]}function Ru(e,t){var n=Ba(t),r=1+Ba(e)*n;return[n*$a(e)/r,$a(t)/r]}function Nu(e,t){return[qa(Za((Ra+t)/2)),-e]}Tu.invert=function(e,t){for(var n,r,i,o=t,s=o*o,a=s*s*s,l=0;l<ku;++l)if(r=o*(Lu+Cu*s+a*(Su+xu*s))-t,i=Lu+3*Cu*s+a*(7*Su+9*xu*s),o-=n=r/i,s=o*o,a=s*s*s,ja(n)<Ma)break;return[Eu*e*(Lu+3*Cu*s+a*(7*Su+9*xu*s))/Ba(o),Ja($a(o)/Eu)]},Ou.invert=mu(Ia),Mu.invert=function(e,t){var n,r=t,i=25;do{var o=r*r,s=o*o;r-=n=(r*(1.007226+o*(.015085+s*(.028874*o-.044475-.005916*s)))-t)/(1.007226+o*(.045255+s*(.259866*o-.311325-.005916*11*s)))}while(ja(n)>Oa&&--i>0);return[e/(.8707+(o=r*r)*(o*(o*o*o*(.003971-.001529*o)-.013791)-.131979)),r]},Au.invert=mu(Ja),Ru.invert=mu((function(e){return 2*Ia(e)})),Nu.invert=function(e,t){return[-t,2*Ia(Wa(e))-Ra]};var Pu={name:"PSWave",props:{psWaveData:{type:Object,default:()=>({})},path:{type:Function},projection:{type:Function}},data:function(){return{display:!1,PSWaveItems:[]}},methods:{getEpicenterLngLat:function(e){if(!e.latitude||!e.longitude)return null;let t=e.latitude.slice(1),n=e.longitude.slice(1);return t=e.latitude.indexOf("S")>=0?-1*t:1*t,n=e.longitude.indexOf("W")>=0?-1*n:1*n,[n,t]},getEpicenterIcon:function(e){const t=6,n=this.projection(e)[0],r=this.projection(e)[1];return`translate(${n-t},${r-t})`},getWavePath:function(e,t){if(!e||!t)return null;const n=6371e3*Math.PI*2,r=1e3*t/n*360,i=bl().center(e).radius(r);return this.path(i())}},watch:{psWaveData:{handler:function(e){if(!e||!e.hasOwnProperty("items"))return void(this.display=!1);let t=[];for(var n=0;n<e.items.length;n++){const r=this.getEpicenterLngLat(e.items[n]);r&&(t[n]={},t[n]["transform"]=this.getEpicenterIcon(r),t[n]["pWave"]=this.getWavePath(r,e.items[n].pRadius),t[n]["sWave"]=this.getWavePath(r,e.items[n].sRadius))}this.PSWaveItems=t,this.display=!0},deep:!0}}};const Fu=(0,na.A)(Pu,[["render",Sa]]);var Du=Fu;const ju={key:0,id:"kyoshin_hypoinfo"},Iu=Fi("mask",{id:"kyoshin_hypoinfo-mask",fill:"white"},[Fi("rect",{x:"0",y:"0",width:"335",height:"100",rx:"5",ry:"5"})],-1),Uu=["transform"],Bu={mask:"url(#kyoshin_hypoinfo-mask)"},Wu=Fi("rect",{class:"kyoshin_hypoinfo_svg-header-bg",x:"0",y:"0",width:"335",height:"30"},null,-1),qu=Fi("rect",{class:"kyoshin_hypoinfo_svg-body-bg",x:"0",y:"30",width:"335",height:"70"},null,-1),$u={class:"kyoshin_hypoinfo_svg-header",transform:"translate(10,6)"},zu=Fi("path",{class:"kyoshin_hypoinfo_svg-icon",d:"M11.9160251,0.222649902 L21.9160251,15.2226499 C22.1375434,15.5549273 21.8993477,16 21.5,16 L1.5,16 C1.10065231,16 0.86245661,15.5549273 1.08397485,15.2226499 L11.0839749,0.222649902 C11.2818859,-0.074216634 11.7181141,-0.074216634 11.9160251,0.222649902 Z M11.5,12.5 C10.9477153,12.5 10.5,12.9477153 10.5,13.5 C10.5,14.0522847 10.9477153,14.5 11.5,14.5 C12.0522847,14.5 12.5,14.0522847 12.5,13.5 C12.5,12.9477153 12.0522847,12.5 11.5,12.5 Z M11.5,4.5 C10.9477153,4.5 10.5,4.94771525 10.5,5.5 L10.5,5.5 L10.5,10.5 C10.5,11.0522847 10.9477153,11.5 11.5,11.5 C12.0522847,11.5 12.5,11.0522847 12.5,10.5 L12.5,10.5 L12.5,5.5 C12.5,4.94771525 12.0522847,4.5 11.5,4.5 Z"},null,-1),Hu=Fi("text",{class:"kyoshin_hypoinfo_svg-header-title",x:"30",y:"14"},"緊急地震速報 ",-1),Zu={key:0,class:"kyoshin_hypoinfo_svg-header-time","text-anchor":"end",x:"318",y:"14"},Vu={key:1,class:"kyoshin_hypoinfo_svg-header-time","text-anchor":"end",x:"318",y:"14"},Ju={key:0,class:"kyoshin_hypoinfo_svg-body",transform:"translate(8,6)"},Ku=Fi("text",{class:"kyoshin_hypoinfo-value",x:"159.5",y:"52","text-anchor":"middle"},"先ほどの緊急地震速報は ",-1),Gu=Fi("text",{class:"kyoshin_hypoinfo-value",x:"159.5",y:"73","text-anchor":"middle"},"キャンセルされました ",-1),Xu=[Ku,Gu],Yu={key:1,class:"kyoshin_hypoinfo_svg-body",transform:"translate(8,6)"},Qu={key:0},ef=Fi("text",{x:"5",y:"50"},"震源地：",-1),tf={x:"61",y:"50",class:"kyoshin_hypoinfo-value"},nf=Fi("text",{x:"5",y:"80"},"最大予測震度：",-1),rf={x:"104",y:"80",class:"kyoshin_hypoinfo-value"},of={key:1},sf=Fi("text",{x:"140",y:"80"},"M：",-1),af={x:"167",y:"80",class:"kyoshin_hypoinfo-value"},lf={key:2},cf={key:0,x:"210",y:"80"},uf={x:"253",y:"80",class:"kyoshin_hypoinfo-value"},ff=Fi("rect",{class:"kyoshin_hypoinfo_svg-frame-border",x:"0",y:"0",width:"335",height:"100",rx:"5"},null,-1),df={key:1,id:"kyoshin_hypoinfo"},pf={class:"kyoshin_hypoinfo-header"},hf=Fi("svg",{class:"kyoshin_hypoinfo-icon",width:"22px",height:"16px",viewBox:"0 0 21 16",version:"1.1",xmlns:"http://www.w3.org/2000/svg","xmlns:xlink":"http://www.w3.org/1999/xlink"},[Fi("g",null,[Fi("path",{class:"kyoshin_hypoinfo_svg-icon",d:"M11.9160251,0.222649902 L21.9160251,15.2226499 C22.1375434,15.5549273 21.8993477,16 21.5,16 L1.5,16 C1.10065231,16 0.86245661,15.5549273 1.08397485,15.2226499 L11.0839749,0.222649902 C11.2818859,-0.074216634 11.7181141,-0.074216634 11.9160251,0.222649902 Z M11.5,12.5 C10.9477153,12.5 10.5,12.9477153 10.5,13.5 C10.5,14.0522847 10.9477153,14.5 11.5,14.5 C12.0522847,14.5 12.5,14.0522847 12.5,13.5 C12.5,12.9477153 12.0522847,12.5 11.5,12.5 Z M11.5,4.5 C10.9477153,4.5 10.5,4.94771525 10.5,5.5 L10.5,5.5 L10.5,10.5 C10.5,11.0522847 10.9477153,11.5 11.5,11.5 C12.0522847,11.5 12.5,11.0522847 12.5,10.5 L12.5,10.5 L12.5,5.5 C12.5,4.94771525 12.0522847,4.5 11.5,4.5 Z"})])],-1),mf=Fi("h1",null,"緊急地震速報",-1),gf={key:0},yf={key:0},vf={key:1},bf={key:0,class:"kyoshin_hypoinfo-dody"},wf=Fi("p",{class:"kyoshin_hypoinfo-cancel"},[Bi(" 先ほどの緊急地震速報は"),Fi("br"),Bi("キャンセルされました ")],-1),_f=[wf],Lf={key:1,class:"kyoshin_hypoinfo-dody"},Cf={key:0},Sf=Fi("dt",null,"震源地：",-1),xf={class:"kyoshin_hypoinfo-regionName"},Ef={key:0},kf={key:1,class:"kyoshin_hypoinfo-calcintensity"},Tf={key:2},Of={key:3,class:"kyoshin_hypoinfo-magnitude"},Mf={key:4},Af={key:5,class:"kyoshin_hypoinfo-depth"};function Rf(e,t,n,r,i,o){return e.display&&n.isWide?(Si(),Oi("g",ju,[Iu,(Si(!0),Oi(vi,null,Dn(e.hypoInfoItems,(e=>(Si(),Oi("g",{class:"kyoshin_hypoinfo_svg-frame",key:e.index,transform:e.transform},[Fi("g",Bu,[Wu,qu,Fi("g",$u,[zu,Hu,e.occurredTime&&0!==e.reportNumber&&!e.cancelDisplay?(Si(),Oi("text",Zu,Q(e.occurredTime)+"発生 ("+Q(e.reportNumber)+") ",1)):e.occurredTime&&!e.cancelDisplay?(Si(),Oi("text",Vu,Q(e.occurredTime)+"発生 ",1)):Wi("",!0)]),e.cancelDisplay?(Si(),Oi("g",Ju,Xu)):(Si(),Oi("g",Yu,[e.regionName?(Si(),Oi("g",Qu,[ef,Fi("text",tf,Q(e.regionName),1)])):Wi("",!0),Fi("g",null,[nf,Fi("text",rf,Q(e.calcintensity),1)]),e.magnitude?(Si(),Oi("g",of,[sf,Fi("text",af,Q(e.magnitude),1)])):Wi("",!0),e.depth?(Si(),Oi("g",lf,[e.depth?(Si(),Oi("text",cf,"深さ：")):Wi("",!0),Fi("text",uf,Q(e.depth),1)])):Wi("",!0)]))]),ff],8,Uu)))),128))])):e.display&&!n.isWide?(Si(),Oi("section",df,[(Si(!0),Oi(vi,null,Dn(e.hypoInfoItems,(e=>(Si(),Oi("div",{class:"kyoshin_hypoinfo-frame",key:e.index},[Fi("div",pf,[hf,mf,e.cancelDisplay?Wi("",!0):(Si(),Oi("div",gf,[e.occurredTime&&0!==e.reportNumber?(Si(),Oi("p",yf,Q(e.occurredTime)+"発生 ("+Q(e.reportNumber)+") ",1)):e.occurredTime?(Si(),Oi("p",vf,Q(e.occurredTime)+"発生",1)):Wi("",!0)]))]),e.cancelDisplay?(Si(),Oi("div",bf,_f)):(Si(),Oi("div",Lf,[e.regionName?(Si(),Oi("dl",Cf,[Sf,Fi("dd",xf,Q(e.regionName),1)])):Wi("",!0),Fi("dl",null,[e.calcintensity?(Si(),Oi("dt",Ef,"最大予測震度：")):Wi("",!0),e.calcintensity?(Si(),Oi("dd",kf,Q(e.calcintensity),1)):Wi("",!0),e.magnitude?(Si(),Oi("dt",Tf,"M：")):Wi("",!0),e.magnitude?(Si(),Oi("dd",Of,Q(e.magnitude),1)):Wi("",!0),e.depth?(Si(),Oi("dt",Mf,"深さ：")):Wi("",!0),e.depth?(Si(),Oi("dd",Af,Q(e.depth),1)):Wi("",!0)])]))])))),128))])):Wi("",!0)}var Nf={name:"HypoInfo",props:{hypoInfoData:{type:Object,default:()=>({})},isWide:{type:Boolean,default:!1}},data:function(){return{display:!1,hypoInfoItems:[]}},methods:{getOccurredTime:function(e){if(e){const t=new Date(e);if("Invalid Date"===t.toString())return null;const n=String(t.getHours()),r=("0"+t.getMinutes()).slice(-2),i=("0"+t.getSeconds()).slice(-2);return`${n}時${r}分${i}秒`}return null},getReportNum:function(e){return e&&"reportNum"in e&&"0"!==e["reportNum"]?"true"===e["isFinal"]?"最終報":`第${e["reportNum"]}報`:null},getCalcintensity:function(e){if(e){const t=["01","02","03","04","5-","5+","6-","6+","07","//"];if(!t.includes(e))return"-";if("//"===e)return"不明";let n=String(e);return n=n.replace("-","弱"),n=n.replace("+","強"),n=n.replace("0",""),n}return"-"},getMagnitude:function(e){if(!e||""===e)return null;let t=Number(e);return String(t.toFixed(1))}},watch:{hypoInfoData:function(e){if(!e||!e.hasOwnProperty("items")||e.items.length<1||!e.items[0])return void(this.display=!1);let t=[];for(var n=0;n<e.items.length;n++){const r=this.getOccurredTime(e.items[n]["originTime"]);if(!r&&!e.items[n].isCancel)continue;let i=Object.assign({},e.items[n]);i["occurredTime"]=r,i["reportNumber"]=this.getReportNum(e.items[n]),i["calcintensity"]=this.getCalcintensity(e.items[n]["calcintensity"]),i["magnitude"]=this.getMagnitude(e.items[n]["magnitude"]),i["cancelDisplay"]="true"===e.items[n]["isCancel"],i["transform"]="translate(17,"+(56+110*n)+")",t.push(i)}this.hypoInfoItems=t,this.display=!0},deep:!0}};const Pf=(0,na.A)(Nf,[["render",Rf]]);var Ff=Pf;const Df={id:"kyoshin_map"},jf=["width","height","xlink:href"],If={key:0,class:"kyoshin_map_attribution"},Uf=["x","y","width","height"],Bf=["x","y"];function Wf(e,t,n,r,i,o){return Si(),Oi("g",Df,[Fi("image",{class:"kyoshin_map_png",width:n.width,height:n.height,"xlink:href":o.mapUrl},null,8,jf),n.isModule?(Si(),Oi("g",If,[Fi("rect",{x:n.width-e.attributionWidth,y:n.height-e.attributionHeight,width:e.attributionWidth,height:e.attributionHeight,fill:"none"},null,8,Uf),Fi("text",{x:n.width-e.attributionPadding,y:n.height-e.attributionPadding,"text-anchor":"end"},"情報提供元：防災科研",8,Bf)])):Wi("",!0)])}var qf={name:"MapJp",props:{width:{type:Number,default:600},height:{type:Number,default:450},isWide:{type:Boolean,default:!1},isModule:{type:Boolean,default:!1}},data:function(){return{attributionWidth:160,attributionHeight:30,attributionPadding:10,mapWideUrl:"https://s.yimg.jp/images/weather/pc/v2/img/earthquake/trench_sea_map.png",mapModuleUrl:"https://s.yimg.jp/images/weather/pc/v2/img/earthquake/trench_sea_map_s.png",mapNormalUrl:"https://s.yimg.jp/images/weather/smp/v2/img/earthquake/trench_sea_map.png"}},computed:{mapUrl:function(){return this.isWide?this.mapWideUrl:this.isModule?this.mapModuleUrl:this.mapNormalUrl}}};const $f=(0,na.A)(qf,[["render",Wf]]);var zf=$f;const Hf={key:0,id:"kyoshin_message"},Zf=["width","height"],Vf={class:"kyoshin_message_text",x:"50%",y:"50%","text-anchor":"middle","dominant-baseline":"central"},Jf={class:"kyoshin_message_sub_text",x:"50%",y:"58%","text-anchor":"middle","dominant-baseline":"central"};function Kf(e,t,n,r,i,o){return n.message?(Si(),Oi("g",Hf,[Fi("rect",{class:"kyoshin_message_mask",width:n.width,height:n.height},null,8,Zf),Fi("text",Vf,Q(n.message),1),Fi("text",Jf,Q(n.messageSub),1)])):Wi("",!0)}var Gf={name:"InfoMessage",props:{width:{type:Number,default:600},height:{type:Number,default:450},message:{type:String,default:null},messageSub:{type:String,default:null}}};const Xf=(0,na.A)(Gf,[["render",Kf]]);var Yf=Xf;function Qf(e,t){return function(){return e.apply(t,arguments)}}const{toString:ed}=Object.prototype,{getPrototypeOf:td}=Object,nd=(e=>t=>{const n=ed.call(t);return e[n]||(e[n]=n.slice(8,-1).toLowerCase())})(Object.create(null)),rd=e=>(e=e.toLowerCase(),t=>nd(t)===e),id=e=>t=>typeof t===e,{isArray:od}=Array,sd=id("undefined");function ad(e){return null!==e&&!sd(e)&&null!==e.constructor&&!sd(e.constructor)&&fd(e.constructor.isBuffer)&&e.constructor.isBuffer(e)}const ld=rd("ArrayBuffer");function cd(e){let t;return t="undefined"!==typeof ArrayBuffer&&ArrayBuffer.isView?ArrayBuffer.isView(e):e&&e.buffer&&ld(e.buffer),t}const ud=id("string"),fd=id("function"),dd=id("number"),pd=e=>null!==e&&"object"===typeof e,hd=e=>!0===e||!1===e,md=e=>{if("object"!==nd(e))return!1;const t=td(e);return(null===t||t===Object.prototype||null===Object.getPrototypeOf(t))&&!(Symbol.toStringTag in e)&&!(Symbol.iterator in e)},gd=rd("Date"),yd=rd("File"),vd=rd("Blob"),bd=rd("FileList"),wd=e=>pd(e)&&fd(e.pipe),_d=e=>{let t;return e&&("function"===typeof FormData&&e instanceof FormData||fd(e.append)&&("formdata"===(t=nd(e))||"object"===t&&fd(e.toString)&&"[object FormData]"===e.toString()))},Ld=rd("URLSearchParams"),[Cd,Sd,xd,Ed]=["ReadableStream","Request","Response","Headers"].map(rd),kd=e=>e.trim?e.trim():e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,"");function Td(e,t,{allOwnKeys:n=!1}={}){if(null===e||"undefined"===typeof e)return;let r,i;if("object"!==typeof e&&(e=[e]),od(e))for(r=0,i=e.length;r<i;r++)t.call(null,e[r],r,e);else{const i=n?Object.getOwnPropertyNames(e):Object.keys(e),o=i.length;let s;for(r=0;r<o;r++)s=i[r],t.call(null,e[s],s,e)}}function Od(e,t){t=t.toLowerCase();const n=Object.keys(e);let r,i=n.length;while(i-- >0)if(r=n[i],t===r.toLowerCase())return r;return null}const Md=(()=>"undefined"!==typeof globalThis?globalThis:"undefined"!==typeof self?self:"undefined"!==typeof window?window:global)(),Ad=e=>!sd(e)&&e!==Md;function Rd(){const{caseless:e}=Ad(this)&&this||{},t={},n=(n,r)=>{const i=e&&Od(t,r)||r;md(t[i])&&md(n)?t[i]=Rd(t[i],n):md(n)?t[i]=Rd({},n):od(n)?t[i]=n.slice():t[i]=n};for(let r=0,i=arguments.length;r<i;r++)arguments[r]&&Td(arguments[r],n);return t}const Nd=(e,t,n,{allOwnKeys:r}={})=>(Td(t,((t,r)=>{n&&fd(t)?e[r]=Qf(t,n):e[r]=t}),{allOwnKeys:r}),e),Pd=e=>(65279===e.charCodeAt(0)&&(e=e.slice(1)),e),Fd=(e,t,n,r)=>{e.prototype=Object.create(t.prototype,r),e.prototype.constructor=e,Object.defineProperty(e,"super",{value:t.prototype}),n&&Object.assign(e.prototype,n)},Dd=(e,t,n,r)=>{let i,o,s;const a={};if(t=t||{},null==e)return t;do{i=Object.getOwnPropertyNames(e),o=i.length;while(o-- >0)s=i[o],r&&!r(s,e,t)||a[s]||(t[s]=e[s],a[s]=!0);e=!1!==n&&td(e)}while(e&&(!n||n(e,t))&&e!==Object.prototype);return t},jd=(e,t,n)=>{e=String(e),(void 0===n||n>e.length)&&(n=e.length),n-=t.length;const r=e.indexOf(t,n);return-1!==r&&r===n},Id=e=>{if(!e)return null;if(od(e))return e;let t=e.length;if(!dd(t))return null;const n=new Array(t);while(t-- >0)n[t]=e[t];return n},Ud=(e=>t=>e&&t instanceof e)("undefined"!==typeof Uint8Array&&td(Uint8Array)),Bd=(e,t)=>{const n=e&&e[Symbol.iterator],r=n.call(e);let i;while((i=r.next())&&!i.done){const n=i.value;t.call(e,n[0],n[1])}},Wd=(e,t)=>{let n;const r=[];while(null!==(n=e.exec(t)))r.push(n);return r},qd=rd("HTMLFormElement"),$d=e=>e.toLowerCase().replace(/[-_\s]([a-z\d])(\w*)/g,(function(e,t,n){return t.toUpperCase()+n})),zd=(({hasOwnProperty:e})=>(t,n)=>e.call(t,n))(Object.prototype),Hd=rd("RegExp"),Zd=(e,t)=>{const n=Object.getOwnPropertyDescriptors(e),r={};Td(n,((n,i)=>{let o;!1!==(o=t(n,i,e))&&(r[i]=o||n)})),Object.defineProperties(e,r)},Vd=e=>{Zd(e,((t,n)=>{if(fd(e)&&-1!==["arguments","caller","callee"].indexOf(n))return!1;const r=e[n];fd(r)&&(t.enumerable=!1,"writable"in t?t.writable=!1:t.set||(t.set=()=>{throw Error("Can not rewrite read-only method '"+n+"'")}))}))},Jd=(e,t)=>{const n={},r=e=>{e.forEach((e=>{n[e]=!0}))};return od(e)?r(e):r(String(e).split(t)),n},Kd=()=>{},Gd=(e,t)=>null!=e&&Number.isFinite(e=+e)?e:t,Xd="abcdefghijklmnopqrstuvwxyz",Yd="0123456789",Qd={DIGIT:Yd,ALPHA:Xd,ALPHA_DIGIT:Xd+Xd.toUpperCase()+Yd},ep=(e=16,t=Qd.ALPHA_DIGIT)=>{let n="";const{length:r}=t;while(e--)n+=t[Math.random()*r|0];return n};function tp(e){return!!(e&&fd(e.append)&&"FormData"===e[Symbol.toStringTag]&&e[Symbol.iterator])}const np=e=>{const t=new Array(10),n=(e,r)=>{if(pd(e)){if(t.indexOf(e)>=0)return;if(!("toJSON"in e)){t[r]=e;const i=od(e)?[]:{};return Td(e,((e,t)=>{const o=n(e,r+1);!sd(o)&&(i[t]=o)})),t[r]=void 0,i}}return e};return n(e,0)},rp=rd("AsyncFunction"),ip=e=>e&&(pd(e)||fd(e))&&fd(e.then)&&fd(e.catch),op=((e,t)=>e?setImmediate:t?((e,t)=>(Md.addEventListener("message",(({source:n,data:r})=>{n===Md&&r===e&&t.length&&t.shift()()}),!1),n=>{t.push(n),Md.postMessage(e,"*")}))(`axios@${Math.random()}`,[]):e=>setTimeout(e))("function"===typeof setImmediate,fd(Md.postMessage)),sp="undefined"!==typeof queueMicrotask?queueMicrotask.bind(Md):"undefined"!==typeof process&&process.nextTick||op;var ap={isArray:od,isArrayBuffer:ld,isBuffer:ad,isFormData:_d,isArrayBufferView:cd,isString:ud,isNumber:dd,isBoolean:hd,isObject:pd,isPlainObject:md,isReadableStream:Cd,isRequest:Sd,isResponse:xd,isHeaders:Ed,isUndefined:sd,isDate:gd,isFile:yd,isBlob:vd,isRegExp:Hd,isFunction:fd,isStream:wd,isURLSearchParams:Ld,isTypedArray:Ud,isFileList:bd,forEach:Td,merge:Rd,extend:Nd,trim:kd,stripBOM:Pd,inherits:Fd,toFlatObject:Dd,kindOf:nd,kindOfTest:rd,endsWith:jd,toArray:Id,forEachEntry:Bd,matchAll:Wd,isHTMLForm:qd,hasOwnProperty:zd,hasOwnProp:zd,reduceDescriptors:Zd,freezeMethods:Vd,toObjectSet:Jd,toCamelCase:$d,noop:Kd,toFiniteNumber:Gd,findKey:Od,global:Md,isContextDefined:Ad,ALPHABET:Qd,generateString:ep,isSpecCompliantForm:tp,toJSONObject:np,isAsyncFn:rp,isThenable:ip,setImmediate:op,asap:sp};function lp(e,t,n,r,i){Error.call(this),Error.captureStackTrace?Error.captureStackTrace(this,this.constructor):this.stack=(new Error).stack,this.message=e,this.name="AxiosError",t&&(this.code=t),n&&(this.config=n),r&&(this.request=r),i&&(this.response=i,this.status=i.status?i.status:null)}ap.inherits(lp,Error,{toJSON:function(){return{message:this.message,name:this.name,description:this.description,number:this.number,fileName:this.fileName,lineNumber:this.lineNumber,columnNumber:this.columnNumber,stack:this.stack,config:ap.toJSONObject(this.config),code:this.code,status:this.status}}});const cp=lp.prototype,up={};["ERR_BAD_OPTION_VALUE","ERR_BAD_OPTION","ECONNABORTED","ETIMEDOUT","ERR_NETWORK","ERR_FR_TOO_MANY_REDIRECTS","ERR_DEPRECATED","ERR_BAD_RESPONSE","ERR_BAD_REQUEST","ERR_CANCELED","ERR_NOT_SUPPORT","ERR_INVALID_URL"].forEach((e=>{up[e]={value:e}})),Object.defineProperties(lp,up),Object.defineProperty(cp,"isAxiosError",{value:!0}),lp.from=(e,t,n,r,i,o)=>{const s=Object.create(cp);return ap.toFlatObject(e,s,(function(e){return e!==Error.prototype}),(e=>"isAxiosError"!==e)),lp.call(s,e.message,t,n,r,i),s.cause=e,s.name=e.name,o&&Object.assign(s,o),s};var fp=lp,dp=null;function pp(e){return ap.isPlainObject(e)||ap.isArray(e)}function hp(e){return ap.endsWith(e,"[]")?e.slice(0,-2):e}function mp(e,t,n){return e?e.concat(t).map((function(e,t){return e=hp(e),!n&&t?"["+e+"]":e})).join(n?".":""):t}function gp(e){return ap.isArray(e)&&!e.some(pp)}const yp=ap.toFlatObject(ap,{},null,(function(e){return/^is[A-Z]/.test(e)}));function vp(e,t,n){if(!ap.isObject(e))throw new TypeError("target must be an object");t=t||new(dp||FormData),n=ap.toFlatObject(n,{metaTokens:!0,dots:!1,indexes:!1},!1,(function(e,t){return!ap.isUndefined(t[e])}));const r=n.metaTokens,i=n.visitor||u,o=n.dots,s=n.indexes,a=n.Blob||"undefined"!==typeof Blob&&Blob,l=a&&ap.isSpecCompliantForm(t);if(!ap.isFunction(i))throw new TypeError("visitor must be a function");function c(e){if(null===e)return"";if(ap.isDate(e))return e.toISOString();if(!l&&ap.isBlob(e))throw new fp("Blob is not supported. Use a Buffer instead.");return ap.isArrayBuffer(e)||ap.isTypedArray(e)?l&&"function"===typeof Blob?new Blob([e]):Buffer.from(e):e}function u(e,n,i){let a=e;if(e&&!i&&"object"===typeof e)if(ap.endsWith(n,"{}"))n=r?n:n.slice(0,-2),e=JSON.stringify(e);else if(ap.isArray(e)&&gp(e)||(ap.isFileList(e)||ap.endsWith(n,"[]"))&&(a=ap.toArray(e)))return n=hp(n),a.forEach((function(e,r){!ap.isUndefined(e)&&null!==e&&t.append(!0===s?mp([n],r,o):null===s?n:n+"[]",c(e))})),!1;return!!pp(e)||(t.append(mp(i,n,o),c(e)),!1)}const f=[],d=Object.assign(yp,{defaultVisitor:u,convertValue:c,isVisitable:pp});function p(e,n){if(!ap.isUndefined(e)){if(-1!==f.indexOf(e))throw Error("Circular reference detected in "+n.join("."));f.push(e),ap.forEach(e,(function(e,r){const o=!(ap.isUndefined(e)||null===e)&&i.call(t,e,ap.isString(r)?r.trim():r,n,d);!0===o&&p(e,n?n.concat(r):[r])})),f.pop()}}if(!ap.isObject(e))throw new TypeError("data must be an object");return p(e),t}var bp=vp;function wp(e){const t={"!":"%21","'":"%27","(":"%28",")":"%29","~":"%7E","%20":"+","%00":"\0"};return encodeURIComponent(e).replace(/[!'()~]|%20|%00/g,(function(e){return t[e]}))}function _p(e,t){this._pairs=[],e&&bp(e,this,t)}const Lp=_p.prototype;Lp.append=function(e,t){this._pairs.push([e,t])},Lp.toString=function(e){const t=e?function(t){return e.call(this,t,wp)}:wp;return this._pairs.map((function(e){return t(e[0])+"="+t(e[1])}),"").join("&")};var Cp=_p;function Sp(e){return encodeURIComponent(e).replace(/%3A/gi,":").replace(/%24/g,"$").replace(/%2C/gi,",").replace(/%20/g,"+").replace(/%5B/gi,"[").replace(/%5D/gi,"]")}function xp(e,t,n){if(!t)return e;const r=n&&n.encode||Sp;ap.isFunction(n)&&(n={serialize:n});const i=n&&n.serialize;let o;if(o=i?i(t,n):ap.isURLSearchParams(t)?t.toString():new Cp(t,n).toString(r),o){const t=e.indexOf("#");-1!==t&&(e=e.slice(0,t)),e+=(-1===e.indexOf("?")?"?":"&")+o}return e}class Ep{constructor(){this.handlers=[]}use(e,t,n){return this.handlers.push({fulfilled:e,rejected:t,synchronous:!!n&&n.synchronous,runWhen:n?n.runWhen:null}),this.handlers.length-1}eject(e){this.handlers[e]&&(this.handlers[e]=null)}clear(){this.handlers&&(this.handlers=[])}forEach(e){ap.forEach(this.handlers,(function(t){null!==t&&e(t)}))}}var kp=Ep,Tp={silentJSONParsing:!0,forcedJSONParsing:!0,clarifyTimeoutError:!1},Op="undefined"!==typeof URLSearchParams?URLSearchParams:Cp,Mp="undefined"!==typeof FormData?FormData:null,Ap="undefined"!==typeof Blob?Blob:null,Rp={isBrowser:!0,classes:{URLSearchParams:Op,FormData:Mp,Blob:Ap},protocols:["http","https","file","blob","url","data"]};const Np="undefined"!==typeof window&&"undefined"!==typeof document,Pp="object"===typeof navigator&&navigator||void 0,Fp=Np&&(!Pp||["ReactNative","NativeScript","NS"].indexOf(Pp.product)<0),Dp=(()=>"undefined"!==typeof WorkerGlobalScope&&self instanceof WorkerGlobalScope&&"function"===typeof self.importScripts)(),jp=Np&&window.location.href||"http://localhost";var Ip={...r,...Rp};function Up(e,t){return bp(e,new Ip.classes.URLSearchParams,Object.assign({visitor:function(e,t,n,r){return Ip.isNode&&ap.isBuffer(e)?(this.append(t,e.toString("base64")),!1):r.defaultVisitor.apply(this,arguments)}},t))}function Bp(e){return ap.matchAll(/\w+|\[(\w*)]/g,e).map((e=>"[]"===e[0]?"":e[1]||e[0]))}function Wp(e){const t={},n=Object.keys(e);let r;const i=n.length;let o;for(r=0;r<i;r++)o=n[r],t[o]=e[o];return t}function qp(e){function t(e,n,r,i){let o=e[i++];if("__proto__"===o)return!0;const s=Number.isFinite(+o),a=i>=e.length;if(o=!o&&ap.isArray(r)?r.length:o,a)return ap.hasOwnProp(r,o)?r[o]=[r[o],n]:r[o]=n,!s;r[o]&&ap.isObject(r[o])||(r[o]=[]);const l=t(e,n,r[o],i);return l&&ap.isArray(r[o])&&(r[o]=Wp(r[o])),!s}if(ap.isFormData(e)&&ap.isFunction(e.entries)){const n={};return ap.forEachEntry(e,((e,r)=>{t(Bp(e),r,n,0)})),n}return null}var $p=qp;function zp(e,t,n){if(ap.isString(e))try{return(t||JSON.parse)(e),ap.trim(e)}catch(r){if("SyntaxError"!==r.name)throw r}return(n||JSON.stringify)(e)}const Hp={transitional:Tp,adapter:["xhr","http","fetch"],transformRequest:[function(e,t){const n=t.getContentType()||"",r=n.indexOf("application/json")>-1,i=ap.isObject(e);i&&ap.isHTMLForm(e)&&(e=new FormData(e));const o=ap.isFormData(e);if(o)return r?JSON.stringify($p(e)):e;if(ap.isArrayBuffer(e)||ap.isBuffer(e)||ap.isStream(e)||ap.isFile(e)||ap.isBlob(e)||ap.isReadableStream(e))return e;if(ap.isArrayBufferView(e))return e.buffer;if(ap.isURLSearchParams(e))return t.setContentType("application/x-www-form-urlencoded;charset=utf-8",!1),e.toString();let s;if(i){if(n.indexOf("application/x-www-form-urlencoded")>-1)return Up(e,this.formSerializer).toString();if((s=ap.isFileList(e))||n.indexOf("multipart/form-data")>-1){const t=this.env&&this.env.FormData;return bp(s?{"files[]":e}:e,t&&new t,this.formSerializer)}}return i||r?(t.setContentType("application/json",!1),zp(e)):e}],transformResponse:[function(e){const t=this.transitional||Hp.transitional,n=t&&t.forcedJSONParsing,r="json"===this.responseType;if(ap.isResponse(e)||ap.isReadableStream(e))return e;if(e&&ap.isString(e)&&(n&&!this.responseType||r)){const n=t&&t.silentJSONParsing,o=!n&&r;try{return JSON.parse(e)}catch(i){if(o){if("SyntaxError"===i.name)throw fp.from(i,fp.ERR_BAD_RESPONSE,this,null,this.response);throw i}}}return e}],timeout:0,xsrfCookieName:"XSRF-TOKEN",xsrfHeaderName:"X-XSRF-TOKEN",maxContentLength:-1,maxBodyLength:-1,env:{FormData:Ip.classes.FormData,Blob:Ip.classes.Blob},validateStatus:function(e){return e>=200&&e<300},headers:{common:{Accept:"application/json, text/plain, */*","Content-Type":void 0}}};ap.forEach(["delete","get","head","post","put","patch"],(e=>{Hp.headers[e]={}}));var Zp=Hp;const Vp=ap.toObjectSet(["age","authorization","content-length","content-type","etag","expires","from","host","if-modified-since","if-unmodified-since","last-modified","location","max-forwards","proxy-authorization","referer","retry-after","user-agent"]);var Jp=e=>{const t={};let n,r,i;return e&&e.split("\n").forEach((function(e){i=e.indexOf(":"),n=e.substring(0,i).trim().toLowerCase(),r=e.substring(i+1).trim(),!n||t[n]&&Vp[n]||("set-cookie"===n?t[n]?t[n].push(r):t[n]=[r]:t[n]=t[n]?t[n]+", "+r:r)})),t};const Kp=Symbol("internals");function Gp(e){return e&&String(e).trim().toLowerCase()}function Xp(e){return!1===e||null==e?e:ap.isArray(e)?e.map(Xp):String(e)}function Yp(e){const t=Object.create(null),n=/([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;let r;while(r=n.exec(e))t[r[1]]=r[2];return t}const Qp=e=>/^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(e.trim());function eh(e,t,n,r,i){return ap.isFunction(r)?r.call(this,t,n):(i&&(t=n),ap.isString(t)?ap.isString(r)?-1!==t.indexOf(r):ap.isRegExp(r)?r.test(t):void 0:void 0)}function th(e){return e.trim().toLowerCase().replace(/([a-z\d])(\w*)/g,((e,t,n)=>t.toUpperCase()+n))}function nh(e,t){const n=ap.toCamelCase(" "+t);["get","set","has"].forEach((r=>{Object.defineProperty(e,r+n,{value:function(e,n,i){return this[r].call(this,t,e,n,i)},configurable:!0})}))}class rh{constructor(e){e&&this.set(e)}set(e,t,n){const r=this;function i(e,t,n){const i=Gp(t);if(!i)throw new Error("header name must be a non-empty string");const o=ap.findKey(r,i);(!o||void 0===r[o]||!0===n||void 0===n&&!1!==r[o])&&(r[o||t]=Xp(e))}const o=(e,t)=>ap.forEach(e,((e,n)=>i(e,n,t)));if(ap.isPlainObject(e)||e instanceof this.constructor)o(e,t);else if(ap.isString(e)&&(e=e.trim())&&!Qp(e))o(Jp(e),t);else if(ap.isHeaders(e))for(const[s,a]of e.entries())i(a,s,n);else null!=e&&i(t,e,n);return this}get(e,t){if(e=Gp(e),e){const n=ap.findKey(this,e);if(n){const e=this[n];if(!t)return e;if(!0===t)return Yp(e);if(ap.isFunction(t))return t.call(this,e,n);if(ap.isRegExp(t))return t.exec(e);throw new TypeError("parser must be boolean|regexp|function")}}}has(e,t){if(e=Gp(e),e){const n=ap.findKey(this,e);return!(!n||void 0===this[n]||t&&!eh(this,this[n],n,t))}return!1}delete(e,t){const n=this;let r=!1;function i(e){if(e=Gp(e),e){const i=ap.findKey(n,e);!i||t&&!eh(n,n[i],i,t)||(delete n[i],r=!0)}}return ap.isArray(e)?e.forEach(i):i(e),r}clear(e){const t=Object.keys(this);let n=t.length,r=!1;while(n--){const i=t[n];e&&!eh(this,this[i],i,e,!0)||(delete this[i],r=!0)}return r}normalize(e){const t=this,n={};return ap.forEach(this,((r,i)=>{const o=ap.findKey(n,i);if(o)return t[o]=Xp(r),void delete t[i];const s=e?th(i):String(i).trim();s!==i&&delete t[i],t[s]=Xp(r),n[s]=!0})),this}concat(...e){return this.constructor.concat(this,...e)}toJSON(e){const t=Object.create(null);return ap.forEach(this,((n,r)=>{null!=n&&!1!==n&&(t[r]=e&&ap.isArray(n)?n.join(", "):n)})),t}[Symbol.iterator](){return Object.entries(this.toJSON())[Symbol.iterator]()}toString(){return Object.entries(this.toJSON()).map((([e,t])=>e+": "+t)).join("\n")}get[Symbol.toStringTag](){return"AxiosHeaders"}static from(e){return e instanceof this?e:new this(e)}static concat(e,...t){const n=new this(e);return t.forEach((e=>n.set(e))),n}static accessor(e){const t=this[Kp]=this[Kp]={accessors:{}},n=t.accessors,r=this.prototype;function i(e){const t=Gp(e);n[t]||(nh(r,e),n[t]=!0)}return ap.isArray(e)?e.forEach(i):i(e),this}}rh.accessor(["Content-Type","Content-Length","Accept","Accept-Encoding","User-Agent","Authorization"]),ap.reduceDescriptors(rh.prototype,(({value:e},t)=>{let n=t[0].toUpperCase()+t.slice(1);return{get:()=>e,set(e){this[n]=e}}})),ap.freezeMethods(rh);var ih=rh;function oh(e,t){const n=this||Zp,r=t||n,i=ih.from(r.headers);let o=r.data;return ap.forEach(e,(function(e){o=e.call(n,o,i.normalize(),t?t.status:void 0)})),i.normalize(),o}function sh(e){return!(!e||!e.__CANCEL__)}function ah(e,t,n){fp.call(this,null==e?"canceled":e,fp.ERR_CANCELED,t,n),this.name="CanceledError"}ap.inherits(ah,fp,{__CANCEL__:!0});var lh=ah;function ch(e,t,n){const r=n.config.validateStatus;n.status&&r&&!r(n.status)?t(new fp("Request failed with status code "+n.status,[fp.ERR_BAD_REQUEST,fp.ERR_BAD_RESPONSE][Math.floor(n.status/100)-4],n.config,n.request,n)):e(n)}function uh(e){const t=/^([-+\w]{1,25})(:?\/\/|:)/.exec(e);return t&&t[1]||""}function fh(e,t){e=e||10;const n=new Array(e),r=new Array(e);let i,o=0,s=0;return t=void 0!==t?t:1e3,function(a){const l=Date.now(),c=r[s];i||(i=l),n[o]=a,r[o]=l;let u=s,f=0;while(u!==o)f+=n[u++],u%=e;if(o=(o+1)%e,o===s&&(s=(s+1)%e),l-i<t)return;const d=c&&l-c;return d?Math.round(1e3*f/d):void 0}}var dh=fh;function ph(e,t){let n,r,i=0,o=1e3/t;const s=(t,o=Date.now())=>{i=o,n=null,r&&(clearTimeout(r),r=null),e.apply(null,t)},a=(...e)=>{const t=Date.now(),a=t-i;a>=o?s(e,t):(n=e,r||(r=setTimeout((()=>{r=null,s(n)}),o-a)))},l=()=>n&&s(n);return[a,l]}var hh=ph;const mh=(e,t,n=3)=>{let r=0;const i=dh(50,250);return hh((n=>{const o=n.loaded,s=n.lengthComputable?n.total:void 0,a=o-r,l=i(a),c=o<=s;r=o;const u={loaded:o,total:s,progress:s?o/s:void 0,bytes:a,rate:l||void 0,estimated:l&&s&&c?(s-o)/l:void 0,event:n,lengthComputable:null!=s,[t?"download":"upload"]:!0};e(u)}),n)},gh=(e,t)=>{const n=null!=e;return[r=>t[0]({lengthComputable:n,total:e,loaded:r}),t[1]]},yh=e=>(...t)=>ap.asap((()=>e(...t)));var vh=Ip.hasStandardBrowserEnv?((e,t)=>n=>(n=new URL(n,Ip.origin),e.protocol===n.protocol&&e.host===n.host&&(t||e.port===n.port)))(new URL(Ip.origin),Ip.navigator&&/(msie|trident)/i.test(Ip.navigator.userAgent)):()=>!0,bh=Ip.hasStandardBrowserEnv?{write(e,t,n,r,i,o){const s=[e+"="+encodeURIComponent(t)];ap.isNumber(n)&&s.push("expires="+new Date(n).toGMTString()),ap.isString(r)&&s.push("path="+r),ap.isString(i)&&s.push("domain="+i),!0===o&&s.push("secure"),document.cookie=s.join("; ")},read(e){const t=document.cookie.match(new RegExp("(^|;\\s*)("+e+")=([^;]*)"));return t?decodeURIComponent(t[3]):null},remove(e){this.write(e,"",Date.now()-864e5)}}:{write(){},read(){return null},remove(){}};function wh(e){return/^([a-z][a-z\d+\-.]*:)?\/\//i.test(e)}function _h(e,t){return t?e.replace(/\/?\/$/,"")+"/"+t.replace(/^\/+/,""):e}function Lh(e,t){return e&&!wh(t)?_h(e,t):t}const Ch=e=>e instanceof ih?{...e}:e;function Sh(e,t){t=t||{};const n={};function r(e,t,n,r){return ap.isPlainObject(e)&&ap.isPlainObject(t)?ap.merge.call({caseless:r},e,t):ap.isPlainObject(t)?ap.merge({},t):ap.isArray(t)?t.slice():t}function i(e,t,n,i){return ap.isUndefined(t)?ap.isUndefined(e)?void 0:r(void 0,e,n,i):r(e,t,n,i)}function o(e,t){if(!ap.isUndefined(t))return r(void 0,t)}function s(e,t){return ap.isUndefined(t)?ap.isUndefined(e)?void 0:r(void 0,e):r(void 0,t)}function a(n,i,o){return o in t?r(n,i):o in e?r(void 0,n):void 0}const l={url:o,method:o,data:o,baseURL:s,transformRequest:s,transformResponse:s,paramsSerializer:s,timeout:s,timeoutMessage:s,withCredentials:s,withXSRFToken:s,adapter:s,responseType:s,xsrfCookieName:s,xsrfHeaderName:s,onUploadProgress:s,onDownloadProgress:s,decompress:s,maxContentLength:s,maxBodyLength:s,beforeRedirect:s,transport:s,httpAgent:s,httpsAgent:s,cancelToken:s,socketPath:s,responseEncoding:s,validateStatus:a,headers:(e,t,n)=>i(Ch(e),Ch(t),n,!0)};return ap.forEach(Object.keys(Object.assign({},e,t)),(function(r){const o=l[r]||i,s=o(e[r],t[r],r);ap.isUndefined(s)&&o!==a||(n[r]=s)})),n}var xh=e=>{const t=Sh({},e);let n,{data:r,withXSRFToken:i,xsrfHeaderName:o,xsrfCookieName:s,headers:a,auth:l}=t;if(t.headers=a=ih.from(a),t.url=xp(Lh(t.baseURL,t.url),e.params,e.paramsSerializer),l&&a.set("Authorization","Basic "+btoa((l.username||"")+":"+(l.password?unescape(encodeURIComponent(l.password)):""))),ap.isFormData(r))if(Ip.hasStandardBrowserEnv||Ip.hasStandardBrowserWebWorkerEnv)a.setContentType(void 0);else if(!1!==(n=a.getContentType())){const[e,...t]=n?n.split(";").map((e=>e.trim())).filter(Boolean):[];a.setContentType([e||"multipart/form-data",...t].join("; "))}if(Ip.hasStandardBrowserEnv&&(i&&ap.isFunction(i)&&(i=i(t)),i||!1!==i&&vh(t.url))){const e=o&&s&&bh.read(s);e&&a.set(o,e)}return t};const Eh="undefined"!==typeof XMLHttpRequest;var kh=Eh&&function(e){return new Promise((function(t,n){const r=xh(e);let i=r.data;const o=ih.from(r.headers).normalize();let s,a,l,c,u,{responseType:f,onUploadProgress:d,onDownloadProgress:p}=r;function h(){c&&c(),u&&u(),r.cancelToken&&r.cancelToken.unsubscribe(s),r.signal&&r.signal.removeEventListener("abort",s)}let m=new XMLHttpRequest;function g(){if(!m)return;const r=ih.from("getAllResponseHeaders"in m&&m.getAllResponseHeaders()),i=f&&"text"!==f&&"json"!==f?m.response:m.responseText,o={data:i,status:m.status,statusText:m.statusText,headers:r,config:e,request:m};ch((function(e){t(e),h()}),(function(e){n(e),h()}),o),m=null}m.open(r.method.toUpperCase(),r.url,!0),m.timeout=r.timeout,"onloadend"in m?m.onloadend=g:m.onreadystatechange=function(){m&&4===m.readyState&&(0!==m.status||m.responseURL&&0===m.responseURL.indexOf("file:"))&&setTimeout(g)},m.onabort=function(){m&&(n(new fp("Request aborted",fp.ECONNABORTED,e,m)),m=null)},m.onerror=function(){n(new fp("Network Error",fp.ERR_NETWORK,e,m)),m=null},m.ontimeout=function(){let t=r.timeout?"timeout of "+r.timeout+"ms exceeded":"timeout exceeded";const i=r.transitional||Tp;r.timeoutErrorMessage&&(t=r.timeoutErrorMessage),n(new fp(t,i.clarifyTimeoutError?fp.ETIMEDOUT:fp.ECONNABORTED,e,m)),m=null},void 0===i&&o.setContentType(null),"setRequestHeader"in m&&ap.forEach(o.toJSON(),(function(e,t){m.setRequestHeader(t,e)})),ap.isUndefined(r.withCredentials)||(m.withCredentials=!!r.withCredentials),f&&"json"!==f&&(m.responseType=r.responseType),p&&([l,u]=mh(p,!0),m.addEventListener("progress",l)),d&&m.upload&&([a,c]=mh(d),m.upload.addEventListener("progress",a),m.upload.addEventListener("loadend",c)),(r.cancelToken||r.signal)&&(s=t=>{m&&(n(!t||t.type?new lh(null,e,m):t),m.abort(),m=null)},r.cancelToken&&r.cancelToken.subscribe(s),r.signal&&(r.signal.aborted?s():r.signal.addEventListener("abort",s)));const y=uh(r.url);y&&-1===Ip.protocols.indexOf(y)?n(new fp("Unsupported protocol "+y+":",fp.ERR_BAD_REQUEST,e)):m.send(i||null)}))};const Th=(e,t)=>{const{length:n}=e=e?e.filter(Boolean):[];if(t||n){let n,r=new AbortController;const i=function(e){if(!n){n=!0,s();const t=e instanceof Error?e:this.reason;r.abort(t instanceof fp?t:new lh(t instanceof Error?t.message:t))}};let o=t&&setTimeout((()=>{o=null,i(new fp(`timeout ${t} of ms exceeded`,fp.ETIMEDOUT))}),t);const s=()=>{e&&(o&&clearTimeout(o),o=null,e.forEach((e=>{e.unsubscribe?e.unsubscribe(i):e.removeEventListener("abort",i)})),e=null)};e.forEach((e=>e.addEventListener("abort",i)));const{signal:a}=r;return a.unsubscribe=()=>ap.asap(s),a}};var Oh=Th;const Mh=function*(e,t){let n=e.byteLength;if(!t||n<t)return void(yield e);let r,i=0;while(i<n)r=i+t,yield e.slice(i,r),i=r},Ah=async function*(e,t){for await(const n of Rh(e))yield*Mh(n,t)},Rh=async function*(e){if(e[Symbol.asyncIterator])return void(yield*e);const t=e.getReader();try{for(;;){const{done:e,value:n}=await t.read();if(e)break;yield n}}finally{await t.cancel()}},Nh=(e,t,n,r)=>{const i=Ah(e,t);let o,s=0,a=e=>{o||(o=!0,r&&r(e))};return new ReadableStream({async pull(e){try{const{done:t,value:r}=await i.next();if(t)return a(),void e.close();let o=r.byteLength;if(n){let e=s+=o;n(e)}e.enqueue(new Uint8Array(r))}catch(t){throw a(t),t}},cancel(e){return a(e),i.return()}},{highWaterMark:2})},Ph="function"===typeof fetch&&"function"===typeof Request&&"function"===typeof Response,Fh=Ph&&"function"===typeof ReadableStream,Dh=Ph&&("function"===typeof TextEncoder?(e=>t=>e.encode(t))(new TextEncoder):async e=>new Uint8Array(await new Response(e).arrayBuffer())),jh=(e,...t)=>{try{return!!e(...t)}catch(n){return!1}},Ih=Fh&&jh((()=>{let e=!1;const t=new Request(Ip.origin,{body:new ReadableStream,method:"POST",get duplex(){return e=!0,"half"}}).headers.has("Content-Type");return e&&!t})),Uh=65536,Bh=Fh&&jh((()=>ap.isReadableStream(new Response("").body))),Wh={stream:Bh&&(e=>e.body)};Ph&&(e=>{["text","arrayBuffer","blob","formData","stream"].forEach((t=>{!Wh[t]&&(Wh[t]=ap.isFunction(e[t])?e=>e[t]():(e,n)=>{throw new fp(`Response type '${t}' is not supported`,fp.ERR_NOT_SUPPORT,n)})}))})(new Response);const qh=async e=>{if(null==e)return 0;if(ap.isBlob(e))return e.size;if(ap.isSpecCompliantForm(e)){const t=new Request(Ip.origin,{method:"POST",body:e});return(await t.arrayBuffer()).byteLength}return ap.isArrayBufferView(e)||ap.isArrayBuffer(e)?e.byteLength:(ap.isURLSearchParams(e)&&(e+=""),ap.isString(e)?(await Dh(e)).byteLength:void 0)},$h=async(e,t)=>{const n=ap.toFiniteNumber(e.getContentLength());return null==n?qh(t):n};var zh=Ph&&(async e=>{let{url:t,method:n,data:r,signal:i,cancelToken:o,timeout:s,onDownloadProgress:a,onUploadProgress:l,responseType:c,headers:u,withCredentials:f="same-origin",fetchOptions:d}=xh(e);c=c?(c+"").toLowerCase():"text";let p,h=Oh([i,o&&o.toAbortSignal()],s);const m=h&&h.unsubscribe&&(()=>{h.unsubscribe()});let g;try{if(l&&Ih&&"get"!==n&&"head"!==n&&0!==(g=await $h(u,r))){let e,n=new Request(t,{method:"POST",body:r,duplex:"half"});if(ap.isFormData(r)&&(e=n.headers.get("content-type"))&&u.setContentType(e),n.body){const[e,t]=gh(g,mh(yh(l)));r=Nh(n.body,Uh,e,t)}}ap.isString(f)||(f=f?"include":"omit");const i="credentials"in Request.prototype;p=new Request(t,{...d,signal:h,method:n.toUpperCase(),headers:u.normalize().toJSON(),body:r,duplex:"half",credentials:i?f:void 0});let o=await fetch(p);const s=Bh&&("stream"===c||"response"===c);if(Bh&&(a||s&&m)){const e={};["status","statusText","headers"].forEach((t=>{e[t]=o[t]}));const t=ap.toFiniteNumber(o.headers.get("content-length")),[n,r]=a&&gh(t,mh(yh(a),!0))||[];o=new Response(Nh(o.body,Uh,n,(()=>{r&&r(),m&&m()})),e)}c=c||"text";let y=await Wh[ap.findKey(Wh,c)||"text"](o,e);return!s&&m&&m(),await new Promise(((t,n)=>{ch(t,n,{data:y,headers:ih.from(o.headers),status:o.status,statusText:o.statusText,config:e,request:p})}))}catch(y){if(m&&m(),y&&"TypeError"===y.name&&/fetch/i.test(y.message))throw Object.assign(new fp("Network Error",fp.ERR_NETWORK,e,p),{cause:y.cause||y});throw fp.from(y,y&&y.code,e,p)}});const Hh={http:dp,xhr:kh,fetch:zh};ap.forEach(Hh,((e,t)=>{if(e){try{Object.defineProperty(e,"name",{value:t})}catch(n){}Object.defineProperty(e,"adapterName",{value:t})}}));const Zh=e=>`- ${e}`,Vh=e=>ap.isFunction(e)||null===e||!1===e;var Jh={getAdapter:e=>{e=ap.isArray(e)?e:[e];const{length:t}=e;let n,r;const i={};for(let o=0;o<t;o++){let t;if(n=e[o],r=n,!Vh(n)&&(r=Hh[(t=String(n)).toLowerCase()],void 0===r))throw new fp(`Unknown adapter '${t}'`);if(r)break;i[t||"#"+o]=r}if(!r){const e=Object.entries(i).map((([e,t])=>`adapter ${e} `+(!1===t?"is not supported by the environment":"is not available in the build")));let n=t?e.length>1?"since :\n"+e.map(Zh).join("\n"):" "+Zh(e[0]):"as no adapter specified";throw new fp("There is no suitable adapter to dispatch the request "+n,"ERR_NOT_SUPPORT")}return r},adapters:Hh};function Kh(e){if(e.cancelToken&&e.cancelToken.throwIfRequested(),e.signal&&e.signal.aborted)throw new lh(null,e)}function Gh(e){Kh(e),e.headers=ih.from(e.headers),e.data=oh.call(e,e.transformRequest),-1!==["post","put","patch"].indexOf(e.method)&&e.headers.setContentType("application/x-www-form-urlencoded",!1);const t=Jh.getAdapter(e.adapter||Zp.adapter);return t(e).then((function(t){return Kh(e),t.data=oh.call(e,e.transformResponse,t),t.headers=ih.from(t.headers),t}),(function(t){return sh(t)||(Kh(e),t&&t.response&&(t.response.data=oh.call(e,e.transformResponse,t.response),t.response.headers=ih.from(t.response.headers))),Promise.reject(t)}))}const Xh="1.7.9",Yh={};["object","boolean","number","function","string","symbol"].forEach(((e,t)=>{Yh[e]=function(n){return typeof n===e||"a"+(t<1?"n ":" ")+e}}));const Qh={};function em(e,t,n){if("object"!==typeof e)throw new fp("options must be an object",fp.ERR_BAD_OPTION_VALUE);const r=Object.keys(e);let i=r.length;while(i-- >0){const o=r[i],s=t[o];if(s){const t=e[o],n=void 0===t||s(t,o,e);if(!0!==n)throw new fp("option "+o+" must be "+n,fp.ERR_BAD_OPTION_VALUE)}else if(!0!==n)throw new fp("Unknown option "+o,fp.ERR_BAD_OPTION)}}Yh.transitional=function(e,t,n){function r(e,t){return"[Axios v"+Xh+"] Transitional option '"+e+"'"+t+(n?". "+n:"")}return(n,i,o)=>{if(!1===e)throw new fp(r(i," has been removed"+(t?" in "+t:"")),fp.ERR_DEPRECATED);return t&&!Qh[i]&&(Qh[i]=!0,console.warn(r(i," has been deprecated since v"+t+" and will be removed in the near future"))),!e||e(n,i,o)}},Yh.spelling=function(e){return(t,n)=>(console.warn(`${n} is likely a misspelling of ${e}`),!0)};var tm={assertOptions:em,validators:Yh};const nm=tm.validators;class rm{constructor(e){this.defaults=e,this.interceptors={request:new kp,response:new kp}}async request(e,t){try{return await this._request(e,t)}catch(n){if(n instanceof Error){let e={};Error.captureStackTrace?Error.captureStackTrace(e):e=new Error;const t=e.stack?e.stack.replace(/^.+\n/,""):"";try{n.stack?t&&!String(n.stack).endsWith(t.replace(/^.+\n.+\n/,""))&&(n.stack+="\n"+t):n.stack=t}catch(r){}}throw n}}_request(e,t){"string"===typeof e?(t=t||{},t.url=e):t=e||{},t=Sh(this.defaults,t);const{transitional:n,paramsSerializer:r,headers:i}=t;void 0!==n&&tm.assertOptions(n,{silentJSONParsing:nm.transitional(nm.boolean),forcedJSONParsing:nm.transitional(nm.boolean),clarifyTimeoutError:nm.transitional(nm.boolean)},!1),null!=r&&(ap.isFunction(r)?t.paramsSerializer={serialize:r}:tm.assertOptions(r,{encode:nm.function,serialize:nm.function},!0)),tm.assertOptions(t,{baseUrl:nm.spelling("baseURL"),withXsrfToken:nm.spelling("withXSRFToken")},!0),t.method=(t.method||this.defaults.method||"get").toLowerCase();let o=i&&ap.merge(i.common,i[t.method]);i&&ap.forEach(["delete","get","head","post","put","patch","common"],(e=>{delete i[e]})),t.headers=ih.concat(o,i);const s=[];let a=!0;this.interceptors.request.forEach((function(e){"function"===typeof e.runWhen&&!1===e.runWhen(t)||(a=a&&e.synchronous,s.unshift(e.fulfilled,e.rejected))}));const l=[];let c;this.interceptors.response.forEach((function(e){l.push(e.fulfilled,e.rejected)}));let u,f=0;if(!a){const e=[Gh.bind(this),void 0];e.unshift.apply(e,s),e.push.apply(e,l),u=e.length,c=Promise.resolve(t);while(f<u)c=c.then(e[f++],e[f++]);return c}u=s.length;let d=t;f=0;while(f<u){const e=s[f++],t=s[f++];try{d=e(d)}catch(p){t.call(this,p);break}}try{c=Gh.call(this,d)}catch(p){return Promise.reject(p)}f=0,u=l.length;while(f<u)c=c.then(l[f++],l[f++]);return c}getUri(e){e=Sh(this.defaults,e);const t=Lh(e.baseURL,e.url);return xp(t,e.params,e.paramsSerializer)}}ap.forEach(["delete","get","head","options"],(function(e){rm.prototype[e]=function(t,n){return this.request(Sh(n||{},{method:e,url:t,data:(n||{}).data}))}})),ap.forEach(["post","put","patch"],(function(e){function t(t){return function(n,r,i){return this.request(Sh(i||{},{method:e,headers:t?{"Content-Type":"multipart/form-data"}:{},url:n,data:r}))}}rm.prototype[e]=t(),rm.prototype[e+"Form"]=t(!0)}));var im=rm;class om{constructor(e){if("function"!==typeof e)throw new TypeError("executor must be a function.");let t;this.promise=new Promise((function(e){t=e}));const n=this;this.promise.then((e=>{if(!n._listeners)return;let t=n._listeners.length;while(t-- >0)n._listeners[t](e);n._listeners=null})),this.promise.then=e=>{let t;const r=new Promise((e=>{n.subscribe(e),t=e})).then(e);return r.cancel=function(){n.unsubscribe(t)},r},e((function(e,r,i){n.reason||(n.reason=new lh(e,r,i),t(n.reason))}))}throwIfRequested(){if(this.reason)throw this.reason}subscribe(e){this.reason?e(this.reason):this._listeners?this._listeners.push(e):this._listeners=[e]}unsubscribe(e){if(!this._listeners)return;const t=this._listeners.indexOf(e);-1!==t&&this._listeners.splice(t,1)}toAbortSignal(){const e=new AbortController,t=t=>{e.abort(t)};return this.subscribe(t),e.signal.unsubscribe=()=>this.unsubscribe(t),e.signal}static source(){let e;const t=new om((function(t){e=t}));return{token:t,cancel:e}}}var sm=om;function am(e){return function(t){return e.apply(null,t)}}function lm(e){return ap.isObject(e)&&!0===e.isAxiosError}const cm={Continue:100,SwitchingProtocols:101,Processing:102,EarlyHints:103,Ok:200,Created:201,Accepted:202,NonAuthoritativeInformation:203,NoContent:204,ResetContent:205,PartialContent:206,MultiStatus:207,AlreadyReported:208,ImUsed:226,MultipleChoices:300,MovedPermanently:301,Found:302,SeeOther:303,NotModified:304,UseProxy:305,Unused:306,TemporaryRedirect:307,PermanentRedirect:308,BadRequest:400,Unauthorized:401,PaymentRequired:402,Forbidden:403,NotFound:404,MethodNotAllowed:405,NotAcceptable:406,ProxyAuthenticationRequired:407,RequestTimeout:408,Conflict:409,Gone:410,LengthRequired:411,PreconditionFailed:412,PayloadTooLarge:413,UriTooLong:414,UnsupportedMediaType:415,RangeNotSatisfiable:416,ExpectationFailed:417,ImATeapot:418,MisdirectedRequest:421,UnprocessableEntity:422,Locked:423,FailedDependency:424,TooEarly:425,UpgradeRequired:426,PreconditionRequired:428,TooManyRequests:429,RequestHeaderFieldsTooLarge:431,UnavailableForLegalReasons:451,InternalServerError:500,NotImplemented:501,BadGateway:502,ServiceUnavailable:503,GatewayTimeout:504,HttpVersionNotSupported:505,VariantAlsoNegotiates:506,InsufficientStorage:507,LoopDetected:508,NotExtended:510,NetworkAuthenticationRequired:511};Object.entries(cm).forEach((([e,t])=>{cm[t]=e}));var um=cm;function fm(e){const t=new im(e),n=Qf(im.prototype.request,t);return ap.extend(n,im.prototype,t,{allOwnKeys:!0}),ap.extend(n,t,null,{allOwnKeys:!0}),n.create=function(t){return fm(Sh(e,t))},n}const dm=fm(Zp);dm.Axios=im,dm.CanceledError=lh,dm.CancelToken=sm,dm.isCancel=sh,dm.VERSION=Xh,dm.toFormData=bp,dm.AxiosError=fp,dm.Cancel=dm.CanceledError,dm.all=function(e){return Promise.all(e)},dm.spread=am,dm.isAxiosError=lm,dm.mergeConfig=Sh,dm.AxiosHeaders=ih,dm.formToJSON=e=>$p(ap.isHTMLForm(e)?new FormData(e):e),dm.getAdapter=Jh.getAdapter,dm.HttpStatusCode=um,dm.default=dm;var pm=dm,hm={name:"kyoshin_monitor_app",components:{TitlePanel:ia,ObservationPoint:ua,PSWave:Du,HypoInfo:Ff,MapJp:zf,InfoMessage:Yf},data:function(){return{showModule:!1,isReplaceBanner:!1,isInitialized:!1,requestTime:new Date,isWide:!1,isModule:!1,width:Number("600"),height:Number("600"),lnglat:[Number("135.1"),Number("35.75")],scale:Number("1210"),domain:["https://weather-kyoshin.east.edge.storage-yahoo.jp/","https://weather-kyoshin.west.edge.storage-yahoo.jp/"],domainIndex:0,apiAddress:"RealTimeData/yyyymmdd/yyyymmddhhmmss.json",siteListAddress:"SiteList/sitelist.json",requestDelayTime:Number("2000"),requestDelayDefaultTime:Number("2000"),requestDelayAddTime:Number("1000"),timeLagLimit:Number("2000"),connectionErrorLimit:Number("5"),updateMillisecond:Number("1000"),message:"読み込み中...",messageSub:"",messageDetail:"",loadingMessage:"読み込み中...",errorMessage:"情報を取得できませんでした",errorSubMessage:"しばらく時間をおいてから再度ご確認ください",lockedMessage:"リアルタイム震度ページは同時に複数表示できません",lockedSubMessage:"他のリアルタイム震度ページを閉じて更新してください",blurMessage:"ウインドウがアクティブでないため停止しています",blurSubMessage:"",isDisplayError:!1,updateFlag:!1,clientAccessTime:null,serverAccessTime:null,updateTimerId:null,updateCheckerId:null,connectionFault:0,sitelist:[],realTimeData:{},hypoInfoData:{},psWaveData:{},time:"",path:null,projection:null}},methods:{setDomOption:async function(e){let t,n,r,i,o;e&&(i=Number(e.getAttribute("data-update-interval-ms")),t=e.getAttribute("data-t"),n=Number(e.getAttribute("data-module")),r=Number(e.getAttribute("data-wide")),o=Number(e.getAttribute("data-replace-banner")),t&&(t.indexOf("+09")>0?t.replace("+0900","+09:00"):t+="+09:00")),i&&(i=Math.max(i,this.updateMillisecond),this.updateMillisecond=i);const s=new Date;this.clientAccessTime=s;const a="Invalid Date"===new Date(t).toString()?s:new Date(t);return this.serverAccessTime=a,this.requestTime=new Date(a.getTime()),this.isModule=!!n,this.width=Number(r?"842":"600"),this.height=Number(r?"632":"600"),this.scale=Number(r?"1288":"1210"),this.isWide=!!r,this.isReplaceBanner=!!o,!0},setupProjection:async function(){const e=bu().center(this.lnglat).translate([this.width/2,this.height/2]).scale(this.scale),t=Kc().projection(e);return this.projection=e,this.path=t,!0},isIosApp:function(){return window.webkit&&window.webkit.messageHandlers&&window.webkit.messageHandlers.kyoshinMonitorGetSiteListError},isAndroidApp:function(){return!!window.KyoshinMonitorWebInterface},postMessageToIosApp:function(){window.webkit.messageHandlers.kyoshinMonitorGetSiteListError.postMessage("")},postMessageToAndroidApp:function(){window.KyoshinMonitorWebInterface.kyoshinMonitorGetSiteListError()},getSiteList:async function(){let e,t;for(let r=0;r<this.domain.length;r++){try{e=await this.getSiteListOnes()}catch(n){this.domainIndex=this.domainIndex+1,t=n}if(e)return!0}throw this.isIosApp()&&this.postMessageToIosApp(),this.isAndroidApp()&&this.postMessageToAndroidApp(),new Error(t.message)},getSiteListOnes:function(){const e=this.domain[this.domainIndex]+this.siteListAddress,t=new Error,n=this,r=pm.get(e,{timeout:Number("2000")}).then((function(e){try{return n.sitelist=e.data.items,!0}catch(r){throw t.message="Invalid site list data type",t}})).catch((function(e){throw t.message=e.message||"Failed to get master data",t}));return r},getRequestTimeStampStr:function(){let e=this.requestTime;e.setMilliseconds(e.getMilliseconds()+this.updateMillisecond);let t=new Date(e.getTime());t.setMilliseconds(t.getMilliseconds()-this.requestDelayTime),t.setHours(t.getHours()+9);const n=t.getUTCFullYear(),r=("0"+(t.getUTCMonth()+1)).slice(-2),i=("0"+t.getUTCDate()).slice(-2),o=("0"+t.getUTCHours()).slice(-2),s=("0"+t.getUTCMinutes()).slice(-2),a=("0"+t.getUTCSeconds()).slice(-2);return{ymd:`${n}${r}${i}`,hms:`${o}${s}${a}`}},checkTimeLag:function(){const e=new Date,t=e.getTime()-this.clientAccessTime.getTime(),n=this.requestTime.getTime()-this.serverAccessTime.getTime(),r=n-t;return!(Math.abs(r)>this.timeLagLimit)||(this.requestTime=new Date(this.serverAccessTime.getTime()+t),this.domainIndex=0,this.connectionFault=0,this.requestDelayTime=this.requestDelayDefaultTime,!1)},getRealtimeApiUrl:function(){const e=this.getRequestTimeStampStr();let t=this.domain[this.domainIndex]+this.apiAddress;return t=t.replace(/yyyymmdd/g,e.ymd),t=t.replace(/hhmmss/,e.hms),t},getRealtimeData:function(){let e=this.getRealtimeApiUrl();const t=pm.get(e,{timeout:Number("800")}),n=new Error,r=this;return t.then((function(e){try{r.message===r.loadingMessage&&(r.message=null),r.setRealtimeData(e.data)}catch(t){throw n.message=t.message,n}})).catch((function(e){r.connectionFault=r.connectionFault+=1,e.response&&r.connectionFault%2==0&&(r.requestDelayTime=r.requestDelayTime+=r.requestDelayAddTime),r.connectionFault>=r.connectionErrorLimit&&r.changeEdgeDomain("Error:The number of errors has exceeded the threshold")})),t},setRealtimeData:function(e){if(!e.hasOwnProperty("realTimeData")||!e.realTimeData.hasOwnProperty("dataTime"))throw new Error("Invalid realTime data type");this.time=e.realTimeData.dataTime,this.realTimeData=e.realTimeData,this.hypoInfoData=e.hasOwnProperty("hypoInfo")?e.hypoInfo:{},this.psWaveData=e.hasOwnProperty("psWave")?e.psWave:{},this.connectionFault=0},changeEdgeDomain:function(e=null){this.domainIndex=this.domainIndex+1,this.connectionFault=0,this.domain.length<=this.domainIndex&&this.stopUpdate(e)},setRandomDomainIndex:function(){for(let e=this.domain.length-1;e>0;e--){let t=Math.floor(Math.random()*(e+1)),n=this.domain[e];this.domain[e]=this.domain[t],this.domain[t]=n}},stopUpdate:function(e=null){this.isDisplayError=!0,this.updateFlag=!1,this.domainIndex=0,this.displayMessage(this.errorMessage,this.errorSubMessage,e)},displayMessage:function(e,t,n){this.message=e,this.messageSub=t,this.messageDetail=n,n&&console.error(n)},hideMessage:function(){this.displayMessage(null,null,null)},setupUpdate:function(){this.updateTimerId&&(clearTimeout(this.updateTimerId),this.updateTimerId=null);const e=setInterval((()=>{this.updateFlag&&(this.checkTimeLag(),this.getRealtimeData())}),this.updateMillisecond);return this.updateTimerId=e,this.getRealtimeData(),e},initialSetup:async function(){try{return await this.setupProjection(),await this.setRandomDomainIndex(),await this.getSiteList(),this.showModule=!0,!0}catch(e){this.stopUpdate(e.toString())}finally{this.isInitialized=!0}},isAvailableWebLocksApi:function(){return navigator.locks&&navigator.locks.request},existLockResource:async function(e){const t=await navigator.locks.query(),n=t.held.filter((t=>t.name===e));return n.length>=1},isUseWebLock:function(){return!this.isIosApp()&&!this.isAndroidApp()&&this.isAvailableWebLocksApi()},getWebLock:async function(){this.isUseWebLock()&&navigator.locks.request("getRealTimeDataResource",{steal:!0},(async()=>this.sleepPromise())).catch((()=>{this.updateFlag=!1,this.displayMessage(this.lockedMessage,this.lockedSubMessage,null)}))},sleepPromise:function(){return new Promise((e=>{const t=setInterval((()=>{this.updateFlag||(clearInterval(t),e())}),1e3)}))},startUpdate:async function(){await this.getWebLock(),this.message===this.lockedMessage&&this.hideMessage(),this.updateFlag=!0}},created:async function(){await this.setDomOption(document.getElementById("kyoshin_lib_js"))},mounted:async function(){let e=!1;document.addEventListener("visibilitychange",(async()=>{"visible"!==document.visibilityState||this.isDisplayError||e||(e=!0,await this.startUpdate(),e=!1),"hidden"===document.visibilityState&&(e||(e=!0,this.updateFlag=!1),setTimeout((()=>{e=!1}),100))})),this.isIosApp()||this.isAndroidApp()||this.isAvailableWebLocksApi()||(window.addEventListener("focus",(()=>{this.message===this.blurMessage&&this.hideMessage(),this.updateFlag=!0})),window.addEventListener("blur",(()=>{this.displayMessage(this.blurMessage,this.blurSubMessage,null),this.updateFlag=!1}))),await this.initialSetup(),this.$nextTick((async()=>{this.setupUpdate(),"visible"!==document.visibilityState||this.isDisplayError||await this.startUpdate()}));const t=setInterval((async()=>{"visible"!==document.visibilityState||this.isDisplayError||!this.isUseWebLock()||await this.existLockResource("getRealTimeDataResource")||await this.startUpdate()}),100);this.updateCheckerId=t},errorCaptured(e="errorCaptured"){this.stopUpdate(e.toString())}};const mm=(0,na.A)(hm,[["render",Is]]);var gm=mm;const ym=Ms(gm);ym.config.errorHandler=(e,t,n)=>{0},ym.mount("#kyoshin_monitor_app")})();